#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x3f3db2e9, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0xb48793cc, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0xdd7d7bc1, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x913ed61e, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x2df018f5, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x8f1ad1d8, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x5155f824, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xca3c6900, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0xebef416c, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0xcba29881, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x86737ee4, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0xfe06656f, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x8273762c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6d0ed03f, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0xce6eda0b, "crypto_register_template" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0xbf2aa763, "crypto_grab_aead" },
	{ 0xf423fd33, "crypto_grab_shash" },
	{ 0xcf90c520, "shash_no_setkey" },
	{ 0x3bf05b6c, "ahash_register_instance" },
	{ 0x235bdf62, "crypto_grab_skcipher" },
	{ 0x97487602, "skcipher_register_instance" },
	{ 0x2fe6c5dc, "aead_register_instance" },
	{ 0xa7e6ae5b, "crypto_skcipher_decrypt" },
	{ 0x908e24c3, "crypto_skcipher_encrypt" },
	{ 0x339b9141, "shash_ahash_digest" },
	{ 0x2235f845, "shash_ahash_finup" },
	{ 0x310cdf57, "crypto_shash_final" },
	{ 0x5be38e87, "shash_ahash_update" },
	{ 0xc5a381b0, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5ef874d7, "crypto_alloc_skcipher" },
	{ 0xcfa94786, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x776adc47, "crypto_alloc_ahash" },
	{ 0xf8a2dcab, "crypto_alloc_aead" },
	{ 0xc07beed, "crypto_skcipher_setkey" },
	{ 0xee53b2a, "crypto_spawn_tfm2" },
	{ 0x80ea74f7, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c1c0297, "crypto_shash_setkey" },
	{ 0x4451a89c, "crypto_clone_shash" },
	{ 0xff0f3a87, "crypto_aead_setauthsize" },
	{ 0x37bd99dc, "crypto_aead_setkey" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x9f65af42, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd83ddc, "crypto_enqueue_request" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7DD30DF5492C1612FF1B43C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
