#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_create, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_aead_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_aead_create, "_gpl", "");
KSYMTAB_FUNC(simd_aead_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x88638552, "_gpl");
SYMBOL_CRC(simd_skcipher_create, 0x66983e96, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x44cec571, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0x9e736968, "_gpl");
SYMBOL_CRC(simd_aead_create_compat, 0x504cb053, "_gpl");
SYMBOL_CRC(simd_aead_create, 0x851c747c, "_gpl");
SYMBOL_CRC(simd_aead_free, 0xbfd26f15, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xb903e5f5, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0xe302a166, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff0f3a87, "crypto_aead_setauthsize" },
	{ 0x3b45dd0e, "crypto_aead_decrypt" },
	{ 0xc07beed, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x10757c27, "crypto_unregister_aeads" },
	{ 0xcfa94786, "crypto_destroy_tfm" },
	{ 0xb48793cc, "cryptd_skcipher_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa7e6ae5b, "crypto_skcipher_decrypt" },
	{ 0x3f3db2e9, "cryptd_alloc_skcipher" },
	{ 0x37bd99dc, "crypto_aead_setkey" },
	{ 0xd46fd30b, "crypto_register_skcipher" },
	{ 0x23579201, "crypto_aead_encrypt" },
	{ 0xfe06656f, "cryptd_aead_queued" },
	{ 0xf8e4c932, "crypto_unregister_skcipher" },
	{ 0x64063eb2, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdd7d7bc1, "cryptd_skcipher_queued" },
	{ 0x8273762c, "cryptd_free_aead" },
	{ 0xd7626ecb, "crypto_unregister_skciphers" },
	{ 0x913ed61e, "cryptd_free_skcipher" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x5ef874d7, "crypto_alloc_skcipher" },
	{ 0x908e24c3, "crypto_skcipher_encrypt" },
	{ 0xcba29881, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x86737ee4, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x6b9e23ee, "crypto_register_aead" },
	{ 0x142783a1, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x95a1b2f6, "crypto_register_aeads" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0xf8a2dcab, "crypto_alloc_aead" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "5BECD76A995C1C49F0B5701");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
