#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ccp_present, "_gpl", "");
KSYMTAB_FUNC(ccp_version, "_gpl", "");
KSYMTAB_FUNC(ccp_enqueue_cmd, "_gpl", "");
KSYMTAB_FUNC(sev_platform_init, "_gpl", "");
KSYMTAB_FUNC(psp_copy_user_blob, "_gpl", "");
KSYMTAB_FUNC(sev_platform_status, "_gpl", "");
KSYMTAB_FUNC(sev_guest_deactivate, "_gpl", "");
KSYMTAB_FUNC(sev_guest_activate, "_gpl", "");
KSYMTAB_FUNC(sev_guest_decommission, "_gpl", "");
KSYMTAB_FUNC(sev_guest_df_flush, "_gpl", "");
KSYMTAB_FUNC(sev_issue_cmd_external_user, "_gpl", "");
KSYMTAB_FUNC(psp_tee_process_cmd, "", "");
KSYMTAB_FUNC(psp_check_tee_status, "", "");
KSYMTAB_FUNC(psp_check_platform_access_status, "", "");
KSYMTAB_FUNC(psp_send_platform_access_msg, "_gpl", "");
KSYMTAB_FUNC(psp_ring_platform_doorbell, "_gpl", "");

SYMBOL_CRC(ccp_present, 0x04773b60, "_gpl");
SYMBOL_CRC(ccp_version, 0x3a1a3979, "_gpl");
SYMBOL_CRC(ccp_enqueue_cmd, 0x2bdc1574, "_gpl");
SYMBOL_CRC(sev_platform_init, 0xd02e197f, "_gpl");
SYMBOL_CRC(psp_copy_user_blob, 0x2e6a6147, "_gpl");
SYMBOL_CRC(sev_platform_status, 0x91722dce, "_gpl");
SYMBOL_CRC(sev_guest_deactivate, 0x4073e924, "_gpl");
SYMBOL_CRC(sev_guest_activate, 0x3e059f28, "_gpl");
SYMBOL_CRC(sev_guest_decommission, 0x843d6541, "_gpl");
SYMBOL_CRC(sev_guest_df_flush, 0x8fac14a2, "_gpl");
SYMBOL_CRC(sev_issue_cmd_external_user, 0xb8fb2cb2, "_gpl");
SYMBOL_CRC(psp_tee_process_cmd, 0xaa04056c, "");
SYMBOL_CRC(psp_check_tee_status, 0x47d3c97f, "");
SYMBOL_CRC(psp_check_platform_access_status, 0x4a937398, "");
SYMBOL_CRC(psp_send_platform_access_msg, 0x210b12e2, "_gpl");
SYMBOL_CRC(psp_ring_platform_doorbell, 0x6ea40704, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96f04fc8, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9b85bf, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfdce6e03, "pci_enable_msi" },
	{ 0xae45ba72, "devm_kfree" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbd2cf3ff, "kmem_cache_free" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf7446418, "kthread_stop" },
	{ 0xea44d6a5, "devm_get_free_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0x10eaf4a6, "misc_register" },
	{ 0x7b2e06ad, "pci_set_master" },
	{ 0x2c7226ce, "param_ops_charp" },
	{ 0xcdb63c, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x8d541416, "dmaengine_unmap_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf7e2f30b, "acpi_match_device" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9a5e1ec9, "dma_async_device_register" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x78050af4, "__platform_driver_register" },
	{ 0xef669fc3, "kthread_create_on_node" },
	{ 0xd6b771d4, "dma_set_coherent_mask" },
	{ 0x41ac879f, "devm_kasprintf" },
	{ 0x169f0b8f, "override_creds" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5c12afeb, "_dev_notice" },
	{ 0x13af6e84, "path_get" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0xece07022, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0x33fc5d05, "dma_async_tx_descriptor_init" },
	{ 0x2124e39a, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5fb7b4ae, "filp_close" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3fb30366, "pci_disable_msix" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x9a73cfa1, "dma_set_mask" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0xbf9a6d85, "dma_unmap_sg_attrs" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x3623def6, "pcim_iomap_table" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xd57bef2a, "param_ops_int" },
	{ 0xb3ab7b86, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabdc439, "cc_platform_has" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x94ba92cf, "kernel_write" },
	{ 0xcfaf0afb, "kmem_cache_destroy" },
	{ 0xffe56283, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x59755574, "devm_platform_ioremap_resource" },
	{ 0xef5acdbe, "revert_creds" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x8c9c2885, "misc_deregister" },
	{ 0xddd8897e, "dma_pool_create" },
	{ 0xc5a381b0, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xd0fd7085, "hwrng_unregister" },
	{ 0x3f73ed54, "firmware_request_nowarn" },
	{ 0x7cd18e01, "platform_driver_unregister" },
	{ 0xa463252a, "dma_async_device_unregister" },
	{ 0x69a619b0, "platform_get_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x937fcdca, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1e39ca0c, "dma_unmap_page_attrs" },
	{ 0x11ce53a0, "__pci_register_driver" },
	{ 0x8c998bfb, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x2e86ba0d, "dma_release_channel" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xcddb4bf1, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6c00068a, "path_put" },
	{ 0x326b7806, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8f7c2bf1, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xe0c4e14d, "hwrng_register" },
	{ 0x32cc3731, "dev_driver_string" },
	{ 0xfd719a20, "devm_free_pages" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96965a03, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x946dd559, "sha224_zero_message_hash" },
	{ 0xe405694c, "platform_irq_count" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xabc5622d, "pci_enable_msix_range" },
	{ 0x30248acb, "file_open_root" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2c0b0b06, "__free_pages" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x74127bc, "kmem_cache_alloc" },
	{ 0x262a517d, "_dev_info" },
	{ 0x91a61ae7, "init_task" },
	{ 0x24ea5aa0, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc6f20fae, "dma_run_dependencies" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4e5b4e5f, "device_get_dma_attr" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1a");
MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1aC*");
MODULE_ALIAS("acpi*:AMDI0C00:*");
MODULE_ALIAS("pci:v00001022d00001537sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001456sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001468sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000014CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001649sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000017E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000156Esv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "14E8A65DE45CF672F6742C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
