#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f038c87, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0xb3ab7b86, "pcim_enable_device" },
	{ 0x6e66b373, "pci_request_regions" },
	{ 0xd89777a1, "__devm_drm_dev_alloc" },
	{ 0xb81e989f, "devm_ioremap" },
	{ 0x4867418f, "drmm_mode_config_init" },
	{ 0x8030ac88, "drm_universal_plane_init" },
	{ 0x6c738ee9, "drm_mode_config_reset" },
	{ 0x35e913c4, "drm_dev_register" },
	{ 0x868d7c18, "drm_fbdev_generic_setup" },
	{ 0xf22ee58, "drm_plane_enable_fb_damage_clips" },
	{ 0x51be8389, "drm_crtc_init_with_planes" },
	{ 0x9fa657a5, "drm_encoder_init" },
	{ 0x9869e422, "drm_connector_init" },
	{ 0xb4563b7, "drm_connector_attach_encoder" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x11ce53a0, "__pci_register_driver" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x3e03ddc8, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0xc16a177c, "__drm_gem_reset_shadow_plane" },
	{ 0xbd812978, "drm_atomic_helper_check_plane_state" },
	{ 0xb8cee589, "drm_dev_enter" },
	{ 0x848d372e, "iowrite8" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb19b445, "ioread8" },
	{ 0x7a8adfe, "drm_atomic_helper_damage_iter_init" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0x304e5c7e, "drm_fb_blit" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0xd25d5f80, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xcbef7c3e, "drm_gem_shmem_dumb_create" },
	{ 0x69206dad, "noop_llseek" },
	{ 0x28e0b294, "drm_read" },
	{ 0xfe00a1a1, "drm_poll" },
	{ 0xb6948443, "drm_ioctl" },
	{ 0x1e01d7e4, "drm_compat_ioctl" },
	{ 0x249cb7ff, "drm_gem_mmap" },
	{ 0xa4b80e53, "drm_open" },
	{ 0xedd6cdc5, "drm_release" },
	{ 0xf66e06b4, "drm_gem_fb_create_with_dirty" },
	{ 0x8fa58c3e, "drm_atomic_helper_check" },
	{ 0x3b2e945a, "drm_atomic_helper_commit" },
	{ 0xd8d46024, "drm_atomic_helper_connector_reset" },
	{ 0x4dac42f4, "drm_helper_probe_single_connector_modes" },
	{ 0x645b934c, "drm_connector_cleanup" },
	{ 0xc83a123c, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xc5f855ea, "drm_atomic_helper_connector_destroy_state" },
	{ 0x82da8985, "drm_encoder_cleanup" },
	{ 0xb1f88f26, "drm_atomic_helper_crtc_reset" },
	{ 0x15be36bd, "drm_crtc_cleanup" },
	{ 0x95ecdd49, "drm_atomic_helper_set_config" },
	{ 0xf71a6879, "drm_atomic_helper_page_flip" },
	{ 0xc0566f07, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xfb06ef00, "drm_atomic_helper_crtc_destroy_state" },
	{ 0xab8b32c4, "drm_atomic_helper_update_plane" },
	{ 0xe26986e5, "drm_atomic_helper_disable_plane" },
	{ 0xfac0345c, "drm_plane_cleanup" },
	{ 0x287f2a9e, "drm_gem_begin_shadow_fb_access" },
	{ 0xe4467e02, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x374da439, "drm_dev_unplug" },
	{ 0x3548137a, "drm_atomic_helper_shutdown" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0cefa11, "drm_add_modes_noedid" },
	{ 0x8074de42, "drm_set_preferred_mode" },
	{ 0xadbff481, "drm_atomic_helper_check_crtc_primary_plane" },
	{ 0xd30c2ca5, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x37a0cba, "kfree" },
	{ 0x326b7806, "pci_unregister_driver" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001013d000000B8sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001013d000000B8sv00005853sd00000001bc*sc*i*");

MODULE_INFO(srcversion, "D39B139ECA962D920759377");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
