#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabeefd14, "power_supply_changed" },
	{ 0xb67d44f6, "hid_report_raw_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9f455532, "hid_field_extract" },
	{ 0x8b13a8b8, "hid_snto32" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x9aed249e, "hid_open_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x12124074, "sysfs_create_group" },
	{ 0x66a8396d, "hid_hw_start" },
	{ 0xcf2a6966, "up" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x368b3ce3, "hid_connect" },
	{ 0xae45ba72, "devm_kfree" },
	{ 0x2b704fe9, "input_ff_create" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc5bebc70, "device_create_file" },
	{ 0x17975cd, "devm_kmemdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa2957677, "devm_power_supply_register" },
	{ 0xff872a0, "power_supply_powers" },
	{ 0x41ac879f, "devm_kasprintf" },
	{ 0x79eb055b, "devm_input_allocate_device" },
	{ 0xb2c518f9, "input_register_device" },
	{ 0x6c446502, "input_free_device" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x205babdd, "__hid_register_driver" },
	{ 0x73000359, "input_event" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0x86088f66, "hid_is_usb" },
	{ 0x7a0d126c, "usb_set_wireless_status" },
	{ 0xcc01b93b, "input_mt_get_slot_by_key" },
	{ 0x110dcb44, "input_mt_report_slot_state" },
	{ 0x4f6cf209, "input_mt_sync_frame" },
	{ 0x39c7c434, "sysfs_remove_group" },
	{ 0x74487712, "hid_hw_stop" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4156ff50, "hid_hw_open" },
	{ 0xf219e53b, "hid_hw_close" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x38c39fa7, "hid_hw_output_report" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa14e0e7b, "hid_hw_raw_request" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc5a219d, "power_supply_get_drvdata" },
	{ 0x5a921311, "strncmp" },
	{ 0x96848186, "scnprintf" },
	{ 0x262a517d, "_dev_info" },
	{ 0xa6e208d6, "device_remove_file" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x37a0cba, "kfree" },
	{ 0x7ac97376, "hid_unregister_driver" },
	{ 0xc310b981, "strnstr" },
	{ 0x15f9c15b, "input_set_abs_params" },
	{ 0x4be9c792, "input_alloc_absinfo" },
	{ 0xb0318c75, "input_set_capability" },
	{ 0x34258840, "input_mt_init_slots" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc4157c5, "_dev_err" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "usbhid,usbcore");

MODULE_ALIAS("hid:b0003g0102v0000046Dp00004011");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004101");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B00C");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00001017");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000402D");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000101B");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000101A");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004024");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004002");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B305");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B309");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B30B");
MODULE_ALIAS("hid:b0003g0102v0000046Dp*");
MODULE_ALIAS("hid:b0003g0104v0000046Dp00000049");
MODULE_ALIAS("hid:b0003g0104v0000046Dp00000057");
MODULE_ALIAS("hid:b0003g0104v0000046Dp0000005C");
MODULE_ALIAS("hid:b0003g0104v0000046Dp000000FE");
MODULE_ALIAS("hid:b0003g0104v0000046Dp*");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C082");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C08D");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C087");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C090");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C081");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C086");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C091");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C343");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C262");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C26E");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C088");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C094");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C09B");
MODULE_ALIAS("hid:b0003g*v0000046Dp00000A87");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B305");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B309");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B30B");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B35F");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B008");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B012");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B015");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B01D");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B01E");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B02A");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B023");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B025");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B034");

MODULE_INFO(srcversion, "DB56FF4EC06F3CFD622656D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
