#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0xca6efa62, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x465e5917, "_gpl");
SYMBOL_CRC(stm_data_write, 0xaf31862e, "_gpl");
SYMBOL_CRC(stm_register_device, 0xc7531c3a, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0xb0933877, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x3420182c, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x8c8cfe6c, "_gpl");
SYMBOL_CRC(stm_source_write, 0x97494a96, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xd6b1c3d8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xa1485da6, "module_put" },
	{ 0xfabb2c4e, "compat_ptr_ioctl" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x8b58ba08, "configfs_register_subsystem" },
	{ 0x8bd23e9b, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0xf0b556e9, "config_group_init_type_name" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd66f6aa6, "class_unregister" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe3c8f9e1, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xce887a48, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2ec05cb3, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d075e27, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcbc56d1f, "config_item_put" },
	{ 0xb90084a7, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7c063bf8, "kobject_set_name" },
	{ 0xb11232f7, "device_match_name" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x962540c3, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xf8e44dc4, "__pm_runtime_use_autosuspend" },
	{ 0x2d96cf1f, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2a09e998, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd21d029c, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9055382c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2fec6f57, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x41076892, "device_unregister" },
	{ 0xeb3b7c5a, "pm_runtime_set_autosuspend_delay" },
	{ 0xfe0a7303, "vm_iomap_memory" },
	{ 0x70406aba, "config_item_get" },
	{ 0xe72f81b1, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x89aa5b6d, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x98583477, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd639f29, "put_device" },
	{ 0x2b92d5db, "pm_runtime_enable" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "F8117C4D1C07EC8F6D13605");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
