#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3258b22c, "regulator_disable" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x73e1ff46, "irq_domain_remove" },
	{ 0xc194c6a, "i2c_mux_del_adapters" },
	{ 0xa6e208d6, "device_remove_file" },
	{ 0xaf6af6d6, "i2c_client_get_device_id" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xda0fb3c4, "i2c_mux_alloc" },
	{ 0x7c2c5fa8, "devm_regulator_get" },
	{ 0x5840f993, "regulator_enable" },
	{ 0x1300e139, "devm_gpiod_get_optional" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7b121828, "gpiod_set_value_cansleep" },
	{ 0x121ec4f7, "device_get_match_data" },
	{ 0x37a8d9a8, "i2c_get_device_id" },
	{ 0x3cf9675b, "device_property_read_u32_array" },
	{ 0x8a6dce25, "i2c_smbus_write_byte" },
	{ 0x97a25176, "irq_domain_simple_ops" },
	{ 0xd8398e60, "__irq_domain_add" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xc1f79bd, "handle_simple_irq" },
	{ 0xf2ad7eb7, "irq_set_chip_and_handler_name" },
	{ 0xfeb0d867, "irq_create_mapping_affinity" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x53dc3c64, "dev_err_probe" },
	{ 0xc5b3a533, "device_property_present" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0xea1b8a73, "i2c_mux_add_adapter" },
	{ 0x330ae35, "devm_request_threaded_irq" },
	{ 0xc5bebc70, "device_create_file" },
	{ 0x262a517d, "_dev_info" },
	{ 0x444e1c07, "__i2c_smbus_xfer" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x50b774c6, "i2c_register_driver" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb0ad85a1, "i2c_smbus_read_byte" },
	{ 0x54f7a8c3, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x763e36f9, "i2c_del_driver" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "i2c-mux");

MODULE_ALIAS("of:N*T*Cmaxim,max7356");
MODULE_ALIAS("of:N*T*Cmaxim,max7356C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7357");
MODULE_ALIAS("of:N*T*Cmaxim,max7357C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7358");
MODULE_ALIAS("of:N*T*Cmaxim,max7358C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7367");
MODULE_ALIAS("of:N*T*Cmaxim,max7367C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7368");
MODULE_ALIAS("of:N*T*Cmaxim,max7368C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7369");
MODULE_ALIAS("of:N*T*Cmaxim,max7369C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9540");
MODULE_ALIAS("of:N*T*Cnxp,pca9540C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9542");
MODULE_ALIAS("of:N*T*Cnxp,pca9542C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9543");
MODULE_ALIAS("of:N*T*Cnxp,pca9543C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9544");
MODULE_ALIAS("of:N*T*Cnxp,pca9544C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9545");
MODULE_ALIAS("of:N*T*Cnxp,pca9545C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9546");
MODULE_ALIAS("of:N*T*Cnxp,pca9546C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9547");
MODULE_ALIAS("of:N*T*Cnxp,pca9547C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9548");
MODULE_ALIAS("of:N*T*Cnxp,pca9548C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9846");
MODULE_ALIAS("of:N*T*Cnxp,pca9846C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9847");
MODULE_ALIAS("of:N*T*Cnxp,pca9847C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9848");
MODULE_ALIAS("of:N*T*Cnxp,pca9848C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9849");
MODULE_ALIAS("of:N*T*Cnxp,pca9849C*");
MODULE_ALIAS("i2c:max7356");
MODULE_ALIAS("i2c:max7357");
MODULE_ALIAS("i2c:max7358");
MODULE_ALIAS("i2c:max7367");
MODULE_ALIAS("i2c:max7368");
MODULE_ALIAS("i2c:max7369");
MODULE_ALIAS("i2c:pca9540");
MODULE_ALIAS("i2c:pca9542");
MODULE_ALIAS("i2c:pca9543");
MODULE_ALIAS("i2c:pca9544");
MODULE_ALIAS("i2c:pca9545");
MODULE_ALIAS("i2c:pca9546");
MODULE_ALIAS("i2c:pca9547");
MODULE_ALIAS("i2c:pca9548");
MODULE_ALIAS("i2c:pca9846");
MODULE_ALIAS("i2c:pca9847");
MODULE_ALIAS("i2c:pca9848");
MODULE_ALIAS("i2c:pca9849");

MODULE_INFO(srcversion, "4D1A2E53D650C8792C01D1D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
