#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xac9971f8, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x392e942e, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x72b81224, "");
SYMBOL_CRC(rdma_res_to_id, 0xe6408b83, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x3fe8846d, "");
SYMBOL_CRC(rdma_create_user_id, 0x55369027, "");
SYMBOL_CRC(rdma_create_qp, 0x8efb9975, "");
SYMBOL_CRC(rdma_destroy_qp, 0xeb71da03, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x36236263, "");
SYMBOL_CRC(rdma_destroy_id, 0x5c14d96a, "");
SYMBOL_CRC(rdma_get_service_id, 0x4c1d3bfc, "");
SYMBOL_CRC(rdma_read_gids, 0x937ecfce, "");
SYMBOL_CRC(rdma_set_service_type, 0x19b67c9d, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x43da063b, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x6ff75408, "");
SYMBOL_CRC(rdma_set_ib_path, 0x02492eb2, "");
SYMBOL_CRC(rdma_resolve_route, 0xdd880583, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x64fb6d5f, "");
SYMBOL_CRC(rdma_set_afonly, 0x60287de3, "");
SYMBOL_CRC(rdma_listen, 0x1705a09c, "");
SYMBOL_CRC(rdma_resolve_addr, 0x97fc3a83, "");
SYMBOL_CRC(rdma_bind_addr, 0xc0c4a0ae, "");
SYMBOL_CRC(rdma_connect_locked, 0x4fc876b0, "");
SYMBOL_CRC(rdma_connect, 0x573ea0ca, "");
SYMBOL_CRC(rdma_connect_ece, 0x95f4a99a, "");
SYMBOL_CRC(rdma_accept, 0xf7740558, "");
SYMBOL_CRC(rdma_accept_ece, 0xe39104aa, "");
SYMBOL_CRC(rdma_lock_handler, 0x65240925, "");
SYMBOL_CRC(rdma_unlock_handler, 0x8d81478f, "");
SYMBOL_CRC(rdma_notify, 0x83d13073, "");
SYMBOL_CRC(rdma_reject, 0x8d046231, "");
SYMBOL_CRC(rdma_disconnect, 0xad298848, "");
SYMBOL_CRC(rdma_join_multicast, 0x284b891a, "");
SYMBOL_CRC(rdma_leave_multicast, 0xb8987b4f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0x5d11c3e5, "iw_cm_connect" },
	{ 0xf97988c0, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf2f3dbe1, "rdma_addr_cancel" },
	{ 0x31a245bc, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x51c59a14, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xce17e404, "ib_register_client" },
	{ 0xedae97b0, "ib_sa_path_rec_get" },
	{ 0x45dfef04, "ib_create_cm_id" },
	{ 0xa7eb0c9, "__ip_mc_dec_group" },
	{ 0x26c37d63, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x19ae01a8, "perf_trace_run_bpf_submit" },
	{ 0x2853a3a1, "ib_init_ah_from_mcmember" },
	{ 0xa9f5dcb8, "rdma_destroy_ah_attr" },
	{ 0x661b6522, "ib_set_client_data" },
	{ 0x84cff2ef, "init_net" },
	{ 0x9eb6e410, "ib_get_cached_pkey" },
	{ 0x8b58ba08, "configfs_register_subsystem" },
	{ 0x5754a2e9, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x8bac671d, "rdma_put_gid_attr" },
	{ 0xf0b556e9, "config_group_init_type_name" },
	{ 0x1f14905c, "dev_get_by_index" },
	{ 0xffd20412, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7272d4a2, "ib_send_cm_rep" },
	{ 0x99b20c71, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa4b0e144, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xe5628b3b, "bpf_trace_run1" },
	{ 0xa845272e, "ib_destroy_qp_user" },
	{ 0xea94df16, "unregister_pernet_subsys" },
	{ 0x527c95fe, "ib_cm_init_qp_attr" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0x1a3719dc, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe7cb6ec6, "rdma_restrack_set_name" },
	{ 0x75eeb757, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x1686acce, "ib_get_cached_port_state" },
	{ 0x51bdc77a, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb64a3190, "rdma_restrack_del" },
	{ 0x3d177759, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xfa118c20, "bpf_trace_run3" },
	{ 0xb0776876, "__put_net" },
	{ 0x5d6461cb, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd517c26e, "iw_cm_accept" },
	{ 0xf0448176, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcbc56d1f, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe48cd933, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xe9ab98c7, "iw_cm_init_qp_attr" },
	{ 0xc2b9cd8e, "dst_release" },
	{ 0x76ed102a, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x62ae9c40, "ib_send_cm_dreq" },
	{ 0x7e438654, "ib_send_cm_req" },
	{ 0xce309d1c, "ib_create_qp_kernel" },
	{ 0xa2d00b28, "ib_sa_join_multicast" },
	{ 0xcc86319, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7dfdb94b, "rdma_get_gid_attr" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0xf631e151, "rdma_restrack_new" },
	{ 0x2b33ece3, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x550d036b, "iw_cm_listen" },
	{ 0x30df2ffe, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x29f88ce6, "rdma_copy_src_l2_addr" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x79bb78d0, "rdma_resolve_ip" },
	{ 0xed6b6504, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x37bab681, "iw_create_cm_id" },
	{ 0xd186cff6, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x13bf1db6, "ib_unregister_client" },
	{ 0xcc727b5, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x64025c4, "ib_send_cm_sidr_rep" },
	{ 0xe1b80604, "bpf_trace_run4" },
	{ 0x2fec6f57, "config_group_init" },
	{ 0xee1b988a, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x1a6343a, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e6f2e1, "trace_raw_output_prep" },
	{ 0xd4d5b5d5, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3ee17f5e, "__trace_trigger_soft_disabled" },
	{ 0x58f0dafc, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0xdbcc4932, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x11cac5b1, "rdma_query_gid" },
	{ 0xd84c6c2b, "rt6_lookup" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x16ec52a, "rdma_translate_ip" },
	{ 0xe086052f, "bpf_trace_run2" },
	{ 0x6d5c9d3b, "rdma_dev_access_netns" },
	{ 0x1709d65a, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe11f038d, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x89aa5b6d, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7e67cfb4, "register_pernet_subsys" },
	{ 0xfbe6df26, "trace_event_buffer_commit" },
	{ 0xf3202701, "ip_mc_inc_group" },
	{ 0x84d8aeb1, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x39278162, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs");


MODULE_INFO(srcversion, "3FA75D30E04992D116E2E22");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
