#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dvb_usbv2_probe, "", "");
KSYMTAB_FUNC(dvb_usbv2_disconnect, "", "");
KSYMTAB_FUNC(dvb_usbv2_suspend, "", "");
KSYMTAB_FUNC(dvb_usbv2_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_reset_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw_locked, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write_locked, "", "");

SYMBOL_CRC(dvb_usbv2_probe, 0x9c23a003, "");
SYMBOL_CRC(dvb_usbv2_disconnect, 0xa0b199e3, "");
SYMBOL_CRC(dvb_usbv2_suspend, 0xf61add49, "");
SYMBOL_CRC(dvb_usbv2_resume, 0x1df38452, "");
SYMBOL_CRC(dvb_usbv2_reset_resume, 0x2a1e59f2, "");
SYMBOL_CRC(dvb_usbv2_generic_rw, 0x50eed727, "");
SYMBOL_CRC(dvb_usbv2_generic_write, 0xc5371158, "");
SYMBOL_CRC(dvb_usbv2_generic_rw_locked, 0x7e808baf, "");
SYMBOL_CRC(dvb_usbv2_generic_write_locked, 0x13e377a1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe4bb1d2d, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x17b50d87, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x990bd1f0, "usb_submit_urb" },
	{ 0x262a517d, "_dev_info" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x44f66139, "i2c_del_adapter" },
	{ 0xc052c2f1, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65d0108b, "rc_register_device" },
	{ 0xedb47dbc, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xee09313b, "dvb_dmxdev_release" },
	{ 0xc8dec430, "rc_free_device" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x99eec8a4, "dvb_frontend_detach" },
	{ 0xe16dc6cd, "i2c_add_adapter" },
	{ 0xcdb8a6a6, "dvb_net_release" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2c22e36b, "rc_allocate_device" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc6a6381d, "dvb_unregister_frontend" },
	{ 0xc3e8f360, "usb_kill_urb" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1d10d7e1, "__media_device_usb_init" },
	{ 0x7cd6b59b, "dvb_frontend_resume" },
	{ 0xb6de2666, "dvb_register_frontend" },
	{ 0xa4eaa197, "dvb_frontend_suspend" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0xcc97a3, "dvb_create_media_graph" },
	{ 0x90f9e7f7, "dvb_unregister_adapter" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xd57bef2a, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x65ac6bc5, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb38356be, "dvb_dmxdev_init" },
	{ 0x7caf50fe, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9403549a, "media_device_unregister" },
	{ 0xd27831d1, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x46eb6985, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0x81a0422f, "__media_device_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "9926F3EE0FC2A72E4FE49C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
