#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mptscsih_flush_running_cmds, "", "");
KSYMTAB_FUNC(mptscsih_IssueTaskMgmt, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_response_code, "", "");
KSYMTAB_FUNC(mptscsih_is_phys_disk, "", "");
KSYMTAB_FUNC(mptscsih_raid_id_to_num, "", "");
KSYMTAB_FUNC(mptscsih_get_scsi_lookup, "", "");
KSYMTAB_DATA(mptscsih_host_attr_groups, "", "");
KSYMTAB_FUNC(mptscsih_remove, "", "");
KSYMTAB_FUNC(mptscsih_shutdown, "", "");
KSYMTAB_FUNC(mptscsih_suspend, "", "");
KSYMTAB_FUNC(mptscsih_resume, "", "");
KSYMTAB_FUNC(mptscsih_show_info, "", "");
KSYMTAB_FUNC(mptscsih_info, "", "");
KSYMTAB_FUNC(mptscsih_qcmd, "", "");
KSYMTAB_FUNC(mptscsih_slave_destroy, "", "");
KSYMTAB_FUNC(mptscsih_slave_configure, "", "");
KSYMTAB_FUNC(mptscsih_abort, "", "");
KSYMTAB_FUNC(mptscsih_dev_reset, "", "");
KSYMTAB_FUNC(mptscsih_bus_reset, "", "");
KSYMTAB_FUNC(mptscsih_host_reset, "", "");
KSYMTAB_FUNC(mptscsih_bios_param, "", "");
KSYMTAB_FUNC(mptscsih_io_done, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_complete, "", "");
KSYMTAB_FUNC(mptscsih_scandv_complete, "", "");
KSYMTAB_FUNC(mptscsih_event_process, "", "");
KSYMTAB_FUNC(mptscsih_ioc_reset, "", "");
KSYMTAB_FUNC(mptscsih_change_queue_depth, "", "");

SYMBOL_CRC(mptscsih_flush_running_cmds, 0xe04b8bb7, "");
SYMBOL_CRC(mptscsih_IssueTaskMgmt, 0x5db5aeb6, "");
SYMBOL_CRC(mptscsih_taskmgmt_response_code, 0x2be70e64, "");
SYMBOL_CRC(mptscsih_is_phys_disk, 0xf80fbe5b, "");
SYMBOL_CRC(mptscsih_raid_id_to_num, 0xf0f65b70, "");
SYMBOL_CRC(mptscsih_get_scsi_lookup, 0x1acc8bfc, "");
SYMBOL_CRC(mptscsih_host_attr_groups, 0x944aa690, "");
SYMBOL_CRC(mptscsih_remove, 0xc79cd2c4, "");
SYMBOL_CRC(mptscsih_shutdown, 0xd8d3969b, "");
SYMBOL_CRC(mptscsih_suspend, 0x9f388a6c, "");
SYMBOL_CRC(mptscsih_resume, 0x4f812365, "");
SYMBOL_CRC(mptscsih_show_info, 0x97e8dfb7, "");
SYMBOL_CRC(mptscsih_info, 0x90d5dd02, "");
SYMBOL_CRC(mptscsih_qcmd, 0x2bf94869, "");
SYMBOL_CRC(mptscsih_slave_destroy, 0x9396e275, "");
SYMBOL_CRC(mptscsih_slave_configure, 0xee92d422, "");
SYMBOL_CRC(mptscsih_abort, 0x2316d011, "");
SYMBOL_CRC(mptscsih_dev_reset, 0xab3d8232, "");
SYMBOL_CRC(mptscsih_bus_reset, 0x8c24876c, "");
SYMBOL_CRC(mptscsih_host_reset, 0x35e999e8, "");
SYMBOL_CRC(mptscsih_bios_param, 0x59590617, "");
SYMBOL_CRC(mptscsih_io_done, 0xd8732496, "");
SYMBOL_CRC(mptscsih_taskmgmt_complete, 0x487df58a, "");
SYMBOL_CRC(mptscsih_scandv_complete, 0x4f96e8bd, "");
SYMBOL_CRC(mptscsih_event_process, 0x3ad7fc17, "");
SYMBOL_CRC(mptscsih_ioc_reset, 0x3cbcd01a, "");
SYMBOL_CRC(mptscsih_change_queue_depth, 0x016f279f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x122c3a7e, "_printk" },
	{ 0x37a0cba, "kfree" },
	{ 0x816f90b1, "scsi_host_put" },
	{ 0xa2bf18b7, "mpt_detach" },
	{ 0xfd0f3218, "scsi_block_requests" },
	{ 0x85805c18, "mpt_suspend" },
	{ 0x47175ce3, "mpt_resume" },
	{ 0x7bf22363, "scsi_unblock_requests" },
	{ 0x487fabdd, "mpt_print_ioc_summary" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0xc3098d49, "mpt_get_msg_frame" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x30d69483, "mpt_put_msg_frame" },
	{ 0xf4bc2c5f, "scsi_dma_map" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4bab272, "mpt_free_msg_frame" },
	{ 0x9478f7df, "mpt_GetIocState" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe839e33f, "mpt_set_taskmgmt_in_progress_flag" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9f8620ea, "mpt_put_msg_frame_hi_pri" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x974bcff0, "mpt_clear_taskmgmt_in_progress_flag" },
	{ 0x5fb8ae47, "mpt_Soft_Hard_ResetHandler" },
	{ 0x2fbd043f, "mpt_send_handshake_request" },
	{ 0xcb3b418b, "mpt_HardResetHandler" },
	{ 0xa26fde8c, "scsi_print_command" },
	{ 0xa6257a2f, "complete" },
	{ 0xf6661e91, "scsi_change_queue_depth" },
	{ 0x831f9ef1, "blk_queue_dma_alignment" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x754d539c, "strlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf3ad580b, "mpt_raid_phys_disk_get_num_paths" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd4c7753e, "mpt_raid_phys_disk_pg1" },
	{ 0xc47ff1ae, "scsi_dma_unmap" },
	{ 0x6acb466, "scsi_done" },
	{ 0x502108d0, "mpt_fwfault_debug" },
	{ 0xe336b073, "mpt_halt_firmware" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,mptbase,scsi_common");


MODULE_INFO(srcversion, "20BAD7D3CD0B8FCB0C5EFE5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
