#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3098d49, "mpt_get_msg_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x30d69483, "mpt_put_msg_frame" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcb3b418b, "mpt_HardResetHandler" },
	{ 0xc4bab272, "mpt_free_msg_frame" },
	{ 0xe12dc11f, "scsi_is_host_device" },
	{ 0xdcbe8315, "dma_alloc_attrs" },
	{ 0xbcc43310, "mpt_config" },
	{ 0x4b7c8097, "dma_free_attrs" },
	{ 0x5a6cdecf, "scsi_device_lookup_by_target" },
	{ 0x563e950b, "sdev_prefix_printk" },
	{ 0x3cde31ce, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9396e275, "mptscsih_slave_destroy" },
	{ 0x3ad7fc17, "mptscsih_event_process" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4f812365, "mptscsih_resume" },
	{ 0x3cbcd01a, "mptscsih_ioc_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1346f077, "spi_dv_device" },
	{ 0x80a2ae04, "spi_display_xfer_agreement" },
	{ 0x98c4649a, "__scsi_iterate_devices" },
	{ 0xee92d422, "mptscsih_slave_configure" },
	{ 0xfac5239, "mpt_findImVolumes" },
	{ 0xfb56e1f6, "scsi_scan_target" },
	{ 0xf0f65b70, "mptscsih_raid_id_to_num" },
	{ 0x9f388a6c, "mptscsih_suspend" },
	{ 0xd8d3969b, "mptscsih_shutdown" },
	{ 0x90d5dd02, "mptscsih_info" },
	{ 0x2316d011, "mptscsih_abort" },
	{ 0xab3d8232, "mptscsih_dev_reset" },
	{ 0x8c24876c, "mptscsih_bus_reset" },
	{ 0x35e999e8, "mptscsih_host_reset" },
	{ 0x16f279f, "mptscsih_change_queue_depth" },
	{ 0x59590617, "mptscsih_bios_param" },
	{ 0x97e8dfb7, "mptscsih_show_info" },
	{ 0x944aa690, "mptscsih_host_attr_groups" },
	{ 0xd57bef2a, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa60504bc, "spi_attach_transport" },
	{ 0xd8732496, "mptscsih_io_done" },
	{ 0x4712f68e, "mpt_register" },
	{ 0x487df58a, "mptscsih_taskmgmt_complete" },
	{ 0x4f96e8bd, "mptscsih_scandv_complete" },
	{ 0xc0948dc5, "mpt_event_register" },
	{ 0x53154934, "mpt_reset_register" },
	{ 0x11ce53a0, "__pci_register_driver" },
	{ 0xe62f5c1e, "spi_release_transport" },
	{ 0x37a0cba, "kfree" },
	{ 0x54598cae, "scsi_remove_host" },
	{ 0xc79cd2c4, "mptscsih_remove" },
	{ 0x2bf94869, "mptscsih_qcmd" },
	{ 0xf80fbe5b, "mptscsih_is_phys_disk" },
	{ 0x6acb466, "scsi_done" },
	{ 0x326b7806, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x4eaf9bf2, "mpt_attach" },
	{ 0x7cb2df4f, "scsi_host_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa7d06ea2, "scsi_add_host_with_dma" },
	{ 0x739cc134, "scsi_scan_host" },
	{ 0x5db5aeb6, "mptscsih_IssueTaskMgmt" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "mptbase,scsi_mod,mptscsih,scsi_transport_spi");

MODULE_ALIAS("pci:v00001000d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000040sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0FB4C011C61458934068E67");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
