#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x50dabc2f, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x57f511d5, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x7838e22a, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0xb7f96903, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x42b93497, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x8e75487f, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x933f23a0, "_gpl");
SYMBOL_CRC(register_mtd_user, 0xaf0b435d, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0xe3a17c16, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x7beb392d, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0xf44fcb5b, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x927af0b3, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x425d820c, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x9e6ab7a8, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x17fc29e0, "_gpl");
SYMBOL_CRC(mtd_erase, 0x64a36779, "_gpl");
SYMBOL_CRC(mtd_point, 0xfb7567fc, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0xd1082fa0, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0xe780a819, "_gpl");
SYMBOL_CRC(mtd_read, 0x24cbc8cc, "_gpl");
SYMBOL_CRC(mtd_write, 0xa1d56cb7, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0x9b08fbb8, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x6a8ee8d5, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0xd948fe7a, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0xfad89f78, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x5150a485, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x916cf1cf, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0xe12fc4e9, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0xb7e67667, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x46ab4b45, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x6a644356, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0xbd8126c9, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0xe9094b11, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x6586c6f9, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x542d82bc, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0xf215b6a0, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x158453b7, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x74f4d541, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0xe9cb1995, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x0952fbf8, "_gpl");
SYMBOL_CRC(mtd_lock, 0xd952e14b, "_gpl");
SYMBOL_CRC(mtd_unlock, 0xe48ca8ed, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x573f44e6, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x5b5e52ca, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0xd00bca5c, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x14c503a8, "_gpl");
SYMBOL_CRC(mtd_writev, 0x229f35d0, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x4e242154, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0x81349cc8, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x15739658, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x9431e39a, "");
SYMBOL_CRC(mtd_concat_destroy, 0xc3701eb1, "");
SYMBOL_CRC(mtd_add_partition, 0xaf9adf5e, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x3efd5779, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0xb6d94219, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x57c122b7, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0x0519a346, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8f11603, "idr_alloc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x57ba9ad5, "device_create" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb26cfced, "debugfs_remove" },
	{ 0x2b743f6b, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xd66f6aa6, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x63addb74, "bdi_alloc" },
	{ 0x844dd7f8, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb90084a7, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x87142ff8, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfb30c659, "remove_proc_entry" },
	{ 0xbcd7a30a, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x2312cc5c, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x4eef93ee, "seq_puts" },
	{ 0x53dc3c64, "dev_err_probe" },
	{ 0x8ecab76d, "proc_create_single_data" },
	{ 0x245a6f02, "nvmem_register" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb6c3bf3f, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2a09e998, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe5674d56, "generic_shutdown_super" },
	{ 0x9055382c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7574e1ea, "sget_dev" },
	{ 0xa6a4bf64, "bdi_unregister" },
	{ 0x482c9458, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x1b746104, "bdi_register" },
	{ 0x41076892, "device_unregister" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9d7cd7d3, "logfc" },
	{ 0xac95800, "sysfs_remove_files" },
	{ 0xc7aef14, "__module_get" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0xcb0d2466, "bdi_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfd639f29, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa1485da6, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf6c23c3f, "debugfs_create_bool" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F791D9842983DCB762A2866");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
