#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0xf8c807d6, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xd27c35ef, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x9a270d0c, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x39af985b, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x4225f079, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x530ad565, "xp_dma_sync_for_cpu_slow" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8c7ddb63, "netif_set_real_num_tx_queues" },
	{ 0x3b53ba1b, "__auxiliary_device_add" },
	{ 0xefaad1f1, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x417225b5, "netif_set_real_num_rx_queues" },
	{ 0x6af11bdb, "flow_indr_block_cb_alloc" },
	{ 0x67b6bf0e, "pci_wait_for_pending_transaction" },
	{ 0xd0a86a0a, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59f0f2d6, "pci_device_is_present" },
	{ 0xa29add21, "pci_read_config_word" },
	{ 0xf363a20f, "pcie_flr" },
	{ 0xc72bf093, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x54e1e804, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x1ea3acdb, "dcbnl_ieee_notify" },
	{ 0x7cc53220, "xsk_uses_need_wakeup" },
	{ 0x3eb707ae, "register_netdev" },
	{ 0xa0b9165, "dev_mc_del" },
	{ 0x99b20c71, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x89de04fb, "free_netdev" },
	{ 0xaa29dfb, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5b2c7550, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x3a37bcba, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd189a29b, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x2f1e8d69, "netif_tx_stop_all_queues" },
	{ 0x51280cf2, "pci_restore_state" },
	{ 0xe5628b3b, "bpf_trace_run1" },
	{ 0x4487aa81, "netif_tx_wake_queue" },
	{ 0x2242087e, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5d2f8db9, "dma_sync_single_for_cpu" },
	{ 0xee73e6fe, "dcb_getapp" },
	{ 0x22624651, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0xff5e430b, "flow_rule_match_ports" },
	{ 0x564a88dd, "gnss_allocate_device" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x322ab572, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x3ad5e38d, "netif_schedule_queue" },
	{ 0x6d19a161, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x7b2e06ad, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xca9a0481, "flow_rule_match_ipv6_addrs" },
	{ 0x4f5dfa95, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc2a32473, "ptp_clock_unregister" },
	{ 0x218c1980, "__pskb_pull_tail" },
	{ 0x78725c79, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x9c1c026d, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x23ffdb46, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb5bfefdf, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd6b771d4, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x98e810e1, "flow_rule_match_pppoe" },
	{ 0x41d9605b, "pv_ops" },
	{ 0x899a9210, "flow_rule_match_enc_control" },
	{ 0xfa118c20, "bpf_trace_run3" },
	{ 0xc5f0d9f1, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5c12afeb, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x174bc7ba, "gnss_deregister_device" },
	{ 0xbdca803f, "rps_may_expire_flow" },
	{ 0x15000f8f, "metadata_dst_free" },
	{ 0x64fe9c9d, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xaef4af11, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe22d292, "devlink_params_register" },
	{ 0xf0448176, "trace_event_buffer_reserve" },
	{ 0x33bde550, "kthread_destroy_worker" },
	{ 0xbc54e08c, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb2dd2a5, "flow_rule_match_enc_ports" },
	{ 0xc93bbc49, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x2a5d1bea, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xf81d65dc, "pcie_print_link_status" },
	{ 0xd01027a1, "xp_set_rxq_info" },
	{ 0x87fd3b88, "flow_rule_match_vlan" },
	{ 0xef12297c, "xdp_rxq_info_unreg" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x8091e63d, "napi_build_skb" },
	{ 0x7b87c6be, "netdev_master_upper_dev_get_rcu" },
	{ 0x5ade06d3, "__xdp_rxq_info_reg" },
	{ 0x6c480e51, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x312aceb9, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xc1ab56c3, "gnss_register_device" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd800e9f9, "devlink_priv" },
	{ 0xce3a6710, "__hw_addr_sync_dev" },
	{ 0xde435285, "devlink_port_register_with_ops" },
	{ 0x35872506, "pci_disable_sriov" },
	{ 0x99a1739b, "pldmfw_flash_image" },
	{ 0x9395e030, "kthread_queue_delayed_work" },
	{ 0x40b91612, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc2b9cd8e, "dst_release" },
	{ 0x1696a4fd, "netif_carrier_on" },
	{ 0x22d2936, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x46c4cbd1, "dev_uc_add_excl" },
	{ 0x3ade6d76, "pci_disable_device" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x6393a089, "xp_free" },
	{ 0xa54ef237, "dev_mc_add_excl" },
	{ 0xac7ffc57, "gnss_put_device" },
	{ 0x9a73cfa1, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x926e58aa, "netif_set_tso_max_size" },
	{ 0x1aa2f509, "__skb_flow_dissect" },
	{ 0xc096825e, "vlan_dev_vlan_id" },
	{ 0x20209564, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x3623def6, "pcim_iomap_table" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x11099322, "xdp_master_redirect" },
	{ 0x3f9695a, "__devm_add_action" },
	{ 0x7b7e26bc, "napi_schedule_prep" },
	{ 0x18cce4b3, "napi_consume_skb" },
	{ 0x9ba8693, "pci_read_config_byte" },
	{ 0x75c46f46, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x5c8b1130, "napi_disable" },
	{ 0xdc35e042, "dev_kfree_skb_any_reason" },
	{ 0xd88a3d2f, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xd57bef2a, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb3ab7b86, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2a7abb97, "pci_free_irq_vectors" },
	{ 0x3301d007, "flow_rule_match_control" },
	{ 0x8230bd17, "flow_rule_match_ip" },
	{ 0x5290678a, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xcd061ba6, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb05aa4e, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x8bbc308c, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x1a5521e0, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x46409bf7, "__tracepoint_xdp_exception" },
	{ 0xb263f30b, "xsk_tx_completed" },
	{ 0xbe566b37, "alloc_etherdev_mqs" },
	{ 0xe7b74925, "netdev_lower_get_next" },
	{ 0x9707cabc, "flow_block_cb_lookup" },
	{ 0xc2c0e923, "pci_save_state" },
	{ 0x33d48500, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xfd953dcb, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xd67873cf, "device_set_wakeup_enable" },
	{ 0xb92bbd13, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3b74047b, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbdc648fc, "pci_find_ext_capability" },
	{ 0x11fb4563, "kthread_create_worker" },
	{ 0xe9c5651a, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7a63940c, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x11a4ac93, "devlink_unregister" },
	{ 0x174fab3b, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x330ae35, "devm_request_threaded_irq" },
	{ 0x9814a98b, "kthread_cancel_delayed_work_sync" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x1d8918b8, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xbc59c142, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x276e4488, "call_switchdev_notifiers" },
	{ 0x1b2832ff, "__napi_alloc_skb" },
	{ 0x273cb85d, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3f73ed54, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x392f9762, "auxiliary_device_init" },
	{ 0x4f38cc79, "pci_enable_device_mem" },
	{ 0x342f3539, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xcb320148, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1feaee64, "pci_alloc_irq_vectors" },
	{ 0x50db6615, "flow_rule_match_l2tpv3" },
	{ 0xf7a186d8, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe0c3c273, "xsk_tx_peek_release_desc_batch" },
	{ 0x6183cba5, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x937fcdca, "dmam_alloc_attrs" },
	{ 0x4e6f2e1, "trace_raw_output_prep" },
	{ 0x10adbf84, "devl_lock" },
	{ 0xa2555ef2, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb6747567, "ndo_dflt_bridge_getlink" },
	{ 0xe46369b9, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe3f3f0d7, "xdp_features_set_redirect_target" },
	{ 0x3ee17f5e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe354aa0a, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x1e39ca0c, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x46eb6985, "request_firmware" },
	{ 0x58f0dafc, "trace_event_printf" },
	{ 0xa5ee97cd, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xe380c486, "flow_rule_match_cvlan" },
	{ 0x11ce53a0, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x98a2f0d, "devlink_params_unregister" },
	{ 0x425f4bc0, "dma_sync_single_for_device" },
	{ 0x432e62f2, "gnss_insert_raw" },
	{ 0x9a930793, "pci_num_vf" },
	{ 0xecdb2891, "flow_rule_match_eth_addrs" },
	{ 0xd37e9168, "skb_add_rx_frag" },
	{ 0xa1afab2d, "get_device_system_crosststamp" },
	{ 0x48c2cf8b, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x18d6a5d0, "ptp_clock_index" },
	{ 0xdbcc4932, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x96a086c9, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x2ee793d3, "devlink_alloc_ns" },
	{ 0xfd3df140, "devl_rate_leaf_destroy" },
	{ 0xdd270640, "devlink_register" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x6d9894b0, "xdp_do_redirect" },
	{ 0x94eb8608, "devlink_free" },
	{ 0xcbf66323, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe086052f, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x337e78c3, "devl_rate_node_create" },
	{ 0x46e1f89f, "netdev_warn" },
	{ 0x8241ffe1, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6fee57b9, "pci_set_power_state" },
	{ 0xaab7bdcd, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1652a2e6, "pci_irq_vector" },
	{ 0xa31a958, "flow_rule_match_ipv4_addrs" },
	{ 0xf4f41465, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1c55116d, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x326b7806, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xb8c747c1, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9924b3cc, "pskb_expand_head" },
	{ 0x7dc0594, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x9dea4068, "devlink_flash_update_status_notify" },
	{ 0x32cc3731, "dev_driver_string" },
	{ 0x43edfca9, "pci_restore_msi_state" },
	{ 0xfbe6df26, "trace_event_buffer_commit" },
	{ 0xbaf609dd, "xdp_return_buff" },
	{ 0xe6650b28, "dev_addr_mod" },
	{ 0x317f7724, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x973865bd, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x523a96f8, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96965a03, "dma_map_page_attrs" },
	{ 0xa40ab613, "napi_complete_done" },
	{ 0xaa26976e, "switchdev_handle_port_obj_del" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2e423c54, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x63c38b77, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfd639f29, "put_device" },
	{ 0x4d97dd7, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0xcbb3a966, "__napi_schedule" },
	{ 0x9219b48d, "ipv6_skip_exthdr" },
	{ 0x40ad983, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x8d38e707, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2c0b0b06, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc36655b3, "__hw_addr_unsync_dev" },
	{ 0x262a517d, "_dev_info" },
	{ 0xca4341cf, "napi_gro_receive" },
	{ 0x223a7ffc, "xdp_features_clear_redirect_target" },
	{ 0x84e871e2, "netdev_pick_tx" },
	{ 0xdbc19fff, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xbd8eb0a8, "xp_raw_get_dma" },
	{ 0x1b9276f5, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xc09e941f, "xdp_rxq_info_is_reg" },
	{ 0x6b4a2ee3, "flow_rule_match_enc_opts" },
	{ 0xd1479da8, "flow_block_cb_setup_simple" },
	{ 0x6679485c, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x72209a50, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd20aae3f, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x96f04fc8, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa800ccdc, "devlink_region_create" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x26c37d63, "vlan_dev_real_dev" },
	{ 0xf505da9, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x17975cd, "devm_kmemdup" },
	{ 0x58ecd582, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x19ae01a8, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xd4f7d01e, "devlink_port_unregister" },
	{ 0xa0fa0772, "devlink_flash_update_timeout_notify" },
	{ 0xae45ba72, "devm_kfree" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x84cff2ef, "init_net" },
	{ 0xe8de623a, "softnet_data" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4fef5344, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x5cdd1ed8, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "gnss");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "27D7E3CCF23E3C45D829130");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
