#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_port_set, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0xf3d783e9, "");
SYMBOL_CRC(ocelot_mact_forget, 0x793824fe, "");
SYMBOL_CRC(ocelot_mact_lookup, 0x6f7aef3b, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0xfcb74291, "");
SYMBOL_CRC(ocelot_pll5_init, 0xbf43833c, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0xf006795a, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0xedf94246, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0xf2cbda19, "");
SYMBOL_CRC(ocelot_vlan_add, 0xff294c38, "");
SYMBOL_CRC(ocelot_vlan_del, 0xef9b986c, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0x0d932645, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0xdc5692f7, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0xb312d3f7, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0x6925308c, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0xba7c8bf4, "");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0x536ccaad, "");
SYMBOL_CRC(ocelot_can_inject, 0x5f3a84ed, "");
SYMBOL_CRC(ocelot_ifh_port_set, 0xd0ebefd9, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0xb6d3836c, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0xf35ffd08, "");
SYMBOL_CRC(ocelot_fdb_add, 0xc564cacd, "");
SYMBOL_CRC(ocelot_fdb_del, 0xc3d5c68d, "");
SYMBOL_CRC(ocelot_mact_flush, 0xf10cfc8a, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0x30bb1111, "");
SYMBOL_CRC(ocelot_bond_get_id, 0x4d75a15b, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0xd86a9d31, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0x4d361960, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0x1c07ff47, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0x6a7961c9, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0x4537dbb5, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0xa880c3b3, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0xee2f897e, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0x200d4925, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0x84dd9ea5, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0x85df8912, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0xcbe314eb, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0x9d4dcc37, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0x80f81697, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0x54195010, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0xaa51ef71, "");
SYMBOL_CRC(ocelot_port_lag_change, 0x620bd2dd, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0x191d6d2a, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0x67d9a7c9, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0x9900103f, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0x68e65a2f, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0xa6d5b239, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0x42534745, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0x3635b525, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0xf27f962a, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0x18a78a88, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x46825019, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0x0d2595d8, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0xceb83150, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0x6da54644, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0xd8f5ae6a, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x4dbcf4f6, "");
SYMBOL_CRC(ocelot_reset, 0x056c2bdc, "");
SYMBOL_CRC(ocelot_init, 0xbb27c631, "");
SYMBOL_CRC(ocelot_deinit, 0x2ac33d82, "");
SYMBOL_CRC(ocelot_deinit_port, 0x6628761b, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0x7cf620b0, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0x495e80c3, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0xcdf4da9c, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0xc3ee1bff, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x23b47595, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x83ebc0c2, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x099aa859, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0xecd02566, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0x7c238196, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0xf0c8d399, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0x59a44bb4, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0xcea98bdc, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0xb7dda78f, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0x9aa69820, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0xb85d7cca, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0xb06dea95, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0x8be664ec, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0x774ee767, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0x1a510ebe, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0x4e34c229, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0x2b98bb69, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0xfa4ba3ec, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0xe0183f2d, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0x33509f8a, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0x8509a82f, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0x45e87d83, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0x413caa90, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0xc63be501, "");
SYMBOL_CRC(ocelot_port_policer_add, 0xc71b118c, "");
SYMBOL_CRC(ocelot_port_policer_del, 0xd574529d, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0xf352a097, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0x352a1db2, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0x998c49df, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0xda77cf95, "");
SYMBOL_CRC(ocelot_ptp_verify, 0x758126e5, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x68e8d044, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x8ee7aa00, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0x27010800, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x0e5608fd, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0x783416e1, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0x28aaa026, "");
SYMBOL_CRC(ocelot_init_timestamp, 0xe09bba72, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0x98c22948, "");
SYMBOL_CRC(ocelot_get_strings, 0x884252f6, "");
SYMBOL_CRC(ocelot_get_sset_count, 0xc5f844e4, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0xd6c02569, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0x280c8a0c, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0xdb3017fe, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0x6ecbd53b, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x3a51e80a, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0xdd60d655, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x5061c97e, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0xd58885ac, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x25e64d94, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0xc8c63b8f, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0xa4b9772a, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0x315677e5, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0x3c0207d4, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0x7d35d258, "");
SYMBOL_CRC(ocelot_mrp_del, 0x10b6be07, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x7de847e0, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0x7aba7956, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa31a958, "flow_rule_match_ipv4_addrs" },
	{ 0x8e8d6090, "regmap_field_update_bits_base" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb8c747c1, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x19167b9d, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0xbe495258, "skb_queue_purge_reason" },
	{ 0xcd1b9794, "ptp_find_pin" },
	{ 0x523a96f8, "eth_type_trans" },
	{ 0xa715716d, "ethtool_aggregate_pause_stats" },
	{ 0x70f7f00f, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd52aa01c, "regmap_fields_read" },
	{ 0x90d1548b, "skb_queue_tail" },
	{ 0x4fd2813, "regmap_field_read" },
	{ 0xdd41c693, "devm_regmap_field_alloc" },
	{ 0x2b380edf, "ptp_classify_raw" },
	{ 0x72209a50, "flow_rule_match_basic" },
	{ 0xf3612fb8, "__dev_get_by_index" },
	{ 0xae45ba72, "devm_kfree" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x5cdd1ed8, "ptp_clock_register" },
	{ 0x8c7ddb63, "netif_set_real_num_tx_queues" },
	{ 0x8040fcf7, "kfree_skb_reason" },
	{ 0x715246a5, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xc28ff65e, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0xff5e430b, "flow_rule_match_ports" },
	{ 0x27567a61, "__devm_regmap_init_mmio_clk" },
	{ 0xb6d33dcb, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4f5dfa95, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc2a32473, "ptp_clock_unregister" },
	{ 0x8b26c803, "__netdev_alloc_skb" },
	{ 0x1e1ea8a6, "of_phy_get" },
	{ 0x325a1dd4, "phy_set_mode_ext" },
	{ 0xaef4af11, "netdev_reset_tc" },
	{ 0x79a25bf0, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9a6c88ce, "devm_ioremap_resource" },
	{ 0x50316be5, "ethtool_aggregate_rmon_stats" },
	{ 0x87fd3b88, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeb69b298, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfdf4e759, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x22d2936, "netdev_set_num_tc" },
	{ 0x7a46382a, "regmap_update_bits_base" },
	{ 0x53dc3c64, "dev_err_probe" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0xdc35e042, "dev_kfree_skb_any_reason" },
	{ 0xad465d29, "devlink_sb_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3301d007, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x95ceefdd, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfd10b753, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xfddff411, "skb_put" },
	{ 0xbc59c142, "skb_tstamp_tx" },
	{ 0x398f2060, "of_phy_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb6f12307, "skb_clone_sk" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xa5e35e72, "regmap_fields_update_bits_base" },
	{ 0xecdb2891, "flow_rule_match_eth_addrs" },
	{ 0x18d6a5d0, "ptp_clock_index" },
	{ 0xb86acb30, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "F1EC45826B5C2D56912F4B7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
