#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xf9323399, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x14acb8f1, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xfb25b107, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7377beca, "netif_stacked_transfer_operstate" },
	{ 0x53662796, "linkwatch_fire_event" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0xa207bbb5, "netdev_rx_handler_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x47d8391c, "skb_copy" },
	{ 0x342f3539, "consume_skb" },
	{ 0x14613469, "skb_push" },
	{ 0xfddff411, "skb_put" },
	{ 0x5ae91af6, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xb1c03bd, "skb_to_sgvec" },
	{ 0x23579201, "crypto_aead_encrypt" },
	{ 0x126b1d07, "skb_copy_expand" },
	{ 0xc2b9cd8e, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x99ff77da, "skb_clone" },
	{ 0xdc1ce9f8, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3b45dd0e, "crypto_aead_decrypt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x218c1980, "__pskb_pull_tail" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1f1950b2, "netdev_rx_handler_unregister" },
	{ 0x519bdea4, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x312aceb9, "netif_carrier_off" },
	{ 0xd6cc8e39, "dev_mc_unsync" },
	{ 0xe6e40e5, "dev_uc_unsync" },
	{ 0xa5ee97cd, "dev_uc_del" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xcecfdcef, "dev_uc_add" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x1696a4fd, "netif_carrier_on" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe182acbf, "genlmsg_put" },
	{ 0xd623d91, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa6e245b9, "rtnl_link_register" },
	{ 0xa67fc0e0, "genl_register_family" },
	{ 0x958119b7, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xcfa94786, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf8a2dcab, "crypto_alloc_aead" },
	{ 0x37bd99dc, "crypto_aead_setkey" },
	{ 0xff0f3a87, "crypto_aead_setauthsize" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xd5a43273, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa52f498f, "skb_pull" },
	{ 0x8a4e1dd0, "___pskb_trim" },
	{ 0x8d8bd60d, "ether_setup" },
	{ 0x15000f8f, "metadata_dst_free" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x77c64ab1, "dev_mc_sync" },
	{ 0x98dbae18, "dev_uc_sync" },
	{ 0xa679d8bc, "dev_set_allmulti" },
	{ 0x70803cd9, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xe66a989f, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0xbb3be27d, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xeed6cc1e, "gro_cells_init" },
	{ 0xe6650b28, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x523a96f8, "eth_type_trans" },
	{ 0xb5170819, "gro_cells_receive" },
	{ 0x8040fcf7, "kfree_skb_reason" },
	{ 0xf3612fb8, "__dev_get_by_index" },
	{ 0x62e57619, "register_netdevice" },
	{ 0x9197a8b3, "netdev_upper_dev_link" },
	{ 0x79d20e14, "netdev_upper_dev_unlink" },
	{ 0xccfe5e79, "unregister_netdevice_queue" },
	{ 0x40b91612, "metadata_dst_alloc" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "50E38695D9F7804029B20B3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
