#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3facea73, "phy_modify" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf26b302d, "bcm_phy_read_exp" },
	{ 0xc24882f5, "bcm_phy_write_exp" },
	{ 0x2d997459, "bcm_phy_get_sset_count" },
	{ 0x82ba1cbf, "devm_gpiod_get" },
	{ 0xebeb73be, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x330ae35, "devm_request_threaded_irq" },
	{ 0xa8c25185, "device_set_wakeup_capable" },
	{ 0x786d1b32, "device_wakeup_enable" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x2ae63b78, "pm_wakeup_dev_event" },
	{ 0xad3e888d, "genphy_resume" },
	{ 0x42246810, "genphy_soft_reset" },
	{ 0x32a30e7a, "bcm_phy_config_intr" },
	{ 0x2afb7a58, "bcm_phy_handle_interrupt" },
	{ 0xf3d5436b, "bcm_phy_get_strings" },
	{ 0x301cb94f, "bcm_phy_led_brightness_set" },
	{ 0xc2245bc6, "genphy_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa5858707, "phy_drivers_register" },
	{ 0xd09c3cbc, "mdiobus_read" },
	{ 0xc731a8f1, "phy_trigger_machine" },
	{ 0xf6355e51, "phy_error" },
	{ 0x316ed9d2, "bcm54xx_auxctl_read" },
	{ 0x2e175775, "bcm54xx_auxctl_write" },
	{ 0xbac3e0c4, "bcm_phy_read_shadow" },
	{ 0x7ca08aea, "bcm_phy_write_shadow" },
	{ 0x1357204d, "__genphy_config_aneg" },
	{ 0x4a8829b4, "genphy_c37_read_status" },
	{ 0x253821c3, "genphy_read_status" },
	{ 0x99c1dd37, "genphy_c37_config_aneg" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xa12f71f6, "bcm_phy_get_wol" },
	{ 0x3412470f, "bcm_phy_set_wol" },
	{ 0x983c6a5e, "bcm_phy_get_stats" },
	{ 0xf4992e0e, "phy_drivers_unregister" },
	{ 0xe657e6ed, "mdiobus_write" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "libphy,bcm-phy-lib");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "765E51766C0426E5FD9B2CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
