#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xc0d7a5fb, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x8ebc0a5a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc7de5fd3, "sk_free" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xf37bdba6, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x5e22fa6c, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbc59c142, "skb_tstamp_tx" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xbb461569, "skb_copy_ubufs" },
	{ 0x4f786c4d, "__skb_get_hash_symmetric" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8a4e1dd0, "___pskb_trim" },
	{ 0xbe495258, "skb_queue_purge_reason" },
	{ 0x5c8b1130, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xef12297c, "xdp_rxq_info_unreg" },
	{ 0xf4f41465, "__netif_napi_del" },
	{ 0xa1485da6, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0x8c7ddb63, "netif_set_real_num_tx_queues" },
	{ 0x417225b5, "netif_set_real_num_rx_queues" },
	{ 0xccfe5e79, "unregister_netdevice_queue" },
	{ 0x1c55116d, "netdev_state_change" },
	{ 0x7a32807b, "build_skb" },
	{ 0xfddff411, "skb_put" },
	{ 0x7359b42a, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6d9894b0, "xdp_do_redirect" },
	{ 0xa2555ef2, "bpf_warn_invalid_xdp_action" },
	{ 0x46409bf7, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8e34e5fe, "xdp_return_frame_rx_napi" },
	{ 0x557d8fe8, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4a15606, "_copy_to_iter" },
	{ 0xa67ebd1d, "iov_iter_advance" },
	{ 0xf254e70b, "skb_copy_datagram_iter" },
	{ 0x342f3539, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb8c747c1, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5406320a, "sock_recv_errqueue" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x1aa2f509, "__skb_flow_dissect" },
	{ 0xeaa2410e, "skb_partial_csum_set" },
	{ 0x218c1980, "__pskb_pull_tail" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xc09e941f, "xdp_rxq_info_is_reg" },
	{ 0x14ca96aa, "lock_sock_nested" },
	{ 0x3c7dc761, "sk_attach_filter" },
	{ 0x645fc4fb, "release_sock" },
	{ 0x5ade06d3, "__xdp_rxq_info_reg" },
	{ 0x317f7724, "xdp_rxq_info_reg_mem_model" },
	{ 0xf7a186d8, "netif_napi_add_weight" },
	{ 0xc72bf093, "napi_enable" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe0bc69b2, "ns_capable" },
	{ 0xdcc31484, "get_net_ns" },
	{ 0x236c81c5, "open_related_ns" },
	{ 0x9d498de7, "__dev_get_by_name" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x2c6296dd, "make_kgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x4af1731c, "alloc_netdev_mqs" },
	{ 0xb0416706, "ip_tunnel_header_ops" },
	{ 0x62e57619, "register_netdevice" },
	{ 0xc430e7e0, "sk_detach_filter" },
	{ 0xeefc197e, "make_kuid" },
	{ 0xfbf3fa73, "init_user_ns" },
	{ 0x4d26c4c4, "from_kuid" },
	{ 0x5a1f2b9d, "netdev_update_features" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x4258a0a5, "dev_get_mac_address" },
	{ 0x7a6db706, "dev_set_mac_address_user" },
	{ 0x4487aa81, "netif_tx_wake_queue" },
	{ 0x8d8bd60d, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe6650b28, "dev_addr_mod" },
	{ 0x2a5d1bea, "call_netdevice_notifiers" },
	{ 0x89de04fb, "free_netdev" },
	{ 0x3ec26a91, "from_kgid" },
	{ 0xc7aef14, "__module_get" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x731d5572, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8cb3704, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x11099322, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe083c88b, "__folio_put" },
	{ 0xd8981aee, "__put_devmap_managed_page_refs" },
	{ 0x62ef75c0, "_copy_from_iter" },
	{ 0xe905133a, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x64b40ebd, "napi_get_frags" },
	{ 0xfd9cc1b0, "iov_iter_single_seg_count" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5cf16292, "sock_alloc_send_pskb" },
	{ 0xe2b5a3ae, "zerocopy_sg_from_iter" },
	{ 0x523a96f8, "eth_type_trans" },
	{ 0x7245321e, "skb_copy_datagram_from_iter" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb402dfac, "do_xdp_generic" },
	{ 0x3a905efd, "iov_iter_revert" },
	{ 0xb66d69ba, "netif_receive_skb" },
	{ 0x14613469, "skb_push" },
	{ 0x1b9276f5, "eth_get_headlen" },
	{ 0x7b7e26bc, "napi_schedule_prep" },
	{ 0xc813f7b0, "napi_gro_frags" },
	{ 0x9924b3cc, "pskb_expand_head" },
	{ 0xcbb3a966, "__napi_schedule" },
	{ 0xc5f0d9f1, "__page_frag_cache_drain" },
	{ 0xf1cfdaca, "passthru_features_check" },
	{ 0x7e98641d, "eth_mac_addr" },
	{ 0xcbf66323, "eth_validate_addr" },
	{ 0x5b2c7550, "ethtool_op_get_link" },
	{ 0xeb05aa4e, "ethtool_op_get_ts_info" },
	{ 0xd189a29b, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3c997aae, "fasync_helper" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x6238e0eb, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8bbc308c, "netdev_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1696a4fd, "netif_carrier_on" },
	{ 0x312aceb9, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd5a43273, "nla_put" },
	{ 0xb473ea65, "from_kgid_munged" },
	{ 0xc1c274b8, "from_kuid_munged" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x77ee131, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x92c996bb, "dev_get_tstats64" },
	{ 0x2f1e8d69, "netif_tx_stop_all_queues" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa458f143, "bpf_prog_get_type_dev" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa6e245b9, "rtnl_link_register" },
	{ 0x10eaf4a6, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x958119b7, "rtnl_link_unregister" },
	{ 0x8c9c2885, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4fef5344, "xdp_return_frame" },
	{ 0x8040fcf7, "kfree_skb_reason" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xf67e21a5, "kill_fasync" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xca4341cf, "napi_gro_receive" },
	{ 0xa40ab613, "napi_complete_done" },
	{ 0xe9c5651a, "bpf_prog_put" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4215bb5f, "netdev_core_stats_alloc" },
	{ 0x336be819, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcfec7e29, "sock_init_data_uid" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C1D5F3A8406F2B17615BCB9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
