#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0x542b45e0, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x78802d25, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0xcca7389c, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0xf55f208a, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x2a69edbc, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0xd1d8061e, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x64986d73, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x40df723c, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xd54a9f82, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x227e3193, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0xa312b6c8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa546a67c, "usbnet_unlink_rx_urbs" },
	{ 0x1fc1db5d, "usbnet_write_cmd" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x4bf3a632, "netif_tx_lock" },
	{ 0x4172bb66, "usbnet_start_xmit" },
	{ 0xfadb8c3b, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xa3b0dd8, "usbnet_read_cmd" },
	{ 0x8b26c803, "__netdev_alloc_skb" },
	{ 0xfddff411, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7e0a8b49, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xf8955453, "cdc_parse_cdc_header" },
	{ 0x2375c798, "usb_ifnum_to_if" },
	{ 0xe6ccb720, "usb_driver_claim_interface" },
	{ 0x6d1d7c46, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf1c10dbd, "usbnet_get_ethernet_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x984e19a0, "__alloc_skb" },
	{ 0x5d05dfb, "usbnet_manage_power" },
	{ 0x1c5d80f5, "usbnet_cdc_update_filter" },
	{ 0x7e8d0cc7, "usbnet_open" },
	{ 0xc8582e1, "usbnet_stop" },
	{ 0x48340f7a, "usbnet_set_rx_mode" },
	{ 0x7e98641d, "eth_mac_addr" },
	{ 0xcbf66323, "eth_validate_addr" },
	{ 0x457deedf, "usbnet_tx_timeout" },
	{ 0x92c996bb, "dev_get_tstats64" },
	{ 0x430fd911, "usbnet_get_drvinfo" },
	{ 0xd391e1b0, "usbnet_get_msglevel" },
	{ 0x8e77d2b5, "usbnet_set_msglevel" },
	{ 0xda9277fd, "usbnet_nway_reset" },
	{ 0xfed166cf, "usbnet_get_link" },
	{ 0xeb05aa4e, "ethtool_op_get_ts_info" },
	{ 0x298277bf, "usbnet_get_link_ksettings_internal" },
	{ 0xe075338c, "usbnet_probe" },
	{ 0xa60e6c1, "usbnet_disconnect" },
	{ 0x247f12de, "usbnet_suspend" },
	{ 0xaa9dfa07, "usbnet_resume" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xdc35e042, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc51e72ed, "usb_driver_release_interface" },
	{ 0xc372078c, "usb_altnum_to_altsetting" },
	{ 0xb5bfefdf, "__dynamic_netdev_dbg" },
	{ 0x2ec99343, "usb_register_driver" },
	{ 0x8aab801, "usb_deregister" },
	{ 0xdf24c71f, "usbnet_link_change" },
	{ 0x262a517d, "_dev_info" },
	{ 0xdc3de871, "usbnet_update_max_qlen" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
