#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x3909f2bb, "");
SYMBOL_CRC(ath10k_info, 0xc54e9e49, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x41f7b698, "");
SYMBOL_CRC(ath10k_err, 0xc34a57bb, "");
SYMBOL_CRC(ath10k_warn, 0xa7bd06b1, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0xc82becab, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0xf4ef48c4, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x33ba2fa8, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x1bc6ce8a, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0xc24bc252, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0xda51c353, "");
SYMBOL_CRC(ath10k_core_start, 0x9376c656, "");
SYMBOL_CRC(ath10k_core_stop, 0x73d33523, "");
SYMBOL_CRC(ath10k_core_register, 0x9e507339, "");
SYMBOL_CRC(ath10k_core_unregister, 0x174f63b4, "");
SYMBOL_CRC(ath10k_core_create, 0x69557c9e, "");
SYMBOL_CRC(ath10k_core_destroy, 0x7c8c1463, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x65c1a60f, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x614caf4f, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0xa0005ca9, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x82fa8574, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x2fdf9976, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x389f49e2, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0xb253a86e, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x1af50b25, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0xf33bf953, "");
SYMBOL_CRC(ath10k_bmi_start, 0x439eaaff, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x6ab4bf13, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0xc5f9f384, "");
SYMBOL_CRC(ath10k_coredump_new, 0x3f786e1e, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0xdb5a9507, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0x7268b7fe, "");
SYMBOL_CRC(ath10k_ce_send, 0xe16c5ebc, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x004088f5, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0x574330fe, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0xe3fff91f, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0xb382f572, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0xc4f315cd, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x3bef765e, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x52bea976, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x4d9b56b1, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0xb6c87826, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0xaed681c9, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x14db9f29, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0xd876a2dc, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x53b73dd8, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0xb727a266, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0xa9b41c45, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0xe302f755, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x7348f276, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x55bc91e4, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x8a8a0a0e, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0xedf2718d, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x6ef45054, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0xf7c2690d, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x5ccfa09b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdc35e042, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe5412c64, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x6292880f, "ieee80211_csa_finish" },
	{ 0x8fbebab2, "skb_queue_head" },
	{ 0x7c133709, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0x38d60ca, "ieee80211_beacon_update_cntdwn" },
	{ 0xa00a5d97, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd67873cf, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa036cbf0, "ieee80211_connection_loss" },
	{ 0xcf588dd9, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0xa8c25185, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfcd2b3a2, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0x398bb2b1, "ieee80211_txq_get_depth" },
	{ 0xc5a381b0, "param_ops_uint" },
	{ 0xfc1dc839, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xfddff411, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3f73ed54, "firmware_request_nowarn" },
	{ 0x342f3539, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9a925cb5, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x80fa71a8, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x496defac, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc7b74027, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x1e39ca0c, "dma_unmap_page_attrs" },
	{ 0x8b73444c, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x4ac6b57d, "ieee80211_iterate_stations_atomic" },
	{ 0x425f4bc0, "dma_sync_single_for_device" },
	{ 0xd8601379, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcfb903a6, "ieee80211_beacon_loss" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x1faf6eaf, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x9961fa84, "thermal_cooling_device_register" },
	{ 0x21ebf4f9, "ieee80211_register_hw" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xd3756aaa, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x665a71be, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe6e12f77, "ieee80211_hw_restart_disconnect" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9924b3cc, "pskb_expand_head" },
	{ 0xbe495258, "skb_queue_purge_reason" },
	{ 0x32cc3731, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd70c1f5a, "ieee80211_find_sta" },
	{ 0x96965a03, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa2e7d563, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x16f5276c, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xa916b694, "strnlen" },
	{ 0x6cd4e597, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x262a517d, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x90d1548b, "skb_queue_tail" },
	{ 0xb11a9e76, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfc1a559f, "sysfs_create_link" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x68a4a9a2, "wiphy_to_ieee80211_hw" },
	{ 0x63c59f93, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8165d8b1, "ieee80211_queue_delayed_work" },
	{ 0x8dead1bf, "ieee80211_proberesp_get" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x76d2c4db, "simple_open" },
	{ 0xa52f498f, "skb_pull" },
	{ 0xee2002ba, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d7c51e3, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1d0a0546, "ieee80211_find_sta_by_ifaddr" },
	{ 0xfb6412b6, "ieee80211_next_txq" },
	{ 0x8040fcf7, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x37451ec6, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x14613469, "skb_push" },
	{ 0xdcbe8315, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0xc72bf093, "napi_enable" },
	{ 0x45e4a45b, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x63422de7, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x70e21c96, "ieee80211_report_low_ack" },
	{ 0xc481a9fd, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb9b47590, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x86739318, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd23594c, "ieee80211_alloc_hw_nm" },
	{ 0x3f3af57e, "cfg80211_get_bss" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x48146f15, "default_llseek" },
	{ 0xeb7d8d5a, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdebe53c, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x4c6ceacf, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x39e38efc, "devm_nvmem_cell_get" },
	{ 0x79cd0e0d, "ieee80211_stop_queue" },
	{ 0x8b26c803, "__netdev_alloc_skb" },
	{ 0x1234e13f, "ieee80211_ready_on_channel" },
	{ 0x22602b5a, "ieee80211_stop_queues" },
	{ 0xd623d91, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2314b680, "skb_realloc_headroom" },
	{ 0x9773480c, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa3fa23b5, "debugfs_create_file" },
	{ 0x4b7c8097, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xbcd65ee0, "ieee80211_scan_completed" },
	{ 0x9c1b295b, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x64aaf2a0, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xacfedcdf, "ath_regd_init" },
	{ 0xda0e02b5, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x47d8391c, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x350d98e3, "ieee80211_tdls_oper_request" },
	{ 0xf4e3b8a0, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf7db325, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x40024955, "ieee80211_tx_rate_update" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x81f3c1e8, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x5c8b1130, "napi_disable" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "969ED40A259DE86BAEE57ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
