#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt792x_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt792x_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_worker, "_gpl", "");
KSYMTAB_FUNC(mt792x_roc_timer, "_gpl", "");
KSYMTAB_FUNC(mt792x_flush, "_gpl", "");
KSYMTAB_FUNC(mt792x_assign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_unassign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_wakeup, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_strings, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_sset_count, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_sta_statistics, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wiphy, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_mac80211_ops, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(__mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_set_timeing, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_update_mib_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_get_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_assoc_rssi, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt792x_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt792x_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_init_band, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_wake_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_power_save_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_lp_event, "_gpl", "");
KSYMTAB_FUNC(__traceiter_lp_event, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_stats_show, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_acq, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_set, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_get, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_tasklet, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_enable, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reinit_cond, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_rx, "_gpl", "");
KSYMTAB_FUNC(mt792x_wfsys_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt792x_acpi_get_flags, "_gpl", "");

SYMBOL_CRC(mt792x_tx, 0xce7a7688, "_gpl");
SYMBOL_CRC(mt792x_remove_interface, 0xe8a40d1c, "_gpl");
SYMBOL_CRC(mt792x_conf_tx, 0xbb90fd48, "_gpl");
SYMBOL_CRC(mt792x_get_stats, 0xcd79aaae, "_gpl");
SYMBOL_CRC(mt792x_get_tsf, 0x501159ab, "_gpl");
SYMBOL_CRC(mt792x_set_tsf, 0x272a9959, "_gpl");
SYMBOL_CRC(mt792x_tx_worker, 0xeb2fc5d0, "_gpl");
SYMBOL_CRC(mt792x_roc_timer, 0x9c06d4d5, "_gpl");
SYMBOL_CRC(mt792x_flush, 0x7460c175, "_gpl");
SYMBOL_CRC(mt792x_assign_vif_chanctx, 0x316a1a0a, "_gpl");
SYMBOL_CRC(mt792x_unassign_vif_chanctx, 0xee5445b3, "_gpl");
SYMBOL_CRC(mt792x_set_wakeup, 0x4ff07cdb, "_gpl");
SYMBOL_CRC(mt792x_get_et_strings, 0x3c3d7952, "_gpl");
SYMBOL_CRC(mt792x_get_et_sset_count, 0x3414e0f5, "_gpl");
SYMBOL_CRC(mt792x_get_et_stats, 0xd9b9b53e, "_gpl");
SYMBOL_CRC(mt792x_sta_statistics, 0x578c0e62, "_gpl");
SYMBOL_CRC(mt792x_set_coverage_class, 0xd0780e99, "_gpl");
SYMBOL_CRC(mt792x_init_wiphy, 0xd34e1cd0, "_gpl");
SYMBOL_CRC(mt792x_get_mac80211_ops, 0x3f0e9ab4, "_gpl");
SYMBOL_CRC(mt792x_init_wcid, 0x4a6f1515, "_gpl");
SYMBOL_CRC(mt792x_mcu_drv_pmctrl, 0x696a2470, "_gpl");
SYMBOL_CRC(mt792x_mcu_fw_pmctrl, 0xcce6c3f7, "_gpl");
SYMBOL_CRC(__mt792xe_mcu_drv_pmctrl, 0x1ab58537, "_gpl");
SYMBOL_CRC(mt792xe_mcu_drv_pmctrl, 0x943efbc7, "_gpl");
SYMBOL_CRC(mt792xe_mcu_fw_pmctrl, 0xfac00eed, "_gpl");
SYMBOL_CRC(mt792x_load_firmware, 0xad98d366, "_gpl");
SYMBOL_CRC(mt792x_mac_work, 0xe731fec5, "_gpl");
SYMBOL_CRC(mt792x_mac_set_timeing, 0x1774b8b4, "_gpl");
SYMBOL_CRC(mt792x_mac_update_mib_stats, 0xf90502c3, "_gpl");
SYMBOL_CRC(mt792x_rx_get_wcid, 0xe180eef8, "_gpl");
SYMBOL_CRC(mt792x_mac_assoc_rssi, 0x7fa46729, "_gpl");
SYMBOL_CRC(mt792x_mac_reset_counters, 0xa0fc24a9, "_gpl");
SYMBOL_CRC(mt792x_update_channel, 0x7b2b291c, "_gpl");
SYMBOL_CRC(mt792x_reset, 0x55c98948, "_gpl");
SYMBOL_CRC(mt792x_mac_init_band, 0x6e83c629, "_gpl");
SYMBOL_CRC(mt792x_pm_wake_work, 0x0df73a34, "_gpl");
SYMBOL_CRC(mt792x_pm_power_save_work, 0xe4ccb149, "_gpl");
SYMBOL_CRC(__tracepoint_lp_event, 0x4c9ca607, "_gpl");
SYMBOL_CRC(__traceiter_lp_event, 0x8a7b0c60, "_gpl");
SYMBOL_CRC(__SCK__tp_func_lp_event, 0xf78026b0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_lp_event, 0xabff3e0f, "_gpl");
SYMBOL_CRC(mt792x_tx_stats_show, 0x5b492075, "_gpl");
SYMBOL_CRC(mt792x_queues_acq, 0x474f7400, "_gpl");
SYMBOL_CRC(mt792x_queues_read, 0x1fd62be0, "_gpl");
SYMBOL_CRC(mt792x_pm_stats, 0x24c171aa, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_set, 0x5a7b5c38, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_get, 0xc3a0fb62, "_gpl");
SYMBOL_CRC(mt792x_irq_handler, 0xbd22e98c, "_gpl");
SYMBOL_CRC(mt792x_irq_tasklet, 0x8e471e29, "_gpl");
SYMBOL_CRC(mt792x_rx_poll_complete, 0xbea08048, "_gpl");
SYMBOL_CRC(mt792x_dma_enable, 0x0b7428e6, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reset, 0x863994a0, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reinit_cond, 0x9ba9d85e, "_gpl");
SYMBOL_CRC(mt792x_dma_disable, 0x2cf923a5, "_gpl");
SYMBOL_CRC(mt792x_dma_cleanup, 0x2d615047, "_gpl");
SYMBOL_CRC(mt792x_poll_tx, 0xf8279168, "_gpl");
SYMBOL_CRC(mt792x_poll_rx, 0x528364b1, "_gpl");
SYMBOL_CRC(mt792x_wfsys_reset, 0x7da434c4, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar, 0x81ac06a2, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar_power, 0xd2370447, "_gpl");
SYMBOL_CRC(mt792x_acpi_get_flags, 0x4a90cd49, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x63d39780, "mt76_tx_status_skb_get" },
	{ 0x4e6f2e1, "trace_raw_output_prep" },
	{ 0xcd31d67e, "mt76_tx_status_lock" },
	{ 0x3ee17f5e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8b0d45c7, "mt76_connac_mcu_uni_add_dev" },
	{ 0x46eb6985, "request_firmware" },
	{ 0x58f0dafc, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4ac6b57d, "ieee80211_iterate_stations_atomic" },
	{ 0x98d99785, "mt76_connac_pm_wake" },
	{ 0xdbcc4932, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x56a2f5d4, "mt76_has_tx_pending" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0xe086052f, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0x8610629a, "mt76_dma_cleanup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x84d00af3, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcb771786, "mt76_tx_status_check" },
	{ 0x8f7c2bf1, "wake_up_process" },
	{ 0x7084e103, "mt76_connac_free_pending_tx_skbs" },
	{ 0x3cf8c38c, "mt76_connac_power_save_sched" },
	{ 0xfbe6df26, "trace_event_buffer_commit" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa40ab613, "napi_complete_done" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xee543c6a, "mt76_tx" },
	{ 0xcbb3a966, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8165d8b1, "ieee80211_queue_delayed_work" },
	{ 0x17975cd, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x19ae01a8, "perf_trace_run_bpf_submit" },
	{ 0xae45ba72, "devm_kfree" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x3ef54229, "mt76_connac2_load_ram" },
	{ 0x7065a8d8, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x99b20c71, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xeb9e39de, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x63422de7, "ieee80211_wake_queues" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x510c4b1a, "mt76_set_irq_mask" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x9a08f9e0, "mt76_connac_pm_dequeue_skbs" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1718b759, "mt76_ethtool_page_pool_stats" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x67a21c6d, "__tracepoint_dev_irq" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xf0448176, "trace_event_buffer_reserve" },
	{ 0x9c1b295b, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4c18dce3, "mt76_txq_schedule_all" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x85def420, "mt76_connac2_load_patch" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x4f5f5933, "____mt76_poll_msec" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4eef93ee, "seq_puts" },
	{ 0x81f3c1e8, "ieee80211_queue_work" },
	{ 0x7b7e26bc, "napi_schedule_prep" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xab9d88b8, "mt76_ethtool_worker" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd67873cf, "device_set_wakeup_enable" },
	{ 0x30cba183, "mt76_dma_rx_poll" },
	{ 0x2ec9cadc, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211");


MODULE_INFO(srcversion, "D75AB460518611AF0D50F60");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
