#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ce11e78, "rt2x00mmio_uninitialize" },
	{ 0x4bea522c, "rt2x00mmio_flush_queue" },
	{ 0x83d6d03e, "rt2x00mac_tx" },
	{ 0x50e92a80, "rt2x00mac_start" },
	{ 0xd64b6645, "rt2x00mac_stop" },
	{ 0x356b2a7, "rt2x00mac_add_interface" },
	{ 0x54280ea6, "rt2x00mac_remove_interface" },
	{ 0x211747de, "rt2x00mac_config" },
	{ 0x7764fad3, "rt2x00mac_bss_info_changed" },
	{ 0x496d7e84, "rt2x00mac_configure_filter" },
	{ 0x5a3bef53, "rt2x00mac_set_key" },
	{ 0x76aa0f15, "rt2x00mac_sw_scan_start" },
	{ 0x678dd0, "rt2x00mac_sw_scan_complete" },
	{ 0x9d495965, "rt2x00mac_get_stats" },
	{ 0x2cd59a37, "rt2x00mac_rfkill_poll" },
	{ 0x44d4413e, "rt2x00mac_flush" },
	{ 0xd0514f4d, "rt2x00mac_set_antenna" },
	{ 0x53562f8d, "rt2x00mac_get_antenna" },
	{ 0x90d3088d, "rt2x00mac_get_ringparam" },
	{ 0x936eaeb3, "rt2x00mac_tx_frames_pending" },
	{ 0xf54fa028, "ieee80211_handle_wake_tx_queue" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11ce53a0, "__pci_register_driver" },
	{ 0xb40cc108, "rt2x00pci_probe" },
	{ 0x31d4780c, "rt2x00mac_conf_tx" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59135458, "rt2x00mmio_regbusy_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc4157c5, "_dev_err" },
	{ 0xb92bbd13, "__skb_pad" },
	{ 0xdc35e042, "dev_kfree_skb_any_reason" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xa29add21, "pci_read_config_word" },
	{ 0x326b7806, "pci_unregister_driver" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0xd819a524, "crc_itu_t_table" },
	{ 0xdd1c6683, "rt2x00lib_txdone_noinfo" },
	{ 0xe33c585e, "rt2x00queue_get_entry" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0xaa22ec4f, "rt2x00lib_txdone" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4b2d6823, "rt2x00lib_beacondone" },
	{ 0xbfebd78d, "rt2x00mmio_rxdone" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xd504c916, "rt2x00lib_set_mac_address" },
	{ 0x262a517d, "_dev_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x63ef4785, "rt2x00pci_remove" },
	{ 0xf7c6f443, "rt2x00pci_pm_ops" },
	{ 0x5ed4d103, "rt2x00mmio_initialize" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "rt2x00mmio,rt2x00lib,mac80211,rt2x00pci,crc-itu-t,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000302sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000401sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EB85E42332125BA3709C66C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
