#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(st21nfca_hci_probe, "", "");
KSYMTAB_FUNC(st21nfca_hci_remove, "", "");
KSYMTAB_FUNC(st21nfca_tm_send_dep_res, "", "");
KSYMTAB_FUNC(st21nfca_dep_event_received, "", "");
KSYMTAB_FUNC(st21nfca_im_send_atr_req, "", "");
KSYMTAB_FUNC(st21nfca_im_send_dep_req, "", "");
KSYMTAB_FUNC(st21nfca_dep_init, "", "");
KSYMTAB_FUNC(st21nfca_dep_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_discover_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_enable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_disable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_se_io, "", "");
KSYMTAB_FUNC(st21nfca_connectivity_event_received, "", "");
KSYMTAB_FUNC(st21nfca_apdu_reader_event_received, "", "");
KSYMTAB_FUNC(st21nfca_se_init, "", "");
KSYMTAB_FUNC(st21nfca_se_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_loopback_event_received, "", "");
KSYMTAB_FUNC(st21nfca_vendor_cmds_init, "", "");

SYMBOL_CRC(st21nfca_hci_probe, 0x9ca860df, "");
SYMBOL_CRC(st21nfca_hci_remove, 0x159da5a0, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0x16d8287f, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0x0b407734, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0xc8da3242, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0x3f112a11, "");
SYMBOL_CRC(st21nfca_dep_init, 0xbfc23140, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0xfcac135c, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0x82d20ecb, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0x33eff2f0, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0x49d650bf, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0xb27ea483, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0xeb4b408b, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0x05728c71, "");
SYMBOL_CRC(st21nfca_se_init, 0x23173b47, "");
SYMBOL_CRC(st21nfca_se_deinit, 0x5338f050, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0x53113039, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0xda60ac2b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee1444c7, "nfc_hci_free_device" },
	{ 0x6d1974b, "nfc_se_transaction" },
	{ 0xb93610e5, "nfc_get_local_general_bytes" },
	{ 0x566208c, "nfc_hci_register_device" },
	{ 0xb48d9412, "nfc_set_remote_general_bytes" },
	{ 0xc4157c5, "_dev_err" },
	{ 0xa52f498f, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8040fcf7, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x14613469, "skb_push" },
	{ 0xd5a43273, "nla_put" },
	{ 0x53cc5f92, "nfc_hci_send_cmd" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x2e73ce35, "nfc_hci_get_clientdata" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3eb7d3cb, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x62f2cc21, "nfc_hci_allocate_device" },
	{ 0xd623d91, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x11591457, "nfc_se_connectivity" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbf9f8963, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc73d98dd, "nfc_hci_set_param" },
	{ 0xc6130b28, "nfc_dep_link_is_up" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x9348c22d, "nfc_hci_send_event" },
	{ 0xb8fa8ed8, "nfc_hci_disconnect_all_gates" },
	{ 0x26bb7d3d, "nfc_hci_disconnect_gate" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1d22cffc, "nfc_hci_set_clientdata" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x89780b31, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0xfddff411, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x866584d1, "nfc_hci_get_param" },
	{ 0x28a04fcc, "nfc_hci_send_cmd_async" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x61ab9c6c, "nfc_add_se" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf913d67f, "nfc_llc_stop" },
	{ 0x33c073a8, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5e2e2753, "nfc_tm_data_received" },
	{ 0xf5ae347e, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xda14ba91, "nfc_hci_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0x984e19a0, "__alloc_skb" },
	{ 0x7fc17e83, "nfc_llc_start" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "5EBB7B3E4FC40AA7D0FC977");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
