#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_slave_dev_check, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_port_by_vbid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0xfd6dcd5d, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0x7508205e, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0x93e3828b, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0x3e0406c5, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0xe66c606f, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x542245f5, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0xb96cce8f, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x98be6b50, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0xc4dfa3fb, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0xc1b748f3, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x0662d0d8, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0xf5f10913, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0x5503c22b, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x865a2505, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0xe3b9a92d, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x31fc0ac5, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x21c3545a, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0xfef58a06, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0x847da3e7, "_gpl");
SYMBOL_CRC(dsa_slave_dev_check, 0x72fd03b4, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x661cef98, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0xfe7ae5f0, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0x35dc4778, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0xd5300f54, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0xb0b24ac2, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x8b4a6162, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x16f06dab, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0xa1f18588, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0xf536ea79, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x8e68dc21, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfd639f29, "put_device" },
	{ 0x53ced9c2, "devlink_resource_register" },
	{ 0x2b7bc051, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xe8b9f1d0, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x59801e6f, "switchdev_bridge_port_offload" },
	{ 0x8b630640, "netif_device_attach" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0xa1485da6, "module_put" },
	{ 0x2b380edf, "ptp_classify_raw" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xd20aae3f, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xa800ccdc, "devlink_region_create" },
	{ 0x26c37d63, "vlan_dev_real_dev" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf3612fb8, "__dev_get_by_index" },
	{ 0x958119b7, "rtnl_link_unregister" },
	{ 0x19ae01a8, "perf_trace_run_bpf_submit" },
	{ 0xd4f7d01e, "devlink_port_unregister" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x84cff2ef, "init_net" },
	{ 0x829d6a3c, "noop_qdisc" },
	{ 0x90ccb2b4, "phy_ethtool_get_strings" },
	{ 0x670f71b5, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x67e20fd4, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x4bc476a6, "dev_remove_pack" },
	{ 0xdb3b5696, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8040fcf7, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb5170819, "gro_cells_receive" },
	{ 0x8194a4c4, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x14613469, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x79d20e14, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0xa0b9165, "dev_mc_del" },
	{ 0x99b20c71, "trace_event_reg" },
	{ 0xcf5c8f5, "br_vlan_get_info" },
	{ 0x89de04fb, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xec5c5df, "mdiobus_free" },
	{ 0xc4f3afb5, "phylink_generic_validate" },
	{ 0x12124074, "sysfs_create_group" },
	{ 0xff5c995c, "devlink_resource_occ_get_register" },
	{ 0x5b2c7550, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x5f5befaf, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x79d8fc10, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5d0c2d31, "switchdev_bridge_port_unoffload" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xe646be22, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x92c996bb, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xcc2cf06a, "netif_rx" },
	{ 0x612ada47, "dev_mc_add" },
	{ 0x58fe57cc, "flow_block_cb_alloc" },
	{ 0xdb245499, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd623d91, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb5bfefdf, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x41d9605b, "pv_ops" },
	{ 0x39c7c434, "sysfs_remove_group" },
	{ 0x9ed4ec9d, "net_selftest" },
	{ 0xfa118c20, "bpf_trace_run3" },
	{ 0x5601fd99, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xb9d9ec45, "devlink_port_init" },
	{ 0x9a6fe72d, "__netpoll_setup" },
	{ 0xbb3be27d, "__dev_queue_xmit" },
	{ 0xd715be1d, "vlan_vid_add" },
	{ 0xe22d292, "devlink_params_register" },
	{ 0xf0448176, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0xa847ed0c, "vlan_vid_del" },
	{ 0xa679d8bc, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xed344110, "devlink_resources_unregister" },
	{ 0x6c480e51, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x312aceb9, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1b53eb8d, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x91510468, "devlink_port_region_create" },
	{ 0xd800e9f9, "devlink_priv" },
	{ 0x47d8391c, "skb_copy" },
	{ 0xce3a6710, "__hw_addr_sync_dev" },
	{ 0xde435285, "devlink_port_register_with_ops" },
	{ 0xb861d782, "mdiobus_get_phy" },
	{ 0xc2b9cd8e, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xc12e9350, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcecfdcef, "dev_uc_add" },
	{ 0xc096825e, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x83c75bac, "br_mst_enabled" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xbf75640a, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0xdc35e042, "dev_kfree_skb_any_reason" },
	{ 0xd88a3d2f, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xdd5fe93c, "device_link_add" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0x762d8e96, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xcd061ba6, "dcb_ieee_setapp" },
	{ 0xccf9c507, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb863ca29, "__skb_vlan_pop" },
	{ 0x4b919de8, "phylink_connect_phy" },
	{ 0xe96680cf, "br_get_ageing_time" },
	{ 0x62e57619, "register_netdevice" },
	{ 0xb8fd8a98, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0xe7b74925, "netdev_lower_get_next" },
	{ 0x9707cabc, "flow_block_cb_lookup" },
	{ 0x854bddf4, "switchdev_handle_port_obj_add_foreign" },
	{ 0xe914e41e, "strcpy" },
	{ 0x3e02b55c, "devlink_resource_occ_get_unregister" },
	{ 0x519bdea4, "dev_set_mtu" },
	{ 0x95ceefdd, "br_vlan_enabled" },
	{ 0xb92bbd13, "__skb_pad" },
	{ 0x9055382c, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe1b80604, "bpf_trace_run4" },
	{ 0x11a4ac93, "devlink_unregister" },
	{ 0x7b56cbc, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x820ed074, "br_port_flag_is_set" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x276e4488, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd7b80d4f, "br_port_get_stp_state" },
	{ 0x342f3539, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xe1aee887, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6d812829, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x784f6976, "__netpoll_free" },
	{ 0x4e6f2e1, "trace_raw_output_prep" },
	{ 0x4e2117be, "br_vlan_get_proto" },
	{ 0x9a50c2ee, "br_mst_get_state" },
	{ 0xe46369b9, "unregister_netdev" },
	{ 0x3ee17f5e, "__trace_trigger_soft_disabled" },
	{ 0x58f0dafc, "trace_event_printf" },
	{ 0xa5ee97cd, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9024cb16, "netpoll_send_skb" },
	{ 0xa6e245b9, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x98a2f0d, "devlink_params_unregister" },
	{ 0x48c2cf8b, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xdbcc4932, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x2ee793d3, "devlink_alloc_ns" },
	{ 0x70803cd9, "dev_set_promiscuity" },
	{ 0xdd270640, "devlink_register" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x94eb8608, "devlink_free" },
	{ 0xeed6cc1e, "gro_cells_init" },
	{ 0xe086052f, "bpf_trace_run2" },
	{ 0x46e1f89f, "netdev_warn" },
	{ 0xccfe5e79, "unregister_netdevice_queue" },
	{ 0xf75c42d1, "get_device" },
	{ 0xe1ac5c60, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8d8bd60d, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0xac9926b1, "switchdev_handle_fdb_event_to_device" },
	{ 0xb8c747c1, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9197a8b3, "netdev_upper_dev_link" },
	{ 0x9924b3cc, "pskb_expand_head" },
	{ 0x7dc0594, "switchdev_handle_port_attr_set" },
	{ 0x1eea90eb, "phylink_create" },
	{ 0x9c7f679c, "vlan_for_each" },
	{ 0x580909ee, "netdev_port_same_parent_id" },
	{ 0xfbe6df26, "trace_event_buffer_commit" },
	{ 0xe6650b28, "dev_addr_mod" },
	{ 0x523a96f8, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4af1731c, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfc49c408, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c780a6, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "822601BCBC5BAAC7047E055");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
