#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfc_fw_download_done, "", "");
KSYMTAB_FUNC(nfc_dep_link_is_up, "", "");
KSYMTAB_FUNC(nfc_find_se, "", "");
KSYMTAB_FUNC(nfc_set_remote_general_bytes, "", "");
KSYMTAB_FUNC(nfc_get_local_general_bytes, "", "");
KSYMTAB_FUNC(nfc_tm_data_received, "", "");
KSYMTAB_FUNC(nfc_tm_activated, "", "");
KSYMTAB_FUNC(nfc_tm_deactivated, "", "");
KSYMTAB_FUNC(nfc_alloc_recv_skb, "", "");
KSYMTAB_FUNC(nfc_targets_found, "", "");
KSYMTAB_FUNC(nfc_target_lost, "", "");
KSYMTAB_FUNC(nfc_driver_failure, "", "");
KSYMTAB_FUNC(nfc_add_se, "", "");
KSYMTAB_FUNC(nfc_remove_se, "", "");
KSYMTAB_FUNC(nfc_se_transaction, "", "");
KSYMTAB_FUNC(nfc_se_connectivity, "", "");
KSYMTAB_DATA(nfc_class, "", "");
KSYMTAB_FUNC(nfc_allocate_device, "", "");
KSYMTAB_FUNC(nfc_register_device, "", "");
KSYMTAB_FUNC(nfc_unregister_device, "", "");
KSYMTAB_FUNC(__nfc_alloc_vendor_cmd_reply_skb, "", "");
KSYMTAB_FUNC(nfc_vendor_cmd_reply, "", "");
KSYMTAB_FUNC(nfc_proto_register, "", "");
KSYMTAB_FUNC(nfc_proto_unregister, "", "");
KSYMTAB_FUNC(nfc_send_to_raw_sock, "", "");

SYMBOL_CRC(nfc_fw_download_done, 0x41644900, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0xc6130b28, "");
SYMBOL_CRC(nfc_find_se, 0xf339394e, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0xb48d9412, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0xb93610e5, "");
SYMBOL_CRC(nfc_tm_data_received, 0x5e2e2753, "");
SYMBOL_CRC(nfc_tm_activated, 0x3eb7d3cb, "");
SYMBOL_CRC(nfc_tm_deactivated, 0x94068d19, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0xa11ad3c5, "");
SYMBOL_CRC(nfc_targets_found, 0x4ca64245, "");
SYMBOL_CRC(nfc_target_lost, 0xb010caae, "");
SYMBOL_CRC(nfc_driver_failure, 0x1319ce23, "");
SYMBOL_CRC(nfc_add_se, 0x61ab9c6c, "");
SYMBOL_CRC(nfc_remove_se, 0xf5ae347e, "");
SYMBOL_CRC(nfc_se_transaction, 0x06d1974b, "");
SYMBOL_CRC(nfc_se_connectivity, 0x11591457, "");
SYMBOL_CRC(nfc_class, 0x01929efa, "");
SYMBOL_CRC(nfc_allocate_device, 0xe1712e6d, "");
SYMBOL_CRC(nfc_register_device, 0x157848bd, "");
SYMBOL_CRC(nfc_unregister_device, 0xa245fcf8, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0x89780b31, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0xbf9f8963, "");
SYMBOL_CRC(nfc_proto_register, 0x21a7362c, "");
SYMBOL_CRC(nfc_proto_unregister, 0x0d22452a, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0x4c6223cc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1681d7b5, "sock_register" },
	{ 0x7af76069, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfd639f29, "put_device" },
	{ 0x78fa6528, "netlink_broadcast" },
	{ 0x984e19a0, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdb58c13e, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x90d1548b, "skb_queue_tail" },
	{ 0xa1485da6, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x557208e0, "__sock_recv_timestamp" },
	{ 0x7ffc4501, "sock_no_shutdown" },
	{ 0xae45ba72, "devm_kfree" },
	{ 0x84cff2ef, "init_net" },
	{ 0xa52f498f, "skb_pull" },
	{ 0x8bd23e9b, "device_add" },
	{ 0xeb8b3960, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc7de5fd3, "sk_free" },
	{ 0x8040fcf7, "kfree_skb_reason" },
	{ 0x29ff401f, "sock_no_accept" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x14613469, "skb_push" },
	{ 0x3d495640, "sock_no_listen" },
	{ 0x5a921311, "strncmp" },
	{ 0xd5a43273, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0xd66f6aa6, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xe0bc69b2, "ns_capable" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x14ca96aa, "lock_sock_nested" },
	{ 0x151a8c71, "sock_no_bind" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf254e70b, "skb_copy_datagram_iter" },
	{ 0xba24cbb5, "rfkill_alloc" },
	{ 0x9d137b23, "class_dev_iter_init" },
	{ 0x336be819, "sk_alloc" },
	{ 0x2242087e, "device_del" },
	{ 0x47ea0785, "__sock_recv_wifi_status" },
	{ 0x986feff3, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xdf76734b, "sock_no_mmap" },
	{ 0xd623d91, "skb_trim" },
	{ 0x1e515f4f, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x24779e6f, "skb_recv_datagram" },
	{ 0x5cf16292, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb4ef9fd8, "sock_no_getname" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x47d8391c, "skb_copy" },
	{ 0x99ff77da, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x62ef75c0, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x87fc60d1, "sock_no_ioctl" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xe66a989f, "genl_unregister_family" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x3a905efd, "iov_iter_revert" },
	{ 0xa67fc0e0, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2a09e998, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xaa043577, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x645fc4fb, "release_sock" },
	{ 0x8fbebab2, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd21d029c, "class_find_device" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xd199a658, "skb_free_datagram" },
	{ 0xa057fabe, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb4db6fb9, "class_dev_iter_next" },
	{ 0x9055382c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xfddff411, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x482c9458, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x496defac, "skb_dequeue" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xe72f81b1, "device_initialize" },
	{ 0x1c1beb30, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xe182acbf, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x102f98e6, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfdcd41e5, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa13a19c, "sk_error_report" },
	{ 0xbe495258, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x524e6bd0, "class_dev_iter_exit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5423a194, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "1293B0C7C328752E3E480B9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
