#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x7e691a9a, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x8dede499, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x5e2d6b5a, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0xe796c537, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0xbbb37221, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0xb83f51e2, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0xa248f72f, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x7df973ce, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0xd000da35, "");
SYMBOL_CRC(key_type_rxrpc, 0x120040ef, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x005a9abc, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x1fc964e9, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x270b9608, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0xcbac3646, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x66fff2d2, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0xfd6d76e4, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0xf2a4352f, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x9ba829ef, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x9fa22c56, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6626afca, "down" },
	{ 0xdb3b5696, "bpf_trace_run5" },
	{ 0xc7de5fd3, "sk_free" },
	{ 0xce564bc6, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8040fcf7, "kfree_skb_reason" },
	{ 0xf11f1317, "kernel_sock_shutdown" },
	{ 0x29ff401f, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbd2cf3ff, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x99b20c71, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc8ff92ce, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x81194295, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x14ca96aa, "lock_sock_nested" },
	{ 0xf7446418, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xf254e70b, "skb_copy_datagram_iter" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x37ffaa01, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x336be819, "sk_alloc" },
	{ 0xe5628b3b, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x47ea0785, "__sock_recv_wifi_status" },
	{ 0x986feff3, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x47eac842, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xdf76734b, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x9880f99, "key_validate" },
	{ 0xe1aa62cd, "crypto_alloc_sync_skcipher" },
	{ 0xb689cdce, "setup_udp_tunnel_sock" },
	{ 0xbd7ae486, "proc_remove" },
	{ 0x29e9f9a7, "udp_sock_create6" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xef669fc3, "kthread_create_on_node" },
	{ 0xfa118c20, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x72668742, "ipv4_mtu" },
	{ 0xf0448176, "trace_event_buffer_reserve" },
	{ 0xaa7ff563, "keyring_search" },
	{ 0xe7be5d32, "ip_sock_set_recverr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7ef511cf, "request_key_tag" },
	{ 0xff9487a7, "generic_key_instantiate" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb4ef9fd8, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x47d8391c, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x99ff77da, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc2b9cd8e, "dst_release" },
	{ 0x62ef75c0, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x840fbf5, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4eef93ee, "seq_puts" },
	{ 0x87fc60d1, "sock_no_ioctl" },
	{ 0x1f793131, "_proc_mkdir" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xfa729b4, "bpf_trace_run7" },
	{ 0x2709dc16, "ip_icmp_error" },
	{ 0x3a905efd, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x650abc35, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb1c03bd, "skb_to_sgvec" },
	{ 0x15ea5237, "register_pernet_device" },
	{ 0x7043d90f, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xaa043577, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0xcfaf0afb, "kmem_cache_destroy" },
	{ 0x645fc4fb, "release_sock" },
	{ 0x8fbebab2, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa033ee29, "proc_create_net_single_write" },
	{ 0x5ef874d7, "crypto_alloc_skcipher" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x908e24c3, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x89a1c118, "key_alloc" },
	{ 0xe1b80604, "bpf_trace_run4" },
	{ 0x174fab3b, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xc5a381b0, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x342f3539, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e6f2e1, "trace_raw_output_prep" },
	{ 0xc9ae21a5, "udp_sock_create4" },
	{ 0xe4e46feb, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x496defac, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3ee17f5e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x58f0dafc, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xff5ec80f, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0xc507281e, "udpv6_sendmsg" },
	{ 0xf9e67d76, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xdbcc4932, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x60e2804e, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe086052f, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc07beed, "crypto_skcipher_setkey" },
	{ 0x3709ebed, "ip_route_output_flow" },
	{ 0xcddb4bf1, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x357398ed, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x98a32f0f, "register_key_type" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x49adcd98, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x52dd3869, "put_cmsg" },
	{ 0x8f7c2bf1, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xfbe6df26, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x1bd3299e, "register_net_sysctl_sz" },
	{ 0xcfa94786, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x5423a194, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x29a10042, "ipv6_icmp_error" },
	{ 0x1681d7b5, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa7e6ae5b, "crypto_skcipher_decrypt" },
	{ 0xeefc197e, "make_kuid" },
	{ 0x27483f5c, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x74127bc, "kmem_cache_alloc" },
	{ 0xdb58c13e, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x90d1548b, "skb_queue_tail" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2c5802, "work_busy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x557208e0, "__sock_recv_timestamp" },
	{ 0xc959cfec, "key_put" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x19ae01a8, "perf_trace_run_bpf_submit" },
	{ 0x84cff2ef, "init_net" },
	{ 0xa52f498f, "skb_pull" },
	{ 0x5968dc6d, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xa07a37f0, "memchr" },
	{ 0x206fe1cc, "sock_enable_timestamps" },
	{ 0xd09664d5, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa2d9bd2e, "ip6_mtu" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "677359D9B6A4C753DEFD104");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
