#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hdac_ext_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_device_remove, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_int_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_ml_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_link_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_addr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_set_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_clear_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_get, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_put, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_init_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_clear, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_cstream_assign, "_gpl", "");

SYMBOL_CRC(snd_hdac_ext_bus_init, 0x153823ca, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0x94b2e810, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0xa4bb9056, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0x63185eee, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0xb3d9d1cd, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0x8bfd4846, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0x48b80f11, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0x29916802, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0xf33814fd, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0x12349e5a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0x130b9bd6, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0x3808d8a3, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0x009a10f1, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0xfb36ef1f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0x77cfc464, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0x04a0a4f4, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0xbe983876, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0x92210b71, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0x7205b133, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0x2d158fe9, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0x8428dc41, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0x5d5550a6, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0x96fe13dd, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0x730eeac0, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0x666a019a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0x02ac914c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0xd510fe88, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0x79b457fd, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0x32825949, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0x1aff826b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0x7e340e24, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd7aeef3, "snd_hdac_bus_link_power" },
	{ 0x37a0cba, "kfree" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1ac7c34f, "snd_hdac_bus_exit" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd639f29, "put_device" },
	{ 0xac5ec00, "snd_hdac_bus_init" },
	{ 0x9ffe86eb, "snd_hdac_stream_init" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x7c91031e, "snd_hdac_device_unregister" },
	{ 0xe9e2f4b0, "snd_hdac_stream_assign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb03f4b43, "driver_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd67e0fb9, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xac742618, "snd_hdac_bus_init_cmd_io" },
	{ 0x756055de, "snd_hda_bus_type" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x4ff1a014, "driver_register" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x43cb166c, "snd_hdac_stream_release" },
	{ 0x2367047d, "snd_hdac_stream_release_locked" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "C6BD06A3B33D46F6573CECD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
