#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0x9c099fef, "");
SYMBOL_CRC(oxygen_read16, 0x18b20a65, "");
SYMBOL_CRC(oxygen_read32, 0x80bbf595, "");
SYMBOL_CRC(oxygen_write8, 0xb0827be7, "");
SYMBOL_CRC(oxygen_write16, 0xcde40c17, "");
SYMBOL_CRC(oxygen_write32, 0x336fb0f5, "");
SYMBOL_CRC(oxygen_write8_masked, 0x01506b49, "");
SYMBOL_CRC(oxygen_write16_masked, 0x70a3b96b, "");
SYMBOL_CRC(oxygen_write32_masked, 0x473e783d, "");
SYMBOL_CRC(oxygen_write_ac97, 0xcb3dcaee, "");
SYMBOL_CRC(oxygen_read_ac97, 0x99610477, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0xaa85c68d, "");
SYMBOL_CRC(oxygen_write_spi, 0x54f884f6, "");
SYMBOL_CRC(oxygen_write_i2c, 0x2af3aeb1, "");
SYMBOL_CRC(oxygen_reset_uart, 0x3744ad8e, "");
SYMBOL_CRC(oxygen_write_uart, 0xf545fde0, "");
SYMBOL_CRC(oxygen_pci_probe, 0xe98561af, "");
SYMBOL_CRC(oxygen_pci_pm, 0x155dfbc2, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0x9eb07cf8, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0x818cdd3d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9b109fcd, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0x4e14a92f, "snd_mpu401_uart_new" },
	{ 0x1e3c1381, "pci_match_id" },
	{ 0x40cfe9eb, "snd_pcm_hw_constraint_msbits" },
	{ 0x7c1663d4, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0xc2197a1f, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0xb3ab7b86, "pcim_enable_device" },
	{ 0xa0c1f911, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe245d672, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x330ae35, "devm_request_threaded_irq" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xa9eb89bc, "snd_ctl_add" },
	{ 0x860ecb57, "snd_pcm_new" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeab54ee1, "snd_card_register" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6e66b373, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb4737eef, "snd_card_free_on_error" },
	{ 0xda2f38cd, "snd_card_rw_proc_new" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x24199ab4, "snd_pcm_set_sync" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xee3472d6, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb95de1b0, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x54b58873, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x262a517d, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7569567b, "snd_ctl_boolean_mono_info" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xff31b3de, "snd_ctl_notify" },
	{ 0x65769e21, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x559345c3, "snd_pcm_set_managed_buffer" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd83ebcfe, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x7b2e06ad, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-mpu401-uart,snd-pcm");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
