#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tasdevice_dev_read, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dev_write, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dev_bulk_write, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dev_bulk_read, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dev_update_bits, "_gpl", "");
KSYMTAB_FUNC(tasdevice_kzalloc, "_gpl", "");
KSYMTAB_FUNC(tas2781_reset, "_gpl", "");
KSYMTAB_FUNC(tascodec_init, "_gpl", "");
KSYMTAB_FUNC(tasdevice_init, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dsp_remove, "_gpl", "");
KSYMTAB_FUNC(tasdevice_remove, "_gpl", "");
KSYMTAB_FUNC(tasdevice_save_calibration, "_gpl", "");
KSYMTAB_FUNC(tasdevice_apply_calibration, "_gpl", "");
KSYMTAB_FUNC(tasdevice_amp_putvol, "_gpl", "");
KSYMTAB_FUNC(tasdevice_amp_getvol, "_gpl", "");
KSYMTAB_FUNC(tasdevice_digital_putvol, "_gpl", "");
KSYMTAB_FUNC(tasdevice_digital_getvol, "_gpl", "");

SYMBOL_CRC(tasdevice_dev_read, 0x21b7f30d, "_gpl");
SYMBOL_CRC(tasdevice_dev_write, 0x6f5daf11, "_gpl");
SYMBOL_CRC(tasdevice_dev_bulk_write, 0x61b78570, "_gpl");
SYMBOL_CRC(tasdevice_dev_bulk_read, 0xd4ef2322, "_gpl");
SYMBOL_CRC(tasdevice_dev_update_bits, 0xfe689df4, "_gpl");
SYMBOL_CRC(tasdevice_kzalloc, 0xc4173f26, "_gpl");
SYMBOL_CRC(tas2781_reset, 0x43ef2a4e, "_gpl");
SYMBOL_CRC(tascodec_init, 0x0f73b92e, "_gpl");
SYMBOL_CRC(tasdevice_init, 0x75b5e840, "_gpl");
SYMBOL_CRC(tasdevice_dsp_remove, 0xd60d28da, "_gpl");
SYMBOL_CRC(tasdevice_remove, 0xf2c5f89e, "_gpl");
SYMBOL_CRC(tasdevice_save_calibration, 0xda79838b, "_gpl");
SYMBOL_CRC(tasdevice_apply_calibration, 0xd06ecce7, "_gpl");
SYMBOL_CRC(tasdevice_amp_putvol, 0xb91ccf3b, "_gpl");
SYMBOL_CRC(tasdevice_amp_getvol, 0xb3563fae, "_gpl");
SYMBOL_CRC(tasdevice_digital_putvol, 0x8419b615, "_gpl");
SYMBOL_CRC(tasdevice_digital_getvol, 0x8e534680, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd10b753, "regmap_write" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x7b121828, "gpiod_set_value_cansleep" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xfe990052, "gpio_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x10b82f3e, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x1b240381, "request_firmware_nowait" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x79a25bf0, "regmap_read" },
	{ 0xe0e221d1, "regmap_bulk_write" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeb69b298, "regmap_bulk_read" },
	{ 0x7a46382a, "regmap_update_bits_base" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "crc8");


MODULE_INFO(srcversion, "CEC29B49B82D5613072DEB9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
