#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x75848b02, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0xa2297b7a, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x37880807, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x96d2296c, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0xa55ae4fe, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x347c423d, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0xc5cd0530, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x54147e0e, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x82f68e94, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0xd586f2ef, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0xab7fb139, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0x0082d64c, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0xf9ba058a, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0xbcaf6869, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xfb63fce3, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x5351b438, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x94e70266, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x47ce5797, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0xc3a7257b, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x3efd5fc4, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x105ddebb, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x120aaede, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xc870c813, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x927aaa25, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0x17a1648a, "regmap_raw_write" },
	{ 0x3a83e358, "regmap_raw_read" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x79a25bf0, "regmap_read" },
	{ 0x262a517d, "_dev_info" },
	{ 0x7a46382a, "regmap_update_bits_base" },
	{ 0xfd10b753, "regmap_write" },
	{ 0xa5a1961e, "regmap_multi_reg_write" },
	{ 0xeb69b298, "regmap_bulk_read" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x41ac879f, "devm_kasprintf" },
	{ 0xb26cfced, "debugfs_remove" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfc76c18c, "regmap_raw_write_async" },
	{ 0xe5e3032c, "regmap_async_complete" },
	{ 0x999e8297, "vfree" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x390d857d, "seq_lseek" },
	{ 0xae83274c, "seq_read" },
	{ 0xcba708bb, "single_release" },
	{ 0x76d2c4db, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb6c3bf3f, "debugfs_create_dir" },
	{ 0xf6c23c3f, "debugfs_create_bool" },
	{ 0x869c12dd, "debugfs_create_x32" },
	{ 0xa3fa23b5, "debugfs_create_file" },
	{ 0xeb3584f2, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc4157c5, "_dev_err" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3619D67BBBD837536291B02");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
