#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0xf83fc987, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x96089fb3, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x3a0078f0, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x03017980, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x65d1d248, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x138e9b03, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x915600d7, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0xafadcbe1, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x2c5ab2eb, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x0653d4db, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x3f78d103, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0xbc249533, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x72ac9050, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x20a5fabb, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0xfd1e6725, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0xefdbe53c, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x8e3bd64e, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x3dbfb52b, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xf00bbb2c, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x9b17d4d0, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x68d8dce7, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0xfdf0d83e, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x81a09e74, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x20759083, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x6b53e216, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x63a477fb, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0x23961837, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0xf970b7fc, "");
SYMBOL_CRC(drm_dp_downstream_id, 0xe99e26ac, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x9d844534, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x2dca3f98, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x78efc1bd, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0xe6073031, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x3b337d46, "");
SYMBOL_CRC(drm_dp_aux_init, 0x890a499d, "");
SYMBOL_CRC(drm_dp_aux_register, 0xca248d02, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xa07af32e, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x6ba71d25, "");
SYMBOL_CRC(drm_dp_stop_crc, 0x50a3626c, "");
SYMBOL_CRC(drm_dp_read_desc, 0x6c38ad07, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x4dfb6652, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x07282af6, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0xcdf882d6, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x3ce327bf, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0x3fe45067, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0xc4103152, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0xcbf63aed, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x94581863, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x0d38244b, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x7120e9aa, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x601a728f, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x3bec0fdc, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x6b41f1ed, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0xe6b3c5bd, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0xe8e449a5, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x5351477f, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x9b6f67cf, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x86bd5d29, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x44ca419c, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0xfd305420, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x336c8c76, "");
SYMBOL_CRC(drm_edp_backlight_init, 0xd25bbb06, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0x072fc6e7, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0xca991981, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x4ebbd72c, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x8da746aa, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0xc320178b, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0xce4b0eee, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x01eb5404, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x71ff931f, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0xf3225e13, "");
SYMBOL_CRC(drm_dp_remove_payload, 0x22cbd211, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x66db7744, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xa2d06576, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x905dcba3, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0xf4c21016, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x37ef612c, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0x10c591f4, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x81e7b18e, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xcd4a9a71, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x341d1a5b, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0xb3111a8d, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0xa30c6aaf, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0xb41e2606, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x2936e381, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0xd0ff5088, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x041486af, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0xaef97c28, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x4068a5fa, "");
SYMBOL_CRC(drm_dp_check_act_status, 0xe357d64a, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x246cbfda, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0xb95d13a8, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x3b0b85ab, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0xbee7d630, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0xcfb15114, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0xd8236777, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x228a5c7e, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xdeae8527, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x79f46500, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xcc62d3f1, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x3937ae2f, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x1609aebf, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x75305ab6, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x288f10dd, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0xfe4ea8a5, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0xb0d5adc2, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0xd7f21e47, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x149a5dba, "");
SYMBOL_CRC(drm_scdc_read, 0x1533d246, "");
SYMBOL_CRC(drm_scdc_write, 0xbe837ca6, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0xa1ba3ae0, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0xa81c975a, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0xb0e5345d, "");
SYMBOL_CRC(drm_dp_cec_irq, 0xad743b12, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x082f4972, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x8f131657, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x1ddbeb32, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0x288e4946, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9994cde5, "drm_mode_object_put" },
	{ 0x32cc3731, "dev_driver_string" },
	{ 0x1b382139, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0xc2d85808, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3dc3efae, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc024fb08, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xc2455d09, "drm_dev_printk" },
	{ 0x44f66139, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0xd49e9a4a, "drm_atomic_get_crtc_state" },
	{ 0x7e96dc44, "drm_crtc_wait_one_vblank" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x44784ae8, "drm_modeset_lock" },
	{ 0x20f37bba, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x57ba9ad5, "device_create" },
	{ 0x2b3104df, "class_create" },
	{ 0x9829f2a, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2b743f6b, "fixed_size_llseek" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x5aec398, "drm_crtc_commit_wait" },
	{ 0x8b26042e, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0xaf397d4, "cec_unregister_adapter" },
	{ 0x97333bb3, "drm_object_attach_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0xa574639, "drm_atomic_get_old_private_obj_state" },
	{ 0x2ec5e483, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x4489a5e9, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xe16dc6cd, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x80156a36, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xf551c9ff, "drm_object_property_set_value" },
	{ 0x28779e52, "drm_printf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x1eb6e151, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb90084a7, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x87142ff8, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x62ef75c0, "_copy_from_iter" },
	{ 0xf7c3783c, "i2c_transfer" },
	{ 0x3ad3e693, "drm_display_mode_from_cea_vic" },
	{ 0x4eef93ee, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x498bb55d, "cec_fill_conn_info_from_drm" },
	{ 0x17044c08, "drm_sysfs_connector_property_event" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x6ff3bf09, "cec_received_msg_ts" },
	{ 0xd57bef2a, "param_ops_int" },
	{ 0x3cde31ce, "_dev_printk" },
	{ 0x3a905efd, "iov_iter_revert" },
	{ 0xf25084c2, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x4c40f139, "drm_atomic_get_connector_state" },
	{ 0x7c545285, "drm_edid_get_monitor_name" },
	{ 0xf4870690, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x80261491, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x2a4bc2bc, "drm_crtc_add_crc_entry" },
	{ 0x97eab5b5, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4a15606, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0xe6b82d61, "drm_connector_register" },
	{ 0xb70cff5, "cec_transmit_attempt_done_ts" },
	{ 0xc5a381b0, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf824c7db, "__drm_printfn_debug" },
	{ 0xbb375b44, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6cff0511, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xdfb6cfdd, "class_destroy" },
	{ 0x912b04, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x481f78d5, "cec_s_conn_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x250e10cc, "cec_s_phys_addr_from_edid" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x7edf470b, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3e1c7295, "drm_connector_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "cec");


MODULE_INFO(srcversion, "599B7E8EFD3C7BC3E3271FA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
