#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0x5bc357bd, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xf98f0762, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0xd180ebc5, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x9750df54, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xc17036a9, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0xc05c9ed6, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x85603d69, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x58548b1f, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0xd00787fb, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0xce79ea9b, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0x8173d0d7, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0x56e7ae9a, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x73aa55b0, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x67711454, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0xdd609239, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9cefb6d, "drm_helper_disable_unused_functions" },
	{ 0x15e6cd0d, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x54036f8f, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0xd5f6ab79, "drm_fb_helper_fini" },
	{ 0x8e401c1, "dma_mmap_pages" },
	{ 0x9f39fab9, "drm_client_framebuffer_delete" },
	{ 0xbb030d15, "dma_free_pages" },
	{ 0xae952df4, "drm_client_framebuffer_create" },
	{ 0x425f4bc0, "dma_sync_single_for_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xcadfddd2, "drm_fb_helper_fill_info" },
	{ 0x98fcedbf, "drm_gem_create_mmap_offset" },
	{ 0xa902e845, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x32cc3731, "dev_driver_string" },
	{ 0x41d4a757, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf4669f97, "fb_sys_write" },
	{ 0xe3fd0e90, "sys_imageblit" },
	{ 0x7a8adfe, "drm_atomic_helper_damage_iter_init" },
	{ 0x368aceb9, "drm_fb_helper_blank" },
	{ 0x29bdb69c, "dma_alloc_pages" },
	{ 0xb1f414a8, "drm_gem_private_object_init" },
	{ 0x6acdc174, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x68acbf43, "sys_fillrect" },
	{ 0xa1485da6, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x2816508a, "drm_client_init" },
	{ 0x937e1255, "drm_gem_vm_close" },
	{ 0x9f792154, "drm_gem_vm_open" },
	{ 0x3119e030, "drm_fb_helper_prepare" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc4157c5, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x9d61177, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xdcbe8315, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x81cb2aae, "drm_gem_handle_create" },
	{ 0xc9d99ba2, "drm_gem_fb_get_obj" },
	{ 0x2ec5e483, "__drm_dev_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa9d7f721, "drm_fb_helper_pan_display" },
	{ 0xccb5f082, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb506179e, "sys_copyarea" },
	{ 0x4b7c8097, "dma_free_attrs" },
	{ 0x28779e52, "drm_printf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9d5fbdea, "drm_client_buffer_vunmap" },
	{ 0xbbf7d31d, "fb_sys_read" },
	{ 0x66431708, "drm_fb_helper_debug_leave" },
	{ 0xbc8dc86f, "dma_buf_vmap_unlocked" },
	{ 0xd57fc425, "dma_mmap_attrs" },
	{ 0xecf22980, "dma_get_sgtable_attrs" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x2bbeeb93, "drm_fb_helper_initial_config" },
	{ 0xed5f030f, "drm_fb_helper_unregister_info" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0xc5b3ab2, "drm_fb_helper_ioctl" },
	{ 0x8ae1eb4f, "drm_fb_helper_set_par" },
	{ 0xb20da7aa, "drm_prime_gem_destroy" },
	{ 0x49817de8, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9055382c, "try_module_get" },
	{ 0xceff296f, "drm_fb_helper_init" },
	{ 0x5111550f, "drm_fb_helper_debug_enter" },
	{ 0xfa1a8033, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xc015f50c, "drm_client_buffer_vmap" },
	{ 0xbc8f28c5, "drm_fb_helper_lastclose" },
	{ 0x1c355389, "drm_fb_helper_setcmap" },
	{ 0xf15a8c98, "drm_fb_helper_alloc_info" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2ED1A1BB11B350C7F9853DB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
