#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0x10a6416c, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0x5c89f13d, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0xe2afb121, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0x0a899330, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d96cf1f, "__pm_runtime_disable" },
	{ 0x98583477, "__pm_runtime_set_status" },
	{ 0xe3c745e4, "iio_trigger_unregister" },
	{ 0x349c6e24, "iio_triggered_buffer_cleanup" },
	{ 0x8ef23f7d, "regulator_bulk_disable" },
	{ 0x5ffd8437, "devm_iio_device_alloc" },
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0x7eea185e, "iio_read_mount_matrix" },
	{ 0x14ab117e, "devm_regulator_bulk_get" },
	{ 0x25cc65df, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x5f59a8c3, "iio_triggered_buffer_setup_ext" },
	{ 0x330ae35, "devm_request_threaded_irq" },
	{ 0xe38092d1, "iio_device_id" },
	{ 0xe29c62a0, "__devm_iio_trigger_alloc" },
	{ 0x2b4918f4, "iio_trigger_register" },
	{ 0x2b92d5db, "pm_runtime_enable" },
	{ 0xeb3b7c5a, "pm_runtime_set_autosuspend_delay" },
	{ 0xf8e44dc4, "__pm_runtime_use_autosuspend" },
	{ 0x768b06c3, "__iio_device_register" },
	{ 0xd535d342, "acpi_dev_hid_uid_match" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x53dc3c64, "dev_err_probe" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37a0cba, "kfree" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0xf72645a4, "iio_read_const_attr" },
	{ 0x6916dbde, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd10b753, "regmap_write" },
	{ 0xe31c5961, "regmap_get_device" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x744a8f71, "iio_get_time_ns" },
	{ 0xa909368b, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7a46382a, "regmap_update_bits_base" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x962540c3, "__pm_runtime_suspend" },
	{ 0x79a25bf0, "regmap_read" },
	{ 0xd1caf84e, "iio_buffer_enabled" },
	{ 0xeb69b298, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x111e6666, "iio_device_get_current_mode" },
	{ 0x3a83e358, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1d7e3c1a, "iio_push_to_buffers" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xcddcd05, "iio_push_event" },
	{ 0xa9e78d8b, "iio_trigger_notify_done" },
	{ 0x42a2aafd, "iio_device_unregister" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "CB5BF596FEB1B26CB0E974F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
