#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ef446c, "mma9551_read_accel_scale" },
	{ 0x5ef8e4a, "mma9551_read_accel_chan" },
	{ 0x58badeb9, "mma9551_read_status_words" },
	{ 0xf846c2eb, "mma9551_gpio_config" },
	{ 0xaf6af6d6, "i2c_client_get_device_id" },
	{ 0x5ffd8437, "devm_iio_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x85f2a5f0, "mma9551_read_version" },
	{ 0x330ae35, "devm_request_threaded_irq" },
	{ 0x2b92d5db, "pm_runtime_enable" },
	{ 0xeb3b7c5a, "pm_runtime_set_autosuspend_delay" },
	{ 0xf8e44dc4, "__pm_runtime_use_autosuspend" },
	{ 0x768b06c3, "__iio_device_register" },
	{ 0x309e49f3, "mma9551_read_config_words" },
	{ 0x1864d1fe, "mma9551_app_reset" },
	{ 0x445989dd, "mma9551_write_config_words" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0xf7e2f30b, "acpi_match_device" },
	{ 0xcddcd05, "iio_push_event" },
	{ 0xc230eed9, "iio_enum_read" },
	{ 0x6d2fd081, "iio_enum_write" },
	{ 0x83062c50, "iio_enum_available_read" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x50b774c6, "i2c_register_driver" },
	{ 0xfa1212ec, "mma9551_set_device_state" },
	{ 0xbcd7fe96, "mma9551_sleep" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x42a2aafd, "iio_device_unregister" },
	{ 0x2d96cf1f, "__pm_runtime_disable" },
	{ 0x98583477, "__pm_runtime_set_status" },
	{ 0x744a8f71, "iio_get_time_ns" },
	{ 0xd465c558, "mma9551_write_config_word" },
	{ 0x1bf9ab4, "mma9551_read_config_word" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb185e65, "mma9551_set_power_state" },
	{ 0x763e36f9, "i2c_del_driver" },
	{ 0x4eab686c, "mma9551_read_status_word" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "mma9551_core,industrialio");

MODULE_ALIAS("i2c:mma9553");
MODULE_ALIAS("acpi*:MMA9553:*");

MODULE_INFO(srcversion, "0BF478B58F0E65D92F7213D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
