#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(amd_iommu_bind_pasid, "", "");
KSYMTAB_FUNC(amd_iommu_unbind_pasid, "", "");
KSYMTAB_FUNC(amd_iommu_init_device, "", "");
KSYMTAB_FUNC(amd_iommu_free_device, "", "");
KSYMTAB_FUNC(amd_iommu_set_invalid_ppr_cb, "", "");
KSYMTAB_FUNC(amd_iommu_set_invalidate_ctx_cb, "", "");

SYMBOL_CRC(amd_iommu_bind_pasid, 0xae9176bb, "");
SYMBOL_CRC(amd_iommu_unbind_pasid, 0x3ec1b873, "");
SYMBOL_CRC(amd_iommu_init_device, 0x6a972b06, "");
SYMBOL_CRC(amd_iommu_free_device, 0x53ebcc17, "");
SYMBOL_CRC(amd_iommu_set_invalid_ppr_cb, 0xd6c1e282, "");
SYMBOL_CRC(amd_iommu_set_invalidate_ctx_cb, 0xec1f1048, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe27d0134, "amd_iommu_domain_clear_gcr3" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x48d50e79, "amd_iommu_register_ppr_notifier" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe1b070a4, "amd_iommu_complete_ppr" },
	{ 0x37a0cba, "kfree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xabdc439, "cc_platform_has" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x870ac873, "pci_bus_type" },
	{ 0x65232411, "iommu_domain_alloc" },
	{ 0x5734f3f1, "amd_iommu_domain_direct_map" },
	{ 0xb42b1195, "amd_iommu_domain_enable_v2" },
	{ 0x6cc4c9ca, "iommu_domain_free" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x339be376, "iommu_group_get" },
	{ 0x3251870b, "iommu_attach_group" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd746493e, "pci_get_domain_bus_and_slot" },
	{ 0xbd569797, "amd_iommu_is_attach_deferred" },
	{ 0x5d5a01d1, "pci_dev_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7013d2b0, "__tracepoint_mmap_lock_start_locking" },
	{ 0x668b19a1, "down_read" },
	{ 0xf4b960ea, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x4e8f828, "mtree_load" },
	{ 0xced60cab, "__tracepoint_mmap_lock_released" },
	{ 0x53b954a2, "up_read" },
	{ 0x9b44d221, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xb846da8f, "__mmap_lock_do_trace_start_locking" },
	{ 0xed66f8fd, "__mmap_lock_do_trace_released" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfb1dc4ee, "handle_mm_fault" },
	{ 0xe0f08e17, "mmu_notifier_unregister" },
	{ 0x255832d8, "iommu_detach_group" },
	{ 0x76fb08a7, "amd_iommu_unregister_ppr_notifier" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x611bd4dd, "get_task_mm" },
	{ 0x98fe329, "mmu_notifier_register" },
	{ 0xc9b67b99, "mmput" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4495c48c, "amd_iommu_domain_set_gcr3" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xafd5ff2c, "amd_iommu_v2_supported" },
	{ 0x52507108, "amd_iommu_flush_page" },
	{ 0x26784e5e, "amd_iommu_flush_tlb" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9A7FAF55046CAAE9BE49535");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
