#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0xecf12e52, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0xd4964cd4, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0x0406a6c7, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0x0b349673, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0xcf8720f4, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0xb3b4d894, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0x26e6f4d5, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0xb6ca3301, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0x407d6842, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0x39c123fc, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev, 0x690d1c9f, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0x9df486cd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x90103f50, "i2c_verify_client" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0xb6c3bf3f, "debugfs_create_dir" },
	{ 0xa3fa23b5, "debugfs_create_file" },
	{ 0xeb3584f2, "single_open" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0xd7c831db, "fwnode_property_present" },
	{ 0xb1fd3872, "fwnode_graph_get_port_parent" },
	{ 0x7922f440, "fwnode_handle_put" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2ab27a2b, "fwnode_handle_get" },
	{ 0xb26cfced, "debugfs_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7958ca5, "fwnode_graph_get_remote_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0xbd280b47, "v4l2_device_unregister_subdev" },
	{ 0x1e7bece5, "v4l2_subdev_put_privacy_led" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0xae8d8b05, "__dev_fwnode" },
	{ 0x59c1ad2c, "v4l2_device_register_subdev" },
	{ 0x236f7b3a, "media_create_ancillary_link" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc4157c5, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0x390d857d, "seq_lseek" },
	{ 0xae83274c, "seq_read" },
	{ 0xcba708bb, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc");


MODULE_INFO(srcversion, "BF8258912311212E1384DC2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
