#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0xdff3f49d, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0x17f98930, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0xe7dc74cc, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0x0078700e, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0xa453200d, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0x0fba3e6e, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0x21b04a9d, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0x5eb0477e, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0x8fa38239, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0x0ee0122f, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0x8a96904a, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x308050a4, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0x45c3cf59, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0x83bc09d7, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x85ef4ee6, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0x3ffb95bc, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0x26b885ba, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0xa80adaf5, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0xfa183b79, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0x055102b1, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0x364344ef, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0x6d3141bc, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0x3e21c18c, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x19b99192, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa1d190e5, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xbdc648fc, "pci_find_ext_capability" },
	{ 0x98f6ae9e, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x11ce53a0, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x8c998bfb, "pci_disable_msi" },
	{ 0x6e66b373, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x326b7806, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xee3472d6, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x90e0479, "pm_schedule_suspend" },
	{ 0x7b187d3c, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfdce6e03, "pci_enable_msi" },
	{ 0xc4157c5, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x954f099c, "idr_preload" },
	{ 0xf156b166, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdcbe8315, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa94a1a74, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0x7b2e06ad, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d075e27, "pm_runtime_forbid" },
	{ 0x4b7c8097, "dma_free_attrs" },
	{ 0xd85e2dbe, "pm_runtime_allow" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0xc9ddcc52, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf859183b, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3ade6d76, "pci_disable_device" },
	{ 0x246ca4de, "mfd_remove_devices" },
	{ 0x9a73cfa1, "dma_set_mask" },
	{ 0xbf9a6d85, "dma_unmap_sg_attrs" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x9ba8693, "pci_read_config_byte" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x525846b8, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe245d672, "pci_write_config_dword" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0xffe56283, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "70E2E645F22F0AD076BB45E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
