#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xd7d3e723, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x828c7b82, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x94dd86e9, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x3ab03519, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x1ab867ab, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x06ef40c3, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x49fe601a, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x3ee17845, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x6726cbcf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb8c747c1, "netdev_err" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x5d5840c, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x46797157, "cdev_init" },
	{ 0x97f4ec1e, "cdev_add" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0x336be819, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcfec7e29, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc7de5fd3, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7a6db706, "dev_set_mac_address_user" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x4258a0a5, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4a15606, "_copy_to_iter" },
	{ 0xa67ebd1d, "iov_iter_advance" },
	{ 0xf254e70b, "skb_copy_datagram_iter" },
	{ 0x342f3539, "consume_skb" },
	{ 0x1000e51, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x14613469, "skb_push" },
	{ 0x22526d86, "__skb_gso_segment" },
	{ 0xef7d1e06, "__skb_get_hash" },
	{ 0x63c38b77, "skb_checksum_help" },
	{ 0x971dbe32, "kfree_skb_list_reason" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x37a0cba, "kfree" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x1aa2f509, "__skb_flow_dissect" },
	{ 0xeaa2410e, "skb_partial_csum_set" },
	{ 0x218c1980, "__pskb_pull_tail" },
	{ 0xe905133a, "iov_iter_npages" },
	{ 0x5cf16292, "sock_alloc_send_pskb" },
	{ 0xfddff411, "skb_put" },
	{ 0xe2b5a3ae, "zerocopy_sg_from_iter" },
	{ 0xbb3be27d, "__dev_queue_xmit" },
	{ 0x62ef75c0, "_copy_from_iter" },
	{ 0x7245321e, "skb_copy_datagram_from_iter" },
	{ 0x3a905efd, "iov_iter_revert" },
	{ 0x174fab3b, "skb_copy_bits" },
	{ 0x7a32807b, "build_skb" },
	{ 0xfabb2c4e, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8040fcf7, "kfree_skb_reason" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "178A457882DA8678BC6D6E1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
