#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");

SYMBOL_CRC(libipw_networks_age, 0x6c9837b3, "");
SYMBOL_CRC(alloc_libipw, 0x2dde0309, "");
SYMBOL_CRC(free_libipw, 0x7f987e49, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0x38b3824b, "");
SYMBOL_CRC(libipw_txb_free, 0xe13855d8, "");
SYMBOL_CRC(libipw_rx_any, 0x0b69073d, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0xd8d97460, "");
SYMBOL_CRC(libipw_rx, 0x1dc26b98, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0xfc94a443, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0x4160a6af, "");
SYMBOL_CRC(libipw_wx_get_scan, 0xfe6ab8ea, "");
SYMBOL_CRC(libipw_wx_set_encode, 0x1fba6dfb, "");
SYMBOL_CRC(libipw_wx_get_encode, 0xa15631f8, "");
SYMBOL_CRC(libipw_get_channel, 0x22acf7db, "");
SYMBOL_CRC(libipw_get_channel_flags, 0xea792517, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x29e86b4b, "");
SYMBOL_CRC(libipw_freq_to_channel, 0x37c3b7d0, "");
SYMBOL_CRC(libipw_channel_to_freq, 0x2aa03666, "");
SYMBOL_CRC(libipw_channel_to_index, 0x3a39227a, "");
SYMBOL_CRC(libipw_set_geo, 0x316d6a2f, "");
SYMBOL_CRC(libipw_get_geo, 0x28e7e5af, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x390d857d, "seq_lseek" },
	{ 0x96af27c, "dev_kfree_skb_irq_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x523a96f8, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc46ffbe3, "wiphy_new_nm" },
	{ 0x6f14f1db, "lib80211_crypt_info_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x9761d410, "lib80211_get_crypto_ops" },
	{ 0x84cff2ef, "init_net" },
	{ 0xa52f498f, "skb_pull" },
	{ 0x14613469, "skb_push" },
	{ 0x89de04fb, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfd3cb9f4, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd32e4da0, "wireless_spy_update" },
	{ 0xcc2cf06a, "netif_rx" },
	{ 0x8b26c803, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xae83274c, "seq_read" },
	{ 0xfe9c03d5, "lib80211_crypt_info_free" },
	{ 0xfb30c659, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0x7df41181, "lib80211_crypt_delayed_deinit" },
	{ 0xcba708bb, "single_release" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0xdc35e042, "dev_kfree_skb_any_reason" },
	{ 0xd57bef2a, "param_ops_int" },
	{ 0xeb3584f2, "single_open" },
	{ 0xa897ad24, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbe566b37, "alloc_etherdev_mqs" },
	{ 0x9055382c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0xfddff411, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8c6dadfd, "proc_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "B04C794549E5CDFD244F82D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
