#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_connac_mcu_start_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_patch_sem_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_start_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_init_download, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_mac_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_vif_ps, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rts_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_beacon_loss_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_nested_tlv, "_gpl", "");
KSYMTAB_FUNC(__mt76_connac_mcu_alloc_sta_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_alloc_wtbl_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_omac_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_uapsd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_hdr_trans_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_generic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_smps_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ht_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_dev, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_wed_update, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_ext, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_he_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_eht_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_set_chctx, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_bss, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_chip_config, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_sta_state_dp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_coredump_event, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_get_nic_capability, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rate_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_arp_filter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_p2p_oppps, "_gpl", "");
KSYMTAB_DATA(mt76_connac_wowlan_support, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_hif_suspend, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_rr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_wr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_key, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_ext_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_pm, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_rdd_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_ram, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_gen_ppe_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_wake, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_power_save_sched, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_free_pending_tx_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_dequeue_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_write_hw_txp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_txp_skb_unmap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_init_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_tx_rate_val, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_txs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_add_txs_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_reverse_frag0_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_rx_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_check_aggr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_he_radiotap, "_gpl", "");

SYMBOL_CRC(mt76_connac_mcu_start_firmware, 0xc1252087, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_patch_sem_ctrl, 0x37afab27, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_start_patch, 0x2f8fc3d0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_init_download, 0xf08e7b16, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_channel_domain, 0xedea5fe0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_mac_enable, 0x7debc6c1, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_vif_ps, 0xa33ab0c8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rts_thresh, 0xb7ea000e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_beacon_loss_iter, 0xa7c7102a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_nested_tlv, 0x5bc62dde, "_gpl");
SYMBOL_CRC(__mt76_connac_mcu_alloc_sta_req, 0x06494754, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_alloc_wtbl_req, 0x0c40a353, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_omac_tlv, 0x18f21da3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_basic_tlv, 0x5629a9ee, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_uapsd, 0xfde2fddc, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_hdr_trans_tlv, 0xd8082889, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_update_hdr_trans, 0x29359c70, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_update_hdr_trans, 0xd33ed828, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_generic_tlv, 0xafe261ec, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_tlv, 0x5a5a2492, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_smps_tlv, 0xf0c08586, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ht_tlv, 0x20331e81, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_cmd, 0x22c5c3b9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ba_tlv, 0xa91595bd, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_dev, 0x8b0d45c7, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba_tlv, 0xa6a9920d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_wed_update, 0x969557a4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba, 0x90105d42, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode, 0x471b8eba, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_ext, 0x8cb1a042, "_gpl");
SYMBOL_CRC(mt76_connac_get_he_phy_cap, 0xfcd6d8c8, "_gpl");
SYMBOL_CRC(mt76_connac_get_eht_phy_cap, 0xee5ffafa, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_set_chctx, 0x8b32d0bb, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_bss, 0xe380ad48, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_hw_scan, 0xf2a62091, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_cancel_hw_scan, 0x20a58a57, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_req, 0x0b36a312, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_enable, 0x1a56c993, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_chip_config, 0x0064fe88, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_deep_sleep, 0xda4fefa2, "_gpl");
SYMBOL_CRC(mt76_connac_sta_state_dp, 0x4869602f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_coredump_event, 0xbea8b0cf, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_get_nic_capability, 0x00d5ab03, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rate_txpower, 0x9d6710b4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_arp_filter, 0x4d4b3c4a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_p2p_oppps, 0x710cb2f9, "_gpl");
SYMBOL_CRC(mt76_connac_wowlan_support, 0x908ca40c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_gtk_rekey, 0x0ad30893, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_hif_suspend, 0xa52a756b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_iter, 0xf3130325, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_rr, 0x8f190ac8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_wr, 0xb306981b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_key, 0xa2abec44, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_ext_tlv, 0x075ea187, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_basic_tlv, 0x72f012d2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_pm, 0x6370f441, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_restart, 0xc611d233, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_rdd_cmd, 0xfa7a4b94, "_gpl");
SYMBOL_CRC(mt76_connac2_load_ram, 0x3ef54229, "_gpl");
SYMBOL_CRC(mt76_connac2_load_patch, 0x85def420, "_gpl");
SYMBOL_CRC(mt76_connac2_mcu_fill_message, 0x44d2b66b, "_gpl");
SYMBOL_CRC(mt76_connac_gen_ppe_thresh, 0x0a25337f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_wake, 0x98d99785, "_gpl");
SYMBOL_CRC(mt76_connac_power_save_sched, 0x3cf8c38c, "_gpl");
SYMBOL_CRC(mt76_connac_free_pending_tx_skbs, 0x7084e103, "_gpl");
SYMBOL_CRC(mt76_connac_pm_queue_skb, 0x84d00af3, "_gpl");
SYMBOL_CRC(mt76_connac_pm_dequeue_skbs, 0x9a08f9e0, "_gpl");
SYMBOL_CRC(mt76_connac_tx_complete_skb, 0xe7ee1db7, "_gpl");
SYMBOL_CRC(mt76_connac_write_hw_txp, 0x0b3a52a1, "_gpl");
SYMBOL_CRC(mt76_connac_txp_skb_unmap, 0x82741c41, "_gpl");
SYMBOL_CRC(mt76_connac_init_tx_queues, 0x4eabdc4f, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_tx_rate_val, 0xc7c870e6, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_write_txwi, 0xec6027d9, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_txs, 0xf2d96353, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_add_txs_skb, 0xca657dd6, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_decode_he_radiotap, 0xa00ff899, "_gpl");
SYMBOL_CRC(mt76_connac2_reverse_frag0_hdr_trans, 0x1eaf68d5, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_rx_rate, 0x781140ef, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_check_aggr, 0xe99cfc7d, "_gpl");
SYMBOL_CRC(mt76_connac2_txwi_free, 0x7f35825f, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_token_put, 0xb503871b, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_he_radiotap, 0x543bf424, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfddff411, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x342f3539, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x63d39780, "mt76_tx_status_skb_get" },
	{ 0xcd31d67e, "mt76_tx_status_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1e39ca0c, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x46eb6985, "request_firmware" },
	{ 0x258fdc9d, "mt76_get_rate" },
	{ 0xb69322fa, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcfb903a6, "ieee80211_beacon_loss" },
	{ 0x53e142b5, "__mt76_tx_complete_skb" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1c05dd8, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8f7c2bf1, "wake_up_process" },
	{ 0xd70c1f5a, "ieee80211_find_sta" },
	{ 0x613e0f7e, "mt76_calculate_default_rate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xee543c6a, "mt76_tx" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x262a517d, "_dev_info" },
	{ 0x260d03b6, "mt76_init_queue" },
	{ 0x74f76d09, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc4157c5, "_dev_err" },
	{ 0xa52f498f, "skb_pull" },
	{ 0x40b73a0, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x14613469, "skb_push" },
	{ 0x63422de7, "ieee80211_wake_queues" },
	{ 0xe9ff702, "mt76_mcu_send_and_get_msg" },
	{ 0xb19ba68c, "ieee80211_iter_keys_rcu" },
	{ 0xeee40278, "__mt76_mcu_msg_alloc" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x47ba8efe, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x22602b5a, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc8c23916, "mt76_get_rate_power_limits" },
	{ 0xbcd65ee0, "ieee80211_scan_completed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x65a90b1e, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6a6a6f33, "mt76_put_txwi" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xdc35e042, "dev_kfree_skb_any_reason" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2ec9cadc, "mt76_tx_status_unlock" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "063EA54E9730DC9CD572211");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
