#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x8f92beaf, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x86b64e7a, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x47b3f9d6, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0xf45521cc, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0xf2ab4191, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x938ce71e, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0xc2dd123d, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x5cdc81f7, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0xfe5c221a, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x804c1255, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0xb85ad0f7, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0xc3567a38, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x83a5c541, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0xbacb2539, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x76780cec, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x42466ac9, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0xec5b4533, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xcfab71bd, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0xb640b231, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x1bb9226c, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x92721fcf, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x498ebd5e, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0xe8407b4c, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0xa85571f4, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0xcd310e47, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x161532f3, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x92771818, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x2b7fbef9, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xb7470424, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x15c31b7f, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x2866c9e5, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x80734087, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x1e793796, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0xd71af57e, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0xe71fa98d, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x5b8309dc, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x72941893, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xa3e67311, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0xa3ef2e61, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x1d2b77d5, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0xb7b31471, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x493b80df, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x1b09192a, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x4aa4da48, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xe335d363, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0xbb00f92c, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x5a4426c3, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x953a6d29, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x75276d1a, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x95cdd65e, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x9f442fb8, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x5e20c729, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xd50182ad, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x1fea23e8, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0xddd75f78, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x6eef2fd2, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xdaf88132, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0xb890a10f, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0xf3ddfe07, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0xd628dfff, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xe0b83ad9, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x643b72c7, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x63e318b7, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x515c98ac, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x054271e0, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x85b39672, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa7388fed, "mt76_csa_check" },
	{ 0x1ab13753, "mt76_tx_status_skb_add" },
	{ 0x585850af, "__tracepoint_mac_txdone" },
	{ 0xcbf381c0, "mt76_tx_check_agg_ssn" },
	{ 0xd8601379, "ieee80211_tx_status_ext" },
	{ 0x3ea7ffeb, "mt76_stop_tx_queues" },
	{ 0x8a4e1dd0, "___pskb_trim" },
	{ 0xdbcc4932, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x53e142b5, "__mt76_tx_complete_skb" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x390d857d, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd3756aaa, "ieee80211_restart_hw" },
	{ 0xe086052f, "bpf_trace_run2" },
	{ 0x1c05dd8, "ieee80211_get_hdrlen_from_skb" },
	{ 0x81d9d1e5, "kthread_park" },
	{ 0xc7f46057, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcb771786, "mt76_tx_status_check" },
	{ 0x8f7c2bf1, "wake_up_process" },
	{ 0xfbe6df26, "trace_event_buffer_commit" },
	{ 0x3ce42b1f, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa40ab613, "napi_complete_done" },
	{ 0x8972b916, "ieee80211_get_tx_rates" },
	{ 0x1d38eb36, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33c10acb, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xee543c6a, "mt76_tx" },
	{ 0xcbb3a966, "__napi_schedule" },
	{ 0xc6d419e7, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8f2413d1, "mt76_wcid_key_setup" },
	{ 0x262a517d, "_dev_info" },
	{ 0xabcbaa0, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xc76826, "mt76_rx" },
	{ 0xb7ba946c, "kthread_unpark" },
	{ 0xf8c03067, "mt76_phy_dfs_state" },
	{ 0x68a4a9a2, "wiphy_to_ieee80211_hw" },
	{ 0x260d03b6, "mt76_init_queue" },
	{ 0x3a8025cc, "debugfs_attr_read" },
	{ 0xe7e374d, "__mt76_sta_remove" },
	{ 0x74f76d09, "mt76_tx_status_skb_done" },
	{ 0x8165d8b1, "ieee80211_queue_delayed_work" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x19ae01a8, "perf_trace_run_bpf_submit" },
	{ 0xc4157c5, "_dev_err" },
	{ 0xf6c23c3f, "debugfs_create_bool" },
	{ 0xa52f498f, "skb_pull" },
	{ 0x7719a238, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7065a8d8, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x14613469, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xc72bf093, "napi_enable" },
	{ 0x99b20c71, "trace_event_reg" },
	{ 0xeb9e39de, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x63422de7, "ieee80211_wake_queues" },
	{ 0xe9ff702, "mt76_mcu_send_and_get_msg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb19ba68c, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xeee40278, "__mt76_mcu_msg_alloc" },
	{ 0x510c4b1a, "mt76_set_irq_mask" },
	{ 0xe5628b3b, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x199bc6c6, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9c84eb18, "debugfs_create_u32" },
	{ 0x1e6450ec, "__SCK__tp_func_mac_txdone" },
	{ 0xa07e7b83, "mt76_seq_puts_array" },
	{ 0x22602b5a, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x67a21c6d, "__tracepoint_dev_irq" },
	{ 0xae83274c, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7609a0ff, "mt76_mcu_get_response" },
	{ 0xa3fa23b5, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xf0448176, "trace_event_buffer_reserve" },
	{ 0x9c1b295b, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4c18dce3, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1f1e9584, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x4f5f5933, "____mt76_poll_msec" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0xda0e02b5, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4eef93ee, "seq_puts" },
	{ 0xf4e3b8a0, "ieee80211_radar_detected" },
	{ 0xcba708bb, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62ede8b, "mt76_queues_read" },
	{ 0x3c252f93, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x7b7e26bc, "napi_schedule_prep" },
	{ 0x5c8b1130, "napi_disable" },
	{ 0xdc35e042, "dev_kfree_skb_any_reason" },
	{ 0xe7239b1b, "__mt76_poll" },
	{ 0xd544baea, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x4ab04625, "debugfs_create_u8" },
	{ 0xeb3584f2, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x942a82c4, "mt76_dma_attach" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa00a5d97, "ieee80211_sta_register_airtime" },
	{ 0x30cba183, "mt76_dma_rx_poll" },
	{ 0x2ec9cadc, "mt76_tx_status_unlock" },
	{ 0xce9ce1ce, "simple_attr_open" },
	{ 0x5aded058, "debugfs_attr_write" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x342f3539, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf7a186d8, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x63d39780, "mt76_tx_status_skb_get" },
	{ 0x4e6f2e1, "trace_raw_output_prep" },
	{ 0xcd31d67e, "mt76_tx_status_lock" },
	{ 0x496defac, "skb_dequeue" },
	{ 0x3ee17f5e, "__trace_trigger_soft_disabled" },
	{ 0x58f0dafc, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "FD229E656F7B0E92162B15B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
