#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71bb0571, "mt76_write_mac_initvals" },
	{ 0x216256ef, "mt76x2_reset_wlan" },
	{ 0x20d5e63f, "mt76x2_mcu_set_channel" },
	{ 0x2866c9e5, "mt76x02_mcu_set_radio_state" },
	{ 0x4017f1e0, "mt76_wake_tx_queue" },
	{ 0xa720c964, "mt76_get_antenna" },
	{ 0x364843e, "mt76x2_apply_gain_adj" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x42466ac9, "mt76x02_sta_ps" },
	{ 0x4389fb7e, "mt76x2_set_sar_specs" },
	{ 0xb8119cea, "mt76u_resume_rx" },
	{ 0x83a5c541, "mt76x02_sta_rate_tbl_update" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x16082e70, "mt76_alloc_device" },
	{ 0x1bb9226c, "mt76x02_mac_shared_key_setup" },
	{ 0xa3e67311, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf95b8c7e, "mt76x2_mac_stop" },
	{ 0xb4041e8c, "usb_put_dev" },
	{ 0x3e0b7032, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcd310e47, "mt76x02_update_channel" },
	{ 0xc1938600, "mt76x2_configure_tx_delay" },
	{ 0xfa024eaf, "usb_get_dev" },
	{ 0x262a517d, "_dev_info" },
	{ 0x86b64e7a, "mt76x02_configure_filter" },
	{ 0x615a261c, "mt76_free_device" },
	{ 0xddd75f78, "mt76x02_queue_rx_skb" },
	{ 0x42f8e7d4, "mt76u_queues_deinit" },
	{ 0x8165d8b1, "ieee80211_queue_delayed_work" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x766c2699, "mt76x02u_mcu_fw_reset" },
	{ 0xe8407b4c, "mt76x02_mac_setaddr" },
	{ 0xbdc60493, "mt76_register_device" },
	{ 0x9c5a63f5, "mt76_set_tim" },
	{ 0x76780cec, "mt76x02_sw_scan_complete" },
	{ 0x4aa4da48, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe335d363, "mt76x02_phy_set_band" },
	{ 0x1aa91659, "mt76_set_channel" },
	{ 0x8f92beaf, "mt76x02_init_device" },
	{ 0x1fea23e8, "mt76x02_tx" },
	{ 0x63422de7, "ieee80211_wake_queues" },
	{ 0x72941893, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xf45521cc, "mt76x02_sta_remove" },
	{ 0xb7b31471, "mt76x02_phy_set_rxpath" },
	{ 0x161532f3, "mt76x02_edcca_init" },
	{ 0x8aab801, "usb_deregister" },
	{ 0xdaf88132, "mt76x02_tx_status_data" },
	{ 0x47b3f9d6, "mt76x02_sta_add" },
	{ 0x2746d221, "mt76x2_mcu_load_cr" },
	{ 0x91ae3f24, "mt76x2_init_txpower" },
	{ 0xd63398d9, "mt76x02u_mcu_fw_send_data" },
	{ 0xb90d5285, "mt76u_init" },
	{ 0xaa5d4141, "mt76_get_survey" },
	{ 0xf3ddfe07, "mt76x02_init_debugfs" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0xe1c08d1e, "mt76x02u_init_mcu" },
	{ 0xa450b030, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x74263a9e, "mt76x2_mcu_init_gain" },
	{ 0xf238308e, "mt76_sta_state" },
	{ 0xe0680983, "mt76x2_phy_tssi_compensate" },
	{ 0x22602b5a, "ieee80211_stop_queues" },
	{ 0xc4a3ed82, "mt76x02u_mac_start" },
	{ 0x92771818, "mt76x02_mac_cc_reset" },
	{ 0xec5b4533, "mt76x02_bss_info_changed" },
	{ 0x5a4426c3, "mt76x02_init_agc_gain" },
	{ 0xdf8308a, "mt76x2_phy_update_channel_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4c18dce3, "mt76_txq_schedule_all" },
	{ 0x6c26cc58, "mt76u_alloc_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfc24ee14, "mt76u_stop_tx" },
	{ 0xb1cd1b8f, "mt76x02u_init_beacon_config" },
	{ 0x64aaf2a0, "ieee80211_unregister_hw" },
	{ 0xe0bc9859, "mt76u_vendor_request" },
	{ 0xf2ab4191, "mt76x02_add_interface" },
	{ 0x4f5f5933, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x65a90b1e, "mt76_get_sar_power" },
	{ 0xc63a623c, "mt76u_stop_rx" },
	{ 0xc2dd123d, "mt76x02_ampdu_action" },
	{ 0x80734087, "mt76x02_mcu_calibrate" },
	{ 0xfe5c221a, "mt76x02_conf_tx" },
	{ 0x15c31b7f, "mt76x02_mcu_function_select" },
	{ 0xee607153, "mt76_sw_scan" },
	{ 0x7a51951b, "mt76_sta_pre_rcu_remove" },
	{ 0x92721fcf, "mt76x02_mac_wcid_setup" },
	{ 0xe7239b1b, "__mt76_poll" },
	{ 0x8d5009a5, "mt76x2_read_rx_gain" },
	{ 0x5ddb22c9, "mt76x2_phy_set_txpower_regs" },
	{ 0x8dffccbf, "mt76x2_phy_set_txpower" },
	{ 0x493b80df, "mt76x02_phy_set_txdac" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x938ce71e, "mt76x02_remove_interface" },
	{ 0xd0bcf369, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xd71af57e, "mt76x02_set_ethtool_fwver" },
	{ 0x5cdc81f7, "mt76x02_set_key" },
	{ 0xc9d5bd12, "mt76_release_buffered_frames" },
	{ 0x46eb6985, "request_firmware" },
	{ 0x2ec99343, "usb_register_driver" },
	{ 0x9376baec, "mt76_get_txpower" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mt76-usb,usbcore,mac80211,mt76x02-usb");

MODULE_ALIAS("usb:v0B05p1833d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p180Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C4Ep0103d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02FEd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "73FCE8CA70B6D4A42CDDF23");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
