#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7fe0311b, "rt2x00usb_disconnect" },
	{ 0xdbb6657e, "rt2x00usb_suspend" },
	{ 0x3639c235, "rt2x00usb_resume" },
	{ 0xe4afdb2b, "rt2x00usb_initialize" },
	{ 0xf9a5f67c, "rt2x00usb_uninitialize" },
	{ 0x5506a36b, "rt2x00usb_clear_entry" },
	{ 0xc038cf37, "rt2x00usb_watchdog" },
	{ 0xee83bc97, "rt2x00usb_kick_queue" },
	{ 0x4bcd07e5, "rt2x00usb_flush_queue" },
	{ 0x83d6d03e, "rt2x00mac_tx" },
	{ 0x50e92a80, "rt2x00mac_start" },
	{ 0xd64b6645, "rt2x00mac_stop" },
	{ 0x356b2a7, "rt2x00mac_add_interface" },
	{ 0x54280ea6, "rt2x00mac_remove_interface" },
	{ 0x211747de, "rt2x00mac_config" },
	{ 0x7764fad3, "rt2x00mac_bss_info_changed" },
	{ 0x496d7e84, "rt2x00mac_configure_filter" },
	{ 0x71303f03, "rt2x00mac_set_tim" },
	{ 0x5a3bef53, "rt2x00mac_set_key" },
	{ 0x76aa0f15, "rt2x00mac_sw_scan_start" },
	{ 0x678dd0, "rt2x00mac_sw_scan_complete" },
	{ 0x9d495965, "rt2x00mac_get_stats" },
	{ 0x31d4780c, "rt2x00mac_conf_tx" },
	{ 0x2cd59a37, "rt2x00mac_rfkill_poll" },
	{ 0x44d4413e, "rt2x00mac_flush" },
	{ 0xd0514f4d, "rt2x00mac_set_antenna" },
	{ 0x53562f8d, "rt2x00mac_get_antenna" },
	{ 0x90d3088d, "rt2x00mac_get_ringparam" },
	{ 0x936eaeb3, "rt2x00mac_tx_frames_pending" },
	{ 0xf54fa028, "ieee80211_handle_wake_tx_queue" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2ec99343, "usb_register_driver" },
	{ 0x65c82f57, "rt2x00usb_probe" },
	{ 0xd623d91, "skb_trim" },
	{ 0x342f3539, "consume_skb" },
	{ 0x990bd1f0, "usb_submit_urb" },
	{ 0x8aab801, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x41bc5f40, "rt2x00usb_vendor_req_buff_lock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc4157c5, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x41eb2942, "rt2x00usb_vendor_request_buff" },
	{ 0x14613469, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8a23823c, "rt2x00usb_vendor_request" },
	{ 0xd504c916, "rt2x00lib_set_mac_address" },
	{ 0x262a517d, "_dev_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4a1ac36b, "rt2x00usb_disable_radio" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7CD7D2E1961ECC73FCD3A8B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
