#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc4157c5, "_dev_err" },
	{ 0xe1fbdbb6, "rt2800_mcu_request" },
	{ 0xd28a00c2, "rt2800mmio_toggle_irq" },
	{ 0xbeea01d4, "rt2800mmio_enable_radio" },
	{ 0x63ef4785, "rt2x00pci_remove" },
	{ 0xf7c6f443, "rt2x00pci_pm_ops" },
	{ 0x2bd0beea, "rt2800mmio_queue_init" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0x150692ea, "rt2800mmio_probe_hw" },
	{ 0x4f2a6224, "rt2800_check_firmware" },
	{ 0x21b66fd, "rt2800_load_firmware" },
	{ 0x5ed4d103, "rt2x00mmio_initialize" },
	{ 0x3ce11e78, "rt2x00mmio_uninitialize" },
	{ 0x19496272, "rt2800mmio_get_entry_state" },
	{ 0x8ca2499a, "rt2800mmio_clear_entry" },
	{ 0x2cad4e3d, "rt2800_rfkill_poll" },
	{ 0x25b8736, "rt2800_link_stats" },
	{ 0x6d12f164, "rt2800_reset_tuner" },
	{ 0xd9ea75ae, "rt2800_link_tuner" },
	{ 0x10003a42, "rt2800_gain_calibration" },
	{ 0xbaddb594, "rt2800_vco_calibration" },
	{ 0x1b1a0ef4, "rt2800_watchdog" },
	{ 0x9c61d5b, "rt2800mmio_start_queue" },
	{ 0x59c9d051, "rt2800mmio_kick_queue" },
	{ 0x8f8667cc, "rt2800mmio_stop_queue" },
	{ 0xb73692ca, "rt2800mmio_flush_queue" },
	{ 0x2aacb07c, "rt2800mmio_write_tx_desc" },
	{ 0x1fb218ef, "rt2800_write_tx_data" },
	{ 0x49bbd6d4, "rt2800_write_beacon" },
	{ 0xcd8f9688, "rt2800_clear_beacon" },
	{ 0xe57ba493, "rt2800mmio_fill_rxdone" },
	{ 0xba9516b7, "rt2800_config_shared_key" },
	{ 0x72d1a87e, "rt2800_config_pairwise_key" },
	{ 0x765b27ae, "rt2800_config_filter" },
	{ 0xb234767c, "rt2800_config_intf" },
	{ 0x61e911d, "rt2800_config_erp" },
	{ 0xe390c8c4, "rt2800_config_ant" },
	{ 0x48932387, "rt2800_config" },
	{ 0xe1298844, "rt2800_pre_reset_hw" },
	{ 0x59135458, "rt2x00mmio_regbusy_read" },
	{ 0x1fc5c34f, "rt2800mmio_init_registers" },
	{ 0x7b9fbacb, "rt2800mmio_get_txwi" },
	{ 0x1699585a, "rt2800mmio_get_dma_done" },
	{ 0x83d6d03e, "rt2x00mac_tx" },
	{ 0x50e92a80, "rt2x00mac_start" },
	{ 0xd64b6645, "rt2x00mac_stop" },
	{ 0x356b2a7, "rt2x00mac_add_interface" },
	{ 0x54280ea6, "rt2x00mac_remove_interface" },
	{ 0x211747de, "rt2x00mac_config" },
	{ 0x7764fad3, "rt2x00mac_bss_info_changed" },
	{ 0x496d7e84, "rt2x00mac_configure_filter" },
	{ 0x5a3bef53, "rt2x00mac_set_key" },
	{ 0x76aa0f15, "rt2x00mac_sw_scan_start" },
	{ 0x678dd0, "rt2x00mac_sw_scan_complete" },
	{ 0x9d495965, "rt2x00mac_get_stats" },
	{ 0x57ae01c1, "rt2800_get_key_seq" },
	{ 0xa7231f6f, "rt2800_set_rts_threshold" },
	{ 0x57526a63, "rt2800_sta_add" },
	{ 0x12e2805c, "rt2800_sta_remove" },
	{ 0xc7f70cf6, "rt2800_conf_tx" },
	{ 0x205042a5, "rt2800_get_tsf" },
	{ 0xb0e83095, "rt2800_ampdu_action" },
	{ 0x76dadd88, "rt2800_get_survey" },
	{ 0x2cd59a37, "rt2x00mac_rfkill_poll" },
	{ 0x44d4413e, "rt2x00mac_flush" },
	{ 0x90d3088d, "rt2x00mac_get_ringparam" },
	{ 0x936eaeb3, "rt2x00mac_tx_frames_pending" },
	{ 0x228d880c, "rt2x00mac_reconfig_complete" },
	{ 0xf54fa028, "ieee80211_handle_wake_tx_queue" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x11ce53a0, "__pci_register_driver" },
	{ 0xb40cc108, "rt2x00pci_probe" },
	{ 0x830236b0, "rt2800_efuse_detect" },
	{ 0x7fd59eb9, "rt2800_read_eeprom_efuse" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x326b7806, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E9BF56BB404C69688673417");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
