#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0x8a23823c, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0x41bc5f40, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x41eb2942, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0x2bef7500, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0x0edac819, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0xee83bc97, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0x4bcd07e5, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0xc038cf37, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0x4a1ac36b, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0x5506a36b, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0xe4afdb2b, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0xf9a5f67c, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0x65c82f57, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0x7fe0311b, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0xdbb6657e, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0x3639c235, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ff95032, "usb_control_msg" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x63b086b9, "usb_anchor_urb" },
	{ 0x990bd1f0, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x11f6b7bc, "usb_unanchor_urb" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x7caf50fe, "usb_alloc_urb" },
	{ 0xd27831d1, "usb_free_urb" },
	{ 0x89fc18b1, "rt2x00lib_dmastart" },
	{ 0xa60ad42c, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb92bbd13, "__skb_pad" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd08f500b, "rt2x00queue_for_each_entry" },
	{ 0xc3e8f360, "usb_kill_urb" },
	{ 0xe33c585e, "rt2x00queue_get_entry" },
	{ 0x4a5615f3, "rt2x00queue_stop_queue" },
	{ 0xa3e7699d, "rt2x00queue_flush_queue" },
	{ 0xbf65e014, "rt2x00queue_start_queue" },
	{ 0xdd1c6683, "rt2x00lib_txdone_noinfo" },
	{ 0xc67810c4, "rt2x00lib_rxdone" },
	{ 0x1d5cde97, "rt2x00lib_suspend" },
	{ 0xc87db30f, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xcb898738, "rt2x00lib_remove_dev" },
	{ 0xc7b74027, "ieee80211_free_hw" },
	{ 0xb4041e8c, "usb_put_dev" },
	{ 0xfa024eaf, "usb_get_dev" },
	{ 0x3e0b7032, "usb_reset_device" },
	{ 0xd23594c, "ieee80211_alloc_hw_nm" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfb79352a, "rt2x00lib_probe_dev" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "67708E3B0DC0029635F7F52");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
