#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_restorepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_writepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_savepowerindex, "_gpl", "");
KSYMTAB_FUNC(rtl92c_dm_write_dig, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_edca_turbo, "", "");
KSYMTAB_FUNC(rtl92c_dm_check_txpower_tracking, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_rate_adaptive_mask, "", "");
KSYMTAB_FUNC(rtl92c_dm_rf_saving, "", "");
KSYMTAB_FUNC(rtl92c_dm_init, "", "");
KSYMTAB_FUNC(rtl92c_dm_watchdog, "", "");
KSYMTAB_FUNC(rtl92c_bt_rssi_state_change, "", "");
KSYMTAB_FUNC(rtl92c_dm_bt_coexist, "", "");
KSYMTAB_FUNC(rtl92c_download_fw, "", "");
KSYMTAB_FUNC(rtl92c_fill_h2c_cmd, "", "");
KSYMTAB_FUNC(rtl92c_firmware_selfreset, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_pwrmode_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_rsvdpagepkt, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_joinbss_report_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_p2p_ps_offload_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92c_phy_query_bb_reg, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bb_reg, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_write, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_write, "", "");
KSYMTAB_FUNC(rtl92c_phy_rf_config, "", "");
KSYMTAB_FUNC(_rtl92c_phy_bb8192c_config_parafile, "", "");
KSYMTAB_FUNC(_rtl92c_store_pwrindex_diffrate_offset, "", "");
KSYMTAB_FUNC(_rtl92c_phy_init_bb_rf_register_definition, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_txpower_level, "", "");
KSYMTAB_FUNC(rtl92c_phy_update_txpower_dbm, "", "");
KSYMTAB_FUNC(_rtl92c_phy_dbm_to_txpwr_idx, "", "");
KSYMTAB_FUNC(_rtl92c_phy_txpwr_idx_to_dbm, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bw_mode, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl_callback, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl, "", "");
KSYMTAB_FUNC(rtl8192_phy_check_is_legal_rfpath, "", "");
KSYMTAB_FUNC(rtl92c_phy_iq_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_lc_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_ap_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_rfpath_switch, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io_cmd, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io, "", "");
KSYMTAB_FUNC(rtl92ce_phy_set_rf_on, "", "");
KSYMTAB_FUNC(_rtl92c_phy_set_rf_sleep, "", "");

SYMBOL_CRC(dm_restorepowerindex, 0xd77717a2, "_gpl");
SYMBOL_CRC(dm_writepowerindex, 0x96ef9d3a, "_gpl");
SYMBOL_CRC(dm_savepowerindex, 0x9cdfa5a3, "_gpl");
SYMBOL_CRC(rtl92c_dm_write_dig, 0xfff5b662, "");
SYMBOL_CRC(rtl92c_dm_init_edca_turbo, 0xa9f40752, "");
SYMBOL_CRC(rtl92c_dm_check_txpower_tracking, 0xa7afdeb3, "");
SYMBOL_CRC(rtl92c_dm_init_rate_adaptive_mask, 0xe7704fa4, "");
SYMBOL_CRC(rtl92c_dm_rf_saving, 0xaf16b507, "");
SYMBOL_CRC(rtl92c_dm_init, 0x1f6e61c2, "");
SYMBOL_CRC(rtl92c_dm_watchdog, 0x11e2df51, "");
SYMBOL_CRC(rtl92c_bt_rssi_state_change, 0xa8e2e360, "");
SYMBOL_CRC(rtl92c_dm_bt_coexist, 0x4b4c9982, "");
SYMBOL_CRC(rtl92c_download_fw, 0x95992266, "");
SYMBOL_CRC(rtl92c_fill_h2c_cmd, 0xac1ad84b, "");
SYMBOL_CRC(rtl92c_firmware_selfreset, 0x5fe5e956, "");
SYMBOL_CRC(rtl92c_set_fw_pwrmode_cmd, 0x2f2b6841, "");
SYMBOL_CRC(rtl92c_set_fw_rsvdpagepkt, 0x43475835, "");
SYMBOL_CRC(rtl92c_set_fw_joinbss_report_cmd, 0xf453c0fe, "");
SYMBOL_CRC(rtl92c_set_p2p_ps_offload_cmd, 0xf6a346e1, "_gpl");
SYMBOL_CRC(rtl92c_phy_query_bb_reg, 0x2bc5de79, "");
SYMBOL_CRC(rtl92c_phy_set_bb_reg, 0xbe88374a, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_read, 0x351c39d3, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_write, 0x87d1d097, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_read, 0xf18d8093, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_write, 0xb1edc830, "");
SYMBOL_CRC(rtl92c_phy_rf_config, 0x4a44214e, "");
SYMBOL_CRC(_rtl92c_phy_bb8192c_config_parafile, 0x4c2ecb89, "");
SYMBOL_CRC(_rtl92c_store_pwrindex_diffrate_offset, 0x6e33e918, "");
SYMBOL_CRC(_rtl92c_phy_init_bb_rf_register_definition, 0xd901f31b, "");
SYMBOL_CRC(rtl92c_phy_set_txpower_level, 0x5c65ff71, "");
SYMBOL_CRC(rtl92c_phy_update_txpower_dbm, 0x7cbcaabd, "");
SYMBOL_CRC(_rtl92c_phy_dbm_to_txpwr_idx, 0x570e06c2, "");
SYMBOL_CRC(_rtl92c_phy_txpwr_idx_to_dbm, 0xee2eda05, "");
SYMBOL_CRC(rtl92c_phy_set_bw_mode, 0xb9069763, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl_callback, 0x19248bd8, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl, 0x6dccb800, "");
SYMBOL_CRC(rtl8192_phy_check_is_legal_rfpath, 0x571a3179, "");
SYMBOL_CRC(rtl92c_phy_iq_calibrate, 0x4c130168, "");
SYMBOL_CRC(rtl92c_phy_lc_calibrate, 0x092d1732, "");
SYMBOL_CRC(rtl92c_phy_ap_calibrate, 0xd748feeb, "");
SYMBOL_CRC(rtl92c_phy_set_rfpath_switch, 0x83bfc73d, "");
SYMBOL_CRC(rtl92c_phy_set_io_cmd, 0x60d3c9d0, "");
SYMBOL_CRC(rtl92c_phy_set_io, 0x71bcb20f, "");
SYMBOL_CRC(rtl92ce_phy_set_rf_on, 0xe61b83b0, "");
SYMBOL_CRC(_rtl92c_phy_set_rf_sleep, 0x029bdbe1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5ca1ad78, "_rtl_dbg_print" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xaa233643, "rtl_cmd_send_packet" },
	{ 0xd3d259da, "_rtl_dbg_print_data" },
	{ 0xeb265b80, "rtl_fw_page_write" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8b26c803, "__netdev_alloc_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x76a37b27, "rtl_dm_diginit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0xfddff411, "skb_put" },
	{ 0xaa3e8dff, "rtl_fw_block_write" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "E2786B2FCC1DF924381382A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
