#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_disable_lps_deep_mode, "", "");
KSYMTAB_DATA(rtw_debug_mask, "", "");
KSYMTAB_FUNC(rtw_dump_fw, "", "");
KSYMTAB_FUNC(rtw_dump_reg, "", "");
KSYMTAB_FUNC(rtw_set_rx_freq_band, "", "");
KSYMTAB_FUNC(rtw_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw_core_init, "", "");
KSYMTAB_FUNC(rtw_core_deinit, "", "");
KSYMTAB_FUNC(rtw_register_hw, "", "");
KSYMTAB_FUNC(rtw_unregister_hw, "", "");
KSYMTAB_DATA(rtw_ops, "", "");
KSYMTAB_FUNC(check_hw_ready, "", "");
KSYMTAB_FUNC(rtw_restore_reg, "", "");
KSYMTAB_FUNC(rtw_tx_fill_tx_desc, "", "");
KSYMTAB_FUNC(rtw_tx_report_enqueue, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_rsvd_page_get, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_h2c_get, "", "");
KSYMTAB_FUNC(rtw_tx_ac_to_hwq, "", "");
KSYMTAB_FUNC(rtw_tx_queue_mapping, "", "");
KSYMTAB_FUNC(rtw_rx_stats, "", "");
KSYMTAB_FUNC(rtw_rx_fill_rx_status, "", "");
KSYMTAB_FUNC(rtw_set_channel_mac, "", "");
KSYMTAB_DATA(rtw_rate_section, "", "");
KSYMTAB_DATA(rtw_rate_size, "", "");
KSYMTAB_FUNC(rtw_phy_set_edcca_th, "", "");
KSYMTAB_FUNC(rtw_phy_init, "", "");
KSYMTAB_FUNC(rtw_phy_parsing_cfo, "", "");
KSYMTAB_FUNC(rtw_phy_rf_power_2_rssi, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_mix, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_phy_cond, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_bb_pg, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_txpwr_lmt, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_mac, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_agc, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_bb, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_rf, "", "");
KSYMTAB_FUNC(rtw_phy_load_tables, "", "");
KSYMTAB_FUNC(rtw_phy_get_tx_power_index, "", "");
KSYMTAB_FUNC(rtw_phy_set_tx_power_level, "", "");
KSYMTAB_FUNC(rtw_phy_config_swing_table, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_avg, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_thermal_changed, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_delta, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_pwridx, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_lck, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_iqk, "", "");
KSYMTAB_FUNC(rtw_coex_write_scbd, "", "");
KSYMTAB_FUNC(rtw_coex_read_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_coex_write_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_read8_physical_efuse, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_rx_irqsafe, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_isr, "", "");
KSYMTAB_FUNC(rtw_fw_do_iqk, "", "");
KSYMTAB_FUNC(rtw_fw_inform_rfk_status, "", "");
KSYMTAB_FUNC(rtw_power_mode_change, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_set_gid_table, "", "");
KSYMTAB_FUNC(rtw_bf_phy_init, "", "");
KSYMTAB_FUNC(rtw_bf_cfg_csi_rate, "", "");
KSYMTAB_FUNC(rtw_regd_get, "", "");

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0xdb26db9e, "");
SYMBOL_CRC(rtw_dump_reg, 0xc3fe37ae, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0xee6eb866, "");
SYMBOL_CRC(rtw_chip_info_setup, 0xf4fac29f, "");
SYMBOL_CRC(rtw_core_init, 0x555efc28, "");
SYMBOL_CRC(rtw_core_deinit, 0x5f4daa19, "");
SYMBOL_CRC(rtw_register_hw, 0x7d382a91, "");
SYMBOL_CRC(rtw_unregister_hw, 0x59be27d9, "");
SYMBOL_CRC(rtw_ops, 0x288f7814, "");
SYMBOL_CRC(check_hw_ready, 0xbf383a84, "");
SYMBOL_CRC(rtw_restore_reg, 0xaeb5d098, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0x8a456a09, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0x8604b59e, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0x33577975, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0x8f4b6fda, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0xd6c2abe6, "");
SYMBOL_CRC(rtw_rx_stats, 0xb57d29e0, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0xd18cc209, "");
SYMBOL_CRC(rtw_set_channel_mac, 0x884cfef2, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0xd104ce41, "");
SYMBOL_CRC(rtw_phy_init, 0x7510bb36, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0x9e222713, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0x190816de, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0xa0c920a6, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0x52290d50, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0xe1ad58ae, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0xd8af247c, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0x1a363f11, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0xd5d47a7e, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0x6c4987e3, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0x1e326d5e, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0xf60e1e02, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0x18e0e031, "");
SYMBOL_CRC(rtw_phy_load_tables, 0x330eca87, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0x73072169, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0x896561a9, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0xae25da63, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0x618efba5, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0xfa027960, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0x0835563d, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0x99df1210, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x02014317, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0x61d0ee75, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0x9aca9290, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0xe5f684fc, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0x98055d80, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0x859e8c5e, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0xb23ad609, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0x2449d944, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0x2ee4d5f9, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0x5cdbbdfe, "");
SYMBOL_CRC(rtw_power_mode_change, 0x7d9d09f2, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x45c6b1bb, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0x493c9611, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0xcd9d579f, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0x1a12b827, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0xdaa41688, "");
SYMBOL_CRC(rtw_bf_phy_init, 0x2bbda970, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0x81a86366, "");
SYMBOL_CRC(rtw_regd_get, 0x829d094d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x984e19a0, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x262a517d, "_dev_info" },
	{ 0x90d1548b, "skb_queue_tail" },
	{ 0xabcbaa0, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0x68a4a9a2, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8165d8b1, "ieee80211_queue_delayed_work" },
	{ 0x8dead1bf, "ieee80211_proberesp_get" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x1b240381, "request_firmware_nowait" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1d0a0546, "ieee80211_find_sta_by_ifaddr" },
	{ 0x8040fcf7, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x14613469, "skb_push" },
	{ 0x63422de7, "ieee80211_wake_queues" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb19ba68c, "ieee80211_iter_keys_rcu" },
	{ 0xb9b47590, "ieee80211_free_txskb" },
	{ 0x86739318, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeb7d8d5a, "ieee80211_tx_dequeue" },
	{ 0xfb578fc5, "memset" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8b26c803, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x22602b5a, "ieee80211_stop_queues" },
	{ 0x1e515f4f, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0xbcd65ee0, "ieee80211_scan_completed" },
	{ 0x9c1b295b, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x64aaf2a0, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xda0e02b5, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x47d8391c, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4c2b2b24, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x27675140, "ieee80211_request_smps" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x81f3c1e8, "ieee80211_queue_work" },
	{ 0xdc35e042, "dev_kfree_skb_any_reason" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0xd67873cf, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa036cbf0, "ieee80211_connection_loss" },
	{ 0x4722942a, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x398bb2b1, "ieee80211_txq_get_depth" },
	{ 0xc5a381b0, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfddff411, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x342f3539, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x496defac, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbaf215ff, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4ac6b57d, "ieee80211_iterate_stations_atomic" },
	{ 0xb69322fa, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1faf6eaf, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x49d86c72, "ieee80211_nullfunc_get" },
	{ 0xa0df27e8, "ieee80211_pspoll_get" },
	{ 0x21ebf4f9, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd3756aaa, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbe495258, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd70c1f5a, "ieee80211_find_sta" },
	{ 0x30145517, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa2e7d563, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "6AA6A6F9CCB2C14C73C098A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
