#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0xeb13cf00, "");
SYMBOL_CRC(rtw_pci_probe, 0x92388f39, "");
SYMBOL_CRC(rtw_pci_remove, 0x1ec35fe7, "");
SYMBOL_CRC(rtw_pci_shutdown, 0xd737cc0a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4fac29f, "rtw_chip_info_setup" },
	{ 0x2449d944, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x59be27d9, "rtw_unregister_hw" },
	{ 0xc4157c5, "_dev_err" },
	{ 0xa52f498f, "skb_pull" },
	{ 0x8a456a09, "rtw_tx_fill_tx_desc" },
	{ 0x14613469, "skb_push" },
	{ 0xdcbe8315, "dma_alloc_attrs" },
	{ 0xc72bf093, "napi_enable" },
	{ 0x555efc28, "rtw_core_init" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd23594c, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb0af9720, "pci_iounmap" },
	{ 0x5d2f8db9, "dma_sync_single_for_cpu" },
	{ 0x33577975, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0x7b2e06ad, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x79cd0e0d, "ieee80211_stop_queue" },
	{ 0x8b26c803, "__netdev_alloc_skb" },
	{ 0xb57d29e0, "rtw_rx_stats" },
	{ 0x195ad20f, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7d382a91, "rtw_register_hw" },
	{ 0x4b7c8097, "dma_free_attrs" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0xc9ddcc52, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x64aaf2a0, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5f4daa19, "rtw_core_deinit" },
	{ 0x288f7814, "rtw_ops" },
	{ 0x3ade6d76, "pci_disable_device" },
	{ 0x7b7e26bc, "napi_schedule_prep" },
	{ 0x5c8b1130, "napi_disable" },
	{ 0xdc35e042, "dev_kfree_skb_any_reason" },
	{ 0x7d9d09f2, "rtw_power_mode_change" },
	{ 0x8f4b6fda, "rtw_tx_write_data_h2c_get" },
	{ 0x2a7abb97, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe5412c64, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb23ad609, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x7c133709, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8604b59e, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd6c2abe6, "rtw_tx_queue_mapping" },
	{ 0xa1d190e5, "pcie_capability_read_word" },
	{ 0x330ae35, "devm_request_threaded_irq" },
	{ 0x98f6ae9e, "pci_enable_device" },
	{ 0xfddff411, "skb_put" },
	{ 0x342f3539, "consume_skb" },
	{ 0xfc60b63, "pci_iomap" },
	{ 0x1feaee64, "pci_alloc_irq_vectors" },
	{ 0xf7a186d8, "netif_napi_add_weight" },
	{ 0x496defac, "skb_dequeue" },
	{ 0xc7b74027, "ieee80211_free_hw" },
	{ 0x1e39ca0c, "dma_unmap_page_attrs" },
	{ 0x425f4bc0, "dma_sync_single_for_device" },
	{ 0x6e66b373, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x96af27c, "dev_kfree_skb_irq_reason" },
	{ 0x6fee57b9, "pci_set_power_state" },
	{ 0xf4f41465, "__netif_napi_del" },
	{ 0x665a71be, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x32cc3731, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96965a03, "dma_map_page_attrs" },
	{ 0xa40ab613, "napi_complete_done" },
	{ 0xa2e7d563, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4d97dd7, "devm_free_irq" },
	{ 0xcbb3a966, "__napi_schedule" },
	{ 0x90d1548b, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "90DC99D9FC974C42492204B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
