#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_get_txpwr_cr, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ppdu_status, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_write_xtal_si, "", "");
KSYMTAB_FUNC(rtw89_mac_read_xtal_si, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_offset, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_set_txpwr_limit_ru, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x979a9537, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x130ccbe4, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0xb6266aa3, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x94ca5214, "");
SYMBOL_CRC(rtw89_core_rx, 0xe161968c, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xbeaf0f0d, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x08bc666b, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x72a05a93, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x8bb43e66, "");
SYMBOL_CRC(rtw89_core_init, 0x4f292517, "");
SYMBOL_CRC(rtw89_core_deinit, 0xcb008c93, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xfb419265, "");
SYMBOL_CRC(rtw89_core_register, 0xfbf9fc70, "");
SYMBOL_CRC(rtw89_core_unregister, 0xe51a9277, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x8c411ad5, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x69338445, "");
SYMBOL_CRC(rtw89_ops, 0xaff1f915, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0x1e7dc503, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x5b5bd82c, "");
SYMBOL_CRC(rtw89_mac_size, 0x9ac85705, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0xd7eded24, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0xa3d0176e, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x00fc143b, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x890b2222, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0x19aa9931, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x4ed4510e, "");
SYMBOL_CRC(rtw89_mac_get_txpwr_cr, 0x03f02cb3, "");
SYMBOL_CRC(rtw89_mac_cfg_ppdu_status, 0xcd398309, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0xe7656780, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0xf11ab2d9, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x8caf1c9b, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x1aaf9e7f, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x712235e4, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0x6d303c79, "");
SYMBOL_CRC(rtw89_mac_write_xtal_si, 0xa825405d, "");
SYMBOL_CRC(rtw89_mac_read_xtal_si, 0x5acf0f1e, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xb412b016, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x3b5bd1f3, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x4dc436b9, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0xa5e1633f, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x4c182426, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0x4a3d1995, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x7522fb71, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0x13dc6107, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x1e711848, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0xec26d58f, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x90412fd1, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x89f90347, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_byrate, 0x900a4b08, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_offset, 0x7c3334c5, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit, 0x59293e33, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit_ru, 0xa750ec53, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x2cb4a54b, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x70966440, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x094701a8, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x3c3e68dd, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x63f14d32, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x760d3809, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x1e21fe89, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x4082917f, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0xca977c51, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x2b142b7f, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x55517a0b, "");
SYMBOL_CRC(rtw89_ser_notify, 0x20db8ead, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8165d8b1, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfb6412b6, "ieee80211_next_txq" },
	{ 0x8040fcf7, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x37451ec6, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x14613469, "skb_push" },
	{ 0xc72bf093, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x63422de7, "ieee80211_wake_queues" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb19ba68c, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb9b47590, "ieee80211_free_txskb" },
	{ 0x86739318, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd23594c, "ieee80211_alloc_hw_nm" },
	{ 0xeb7d8d5a, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8b26c803, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x1234e13f, "ieee80211_ready_on_channel" },
	{ 0x22602b5a, "ieee80211_stop_queues" },
	{ 0x1e515f4f, "skb_unlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xbcd65ee0, "ieee80211_scan_completed" },
	{ 0x9c1b295b, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x64aaf2a0, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xda0e02b5, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x47d8391c, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0x4c2b2b24, "ieee80211_cqm_rssi_notify" },
	{ 0x4eef93ee, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x81f3c1e8, "ieee80211_queue_work" },
	{ 0x7b7e26bc, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x5c8b1130, "napi_disable" },
	{ 0xdc35e042, "dev_kfree_skb_any_reason" },
	{ 0xe5412c64, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7c133709, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2dfac93e, "ieee80211_stop_tx_ba_session" },
	{ 0xd67873cf, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa036cbf0, "ieee80211_connection_loss" },
	{ 0x4722942a, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfcd2b3a2, "__ieee80211_schedule_txq" },
	{ 0x398bb2b1, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x76a89da6, "cfg80211_bss_iter" },
	{ 0xfddff411, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x342f3539, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf7a186d8, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc7b74027, "ieee80211_free_hw" },
	{ 0xbaf215ff, "ieee80211_probereq_get" },
	{ 0x8b73444c, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x46eb6985, "request_firmware" },
	{ 0x4ac6b57d, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb69322fa, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1faf6eaf, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x49d86c72, "ieee80211_nullfunc_get" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0xa0df27e8, "ieee80211_pspoll_get" },
	{ 0x21ebf4f9, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd3756aaa, "ieee80211_restart_hw" },
	{ 0xf4f41465, "__netif_napi_del" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9924b3cc, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd70c1f5a, "ieee80211_find_sta" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xcbb3a966, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x262a517d, "_dev_info" },
	{ 0x90d1548b, "skb_queue_tail" },
	{ 0xabcbaa0, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x68a4a9a2, "wiphy_to_ieee80211_hw" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "574F37FC8F8AFF2121393AB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
