#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0xc4d26c0c, "_gpl");
SYMBOL_CRC(rio_query_mport, 0x6f593e51, "");
SYMBOL_CRC(rio_alloc_net, 0x3f5f4e76, "_gpl");
SYMBOL_CRC(rio_add_net, 0xe65946f4, "_gpl");
SYMBOL_CRC(rio_free_net, 0xba3e26a4, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0xe0fb85e5, "_gpl");
SYMBOL_CRC(rio_add_device, 0x326cc663, "_gpl");
SYMBOL_CRC(rio_del_device, 0x424d16c2, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0x34e79fb4, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0x8c32d815, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0xaa02b967, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0x148193a7, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0xd9dc2e78, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x8aaa706a, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0x0162d7b7, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0x836a0255, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0x736499a2, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0x142164a6, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x9f3120c0, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0xf7ef15d0, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x0020d221, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x163243a4, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0x1369ac53, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0x5bda5118, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0xaf61b8c9, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0x8a973c92, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0xfbc1b8af, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0xa515818d, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0xe9c4e283, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0x5fddd201, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0xf97779d8, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0xefb008bb, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0xfc2b3cba, "_gpl");
SYMBOL_CRC(rio_lock_device, 0x46c67ddc, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0x22b86c65, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0xf6eee700, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0x8d2a5481, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0x433e5b7f, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0x68d8cd38, "_gpl");
SYMBOL_CRC(rio_request_dma, 0xcce28e78, "_gpl");
SYMBOL_CRC(rio_release_dma, 0x69e6f71e, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0xc2cd0f71, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0xbde11b4d, "_gpl");
SYMBOL_CRC(rio_register_scan, 0xedcd3514, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0xbc2adc24, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0xe96fc849, "_gpl");
SYMBOL_CRC(rio_register_mport, 0x00a0e9b5, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0xb2ef80e1, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0x3e7a05a4, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0x5cfa68e8, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x2a5744b6, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0x793098ff, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0x5aab7fc1, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0x86e0b685, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0xb8027f9b, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0x2650dfc5, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x5cff2866, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x81be868f, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0x5e0a9f9a, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x493aaa22, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0x3149f4a4, "_gpl");
SYMBOL_CRC(rio_attach_device, 0x6f36fed8, "_gpl");
SYMBOL_CRC(rio_mport_class, 0x20a7263b, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x5e076b80, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0x2c26b2ff, "_gpl");
SYMBOL_CRC(rio_bus_type, 0xdf908914, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x033a61ed, "_gpl");
SYMBOL_CRC(rio_dev_put, 0x5d61cc8c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf75c42d1, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7ced43e4, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd639f29, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa1485da6, "module_put" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb03f4b43, "driver_unregister" },
	{ 0xd66f6aa6, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x844dd7f8, "device_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0xd57bef2a, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ff1a014, "driver_register" },
	{ 0x2a09e998, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x38ee4522, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9055382c, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x482c9458, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x41076892, "device_unregister" },
	{ 0x5181559f, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e86ba0d, "dma_release_channel" },
	{ 0x54f0bdc2, "device_for_each_child" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4DA39A8CF0BA0076D2DDF66");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
