#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0xb07c9152, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x23846594, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0xaf65ce25, "");
SYMBOL_CRC(sdw_intel_startup, 0x4ef55547, "");
SYMBOL_CRC(sdw_intel_exit, 0x461b41c5, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0xd84e50e9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb26cfced, "debugfs_remove" },
	{ 0xdff0700, "cdns_xfer_msg_defer" },
	{ 0xc1724ebe, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2242087e, "device_del" },
	{ 0xe5efe9e, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x41ac879f, "devm_kasprintf" },
	{ 0xe91609e4, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0xae83274c, "seq_read" },
	{ 0xa3fa23b5, "debugfs_create_file" },
	{ 0xa627cfda, "sdw_stream_add_master" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcf8c168b, "cdns_read_ping_status" },
	{ 0xdeaf37c8, "acpi_fetch_acpi_dev" },
	{ 0x31dfaf1d, "device_get_named_child_node" },
	{ 0x6517d8ee, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x34577b63, "sdw_cdns_config_update" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0x1f412f03, "sdw_bus_master_delete" },
	{ 0xcba708bb, "single_release" },
	{ 0x9c872c08, "__auxiliary_driver_register" },
	{ 0xad2660f3, "sdw_cdns_check_self_clearing_bits" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0xf8e44dc4, "__pm_runtime_use_autosuspend" },
	{ 0x136ede08, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0xd57bef2a, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0xeb3584f2, "single_open" },
	{ 0x46601ce8, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x2d96cf1f, "__pm_runtime_disable" },
	{ 0xb6c3bf3f, "debugfs_create_dir" },
	{ 0x78bcb575, "sdw_master_read_prop" },
	{ 0xc36263b9, "sdw_compute_params" },
	{ 0x525846b8, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xf672e1fe, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xce9ce1ce, "simple_attr_open" },
	{ 0x5aded058, "debugfs_attr_write" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x392f9762, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x65ba878a, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7442626f, "sdw_cdns_clock_restart" },
	{ 0xd1118f1b, "sdw_cdns_debugfs_init" },
	{ 0xd44a897f, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0xeb3b7c5a, "pm_runtime_set_autosuspend_delay" },
	{ 0x63a6f0a0, "sdw_bus_master_add" },
	{ 0xcc8e6644, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x7211cdf8, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0x9fbcf49f, "sdw_cdns_is_clock_stop" },
	{ 0x390d857d, "seq_lseek" },
	{ 0x4bd5d2f4, "sdw_cdns_config_update_set_wait" },
	{ 0x54f0bdc2, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x14d8f73c, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x98583477, "__pm_runtime_set_status" },
	{ 0x52b14470, "auxiliary_driver_unregister" },
	{ 0x72e04a5f, "devm_snd_soc_register_component" },
	{ 0x4a71b40e, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd639f29, "put_device" },
	{ 0xcc53cbc6, "cdns_set_sdw_stream" },
	{ 0x2b92d5db, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf270f164, "fwnode_property_read_u32_array" },
	{ 0x262a517d, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x8ff95c1b, "sdw_clear_slave_status" },
	{ 0x3a8025cc, "debugfs_attr_read" },
	{ 0xde42ac58, "sdw_stream_remove_master" },
	{ 0x6ddc836b, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0x56d10076, "sdw_cdns_exit_reset" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x7719a238, "simple_attr_release" },
	{ 0x3b53ba1b, "__auxiliary_device_add" },
	{ 0x620ef810, "sdw_cdns_alloc_pdi" },
	{ 0x2dffcacb, "sdw_cdns_clock_stop" },
	{ 0xdfb531e0, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "25EBA2C3B69DC5C5F969F69");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
