#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(teedev_open, "_gpl", "");
KSYMTAB_FUNC(teedev_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_session_calc_client_uuid, "_gpl", "");
KSYMTAB_FUNC(tee_device_alloc, "_gpl", "");
KSYMTAB_FUNC(tee_device_register, "_gpl", "");
KSYMTAB_FUNC(tee_device_unregister, "_gpl", "");
KSYMTAB_FUNC(tee_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_get_version, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_invoke_func, "_gpl", "");
KSYMTAB_DATA(tee_bus_type, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_priv_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_register_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_free, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_va, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_pa, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_from_id, "_gpl", "");
KSYMTAB_FUNC(tee_shm_put, "_gpl", "");
KSYMTAB_FUNC(tee_shm_pool_alloc_res_mem, "_gpl", "");

SYMBOL_CRC(teedev_open, 0x0752d307, "_gpl");
SYMBOL_CRC(teedev_close_context, 0xe214bfc0, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0x7972e89f, "_gpl");
SYMBOL_CRC(tee_device_register, 0x155f074f, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0xf2aeee3a, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0xf47b4117, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0x8c593c1f, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0x8ee7d1ba, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0x42491827, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0x25a31189, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0x35333297, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0xeeb710a7, "_gpl");
SYMBOL_CRC(tee_bus_type, 0x63cb2a7f, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0x244b4be3, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0x93d7ca6e, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0xc4423827, "_gpl");
SYMBOL_CRC(tee_shm_free, 0x417f33cd, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0xbe43a623, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0x7b189c1a, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0xea82211e, "_gpl");
SYMBOL_CRC(tee_shm_put, 0x64813760, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0x4022a285, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa81cc174, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0xd8981aee, "__put_devmap_managed_page_refs" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcfa94786, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6c224cda, "gen_pool_destroy" },
	{ 0x122c3a7e, "_printk" },
	{ 0x38ac9cd0, "cdev_device_add" },
	{ 0xd40d4934, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfd639f29, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfabb2c4e, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0xc4157c5, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2b3104df, "class_create" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1b41ad67, "crypto_shash_update" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2c6296dd, "make_kgid" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x310cdf57, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0xe083c88b, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2b593aa8, "gen_pool_alloc_algo_owner" },
	{ 0x5e855e56, "gen_pool_first_fit_align" },
	{ 0x7d0ba682, "gen_pool_virt_to_phys" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xc4335d03, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x46797157, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x38ee4522, "bus_register" },
	{ 0xd21d029c, "class_find_device" },
	{ 0xd331b0f, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc8cbf751, "tlbstate_untag_mask" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x482c9458, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xced0f4d4, "gen_pool_create" },
	{ 0xb700a8ac, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdfb6cfdd, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xe72f81b1, "device_initialize" },
	{ 0x6070df53, "unpin_user_pages" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9D9A6EC69FD2723157DD4F1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
