#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0xc9ae21a5, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0xb689cdce, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x21ebd6ea, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x807d4de9, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x7db478e2, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x8dbb6ef1, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x8fe37a55, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0x608e095f, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0xce13a6ef, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36c1fac1, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0xf11f1317, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc7da3bf7, "iptunnel_xmit" },
	{ 0xd5a43273, "nla_put" },
	{ 0xea125b07, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd623d91, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2449df1, "sock_create_kern" },
	{ 0x2a5d1bea, "call_netdevice_notifiers" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x40b91612, "metadata_dst_alloc" },
	{ 0x840fbf5, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe7b2fb02, "sock_bindtoindex" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfb9d9d2, "kernel_bind" },
	{ 0x8334359e, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x46e1f89f, "netdev_warn" },
	{ 0x8241ffe1, "udp_tunnel_nic_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4B32459DE6A4FC6B9E3FA11");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
