#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xaf0847f0, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x9adb7399, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xdba7326b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0xaf750ac2, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xd3487b6d, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x7a4b69e9, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x0c8a4bc1, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xb83fca0f, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x5c160685, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xa420d3fb, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xa1a6b0b7, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x2b749891, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xdd7fc81e, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xf39bc958, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x4c9efdba, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x6bebd672, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x5dff1c29, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x6ee4a50b, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xc72c2b0d, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x33b6a7fd, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xb39356f5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x2a0f6955, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x5dc69f5f, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xbba8fd76, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x8c4b7417, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xe97aa6aa, "_gpl");
SYMBOL_CRC(print_tuple, 0xda1b860a, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x26cd0a48, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x1621fa1a, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x2ba1b4fc, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x256efd52, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x1b6c706b, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xeb5132b1, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xb399c6bb, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x856f567f, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x0edf13c6, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xf2bc00ba, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xfa89d13a, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x2c72893d, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xbff8dd89, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xc575b6cc, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0xf1de9bf4, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x6a197945, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x8f18e7b2, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x1678799d, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x89403e36, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x2ee559c0, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x2b8313d5, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x4d733cd4, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xdac34862, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xcd2acc5e, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xb77c7284, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xcb51f167, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x90da9b66, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xac4cb778, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x2822fa2b, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x37c31bea, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x7c4acd21, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0xbf6895ba, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xf794db2a, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x5b6721d0, "_gpl");
SYMBOL_CRC(nf_confirm, 0x1d21ecca, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x995ec17a, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x864d8e43, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xfe023880, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x7daeaf69, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x21ab32ac, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x55068887, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x120e5daf, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x6ce92c9c, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x48246d0b, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xf81849a4, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xc3459d2d, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x7a0b7632, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xee95db56, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x3f3c93c8, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x81beda50, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x31e81877, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x67e6b947, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x965ac4c7, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x247c9d3c, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xc9742652, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x0f3d7b57, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x4094b75b, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x57eeb0d5, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x4af4855b, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x12feb164, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0xc4a1965c, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x26aa4910, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xf2640475, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x3422e75d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb00a6a49, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xeefc197e, "make_kuid" },
	{ 0xba494750, "nf_defrag_ipv6_disable" },
	{ 0x9219b48d, "ipv6_skip_exthdr" },
	{ 0x97d9c311, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x74127bc, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xa1485da6, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xecc6f5de, "nf_checksum" },
	{ 0x84cff2ef, "init_net" },
	{ 0x34aff321, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8040fcf7, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbd2cf3ff, "kmem_cache_free" },
	{ 0x5e572e1e, "seq_putc" },
	{ 0xd5a43273, "nla_put" },
	{ 0xb01cc9f1, "nf_checksum_partial" },
	{ 0xddc9f5e9, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf44fea53, "nf_unregister_net_hooks" },
	{ 0x14ca96aa, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xea94df16, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x799d328a, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x30402ec0, "nf_log_packet" },
	{ 0x2c6296dd, "make_kgid" },
	{ 0x2971e448, "nf_ip_checksum" },
	{ 0xed4330fa, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xa041a619, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe8d285b2, "nla_policy_len" },
	{ 0xb0776876, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x98ea366, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x40e8044f, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0x18dcd601, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfb30c659, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf6b9a838, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x4eef93ee, "seq_puts" },
	{ 0xaff1f40a, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x569b28c9, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x4f73bc40, "pskb_trim_rcsum_slow" },
	{ 0x53b954a2, "up_read" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcfaf0afb, "kmem_cache_destroy" },
	{ 0x645fc4fb, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8ae3fb17, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x9055382c, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xcda0354f, "nf_defrag_ipv4_disable" },
	{ 0x732ad6c5, "nf_ip6_checksum" },
	{ 0x1afaa2fd, "proc_dou8vec_minmax" },
	{ 0x174fab3b, "skb_copy_bits" },
	{ 0xc5a381b0, "param_ops_uint" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xaed4787b, "nf_register_sockopt" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xe31bb84f, "nfct_btf_struct_access" },
	{ 0xd66431a4, "param_set_uint" },
	{ 0x1854be4b, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x195b4d68, "nf_ct_frag6_gather" },
	{ 0x484548af, "get_net_ns_by_id" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcddb4bf1, "kmem_cache_create" },
	{ 0x37523eb6, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x49adcd98, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x7e67cfb4, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x1bd3299e, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xdcfedb9b, "nf_unregister_sockopt" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv6,libcrc32c,nf_defrag_ipv4");


MODULE_INFO(srcversion, "3FEA17C01257C3E5839325B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
