#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0x7b01cdec, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xbbb6854b, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x2a8f5ed7, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x7754460d, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0x6939572a, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x46e8ecf9, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0xf43ef9ed, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x5ba617d7, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x30265261, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x2401bb1f, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x34f4bb35, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x1bf0f789, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x8c4f71c3, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x22314ea8, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0x850aff49, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x41d9b918, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x7f3a4e82, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x20a4aa5f, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0xde25f4b6, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0xca952d0b, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0xecbb8f34, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x138e3e6c, "snd_hda_enum_helper_info" },
	{ 0x4c33b989, "kmalloc_trace" },
	{ 0x2187a792, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0x906f7730, "snd_hdac_codec_read" },
	{ 0x7f339103, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xb658470a, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0xa0e0fbca, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x41b795f8, "snd_hdac_regmap_sync" },
	{ 0xa590454d, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xd9ab2f35, "snd_hda_apply_verbs" },
	{ 0xdbd800e, "snd_hda_codec_amp_update" },
	{ 0xfc849799, "snd_hda_add_new_ctls" },
	{ 0xc900b9d7, "snd_hda_get_connections" },
	{ 0x62574241, "snd_hda_codec_amp_init_stereo" },
	{ 0x1d1a9da2, "snd_hda_set_vmaster_tlv" },
	{ 0x5f9ffbc9, "hda_get_autocfg_input_label" },
	{ 0x9f852bb5, "query_amp_caps" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xd0db2a20, "snd_hda_mixer_amp_volume_info" },
	{ 0x15cdb0e6, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1dfd3a75, "snd_hda_codec_setup_stream" },
	{ 0x7af9370a, "snd_hda_mixer_amp_switch_info" },
	{ 0xf0043d76, "hda_codec_driver_unregister" },
	{ 0xa9de85fa, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa9fc69d, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0x61b7e38, "snd_hda_jack_tbl_get_mst" },
	{ 0xa4090a73, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0x96f6cc78, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0xae319ba, "led_classdev_unregister" },
	{ 0x35c85ad5, "snd_hda_codec_pcm_new" },
	{ 0x1cd7cced, "__snd_hda_codec_cleanup_stream" },
	{ 0xc52b2dfa, "snd_ctl_sync_vmaster" },
	{ 0x7333f392, "__dynamic_dev_dbg" },
	{ 0x931d5b29, "snd_hda_multi_out_dig_cleanup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe96b363, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1fc13991, "snd_hda_add_imux_item" },
	{ 0x4e1ef6bd, "snd_hda_correct_pin_ctl" },
	{ 0x45c8918e, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x2ce0284, "snd_hda_create_dig_out_ctls" },
	{ 0xcbad9754, "snd_hda_multi_out_dig_close" },
	{ 0xcf5a80ec, "snd_hda_get_conn_index" },
	{ 0x9b38c27b, "snd_hda_multi_out_analog_open" },
	{ 0x6a7b864e, "snd_hda_get_bool_hint" },
	{ 0xcb0ec403, "snd_hda_create_spdif_share_sw" },
	{ 0xda9ef17, "snd_hda_find_mixer_ctl" },
	{ 0x6ae45fa8, "snd_hda_get_int_hint" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x5818ffbc, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x92b155f0, "snd_hda_parse_pin_defcfg" },
	{ 0x17e07d74, "snd_hda_codec_amp_init" },
	{ 0x4e57ebac, "snd_hda_create_spdif_in_ctls" },
	{ 0x48fe6f1a, "is_jack_detectable" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x508ced0, "snd_hda_multi_out_analog_cleanup" },
	{ 0x8fa87664, "snd_hda_multi_out_analog_prepare" },
	{ 0xfe4eeee4, "snd_ctl_boolean_stereo_info" },
	{ 0x12aa1d7d, "snd_hda_get_conn_list" },
	{ 0xbfa343d4, "snd_hda_mixer_amp_switch_get" },
	{ 0x77f1af4e, "snd_hda_codec_set_pin_target" },
	{ 0xe58198f4, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3dbc8f2c, "snd_hda_attach_beep_device" },
	{ 0x16608570, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5644f9ef, "snd_hdac_regmap_write_raw" },
	{ 0x15815efe, "snd_hda_mixer_amp_volume_get" },
	{ 0x41c3f5e9, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0xab91fc6d, "_dev_warn" },
	{ 0x27729f00, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce593c22, "ledtrig_audio_get" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd5118c29, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa610585a, "snd_hda_jack_unsol_event" },
	{ 0x24c04da0, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7ad3f545, "snd_hda_mixer_amp_tlv" },
	{ 0xa7f0049f, "snd_hda_jack_add_kctls" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0x88c733b7, "__snd_hda_add_vmaster" },
	{ 0xa0166bbc, "snd_hda_codec_amp_stereo" },
	{ 0xbb798b18, "snd_hda_sync_vmaster_hook" },
	{ 0x2ee61a88, "snd_hda_apply_fixup" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd,ledtrig-audio");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "8B32622CA9DD77CAC8B4239");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
